<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\144\x61\151\154\x79"; private const CONFIG_DIRECTORY = "\x2f\x72\157\x6f\164\x2f\x2e\x63\157\156\146\151\147\x2f\x72\143\x6c\x6f\x6e\145\57"; private const CLP_USER_CONFIG_DIRECTORY = "\57\x68\x6f\155\x65\x2f\143\x6c\x70\x2f\56\143\x6f\156\x66\151\x67\57"; private const CLP_USER = "\x63\154\x70"; public const CREDENTIALS_DIRECTORY = "\x2f\150\x6f\155\x65\57\x63\154\160\57\x2e\143\x6f\x6e\146\x69\147\x2f\x72\143\154\x6f\156\x65\57\x63\x72\145\144\145\x6e\x74\151\141\154\163\x2f"; private const CONFIG_FILE = "\x2f\x72\x6f\x6f\x74\57\56\143\157\x6e\x66\x69\147\57\162\x63\x6c\x6f\x6e\x65\x2f\162\143\154\157\x6e\145\x2e\143\x6f\x6e\146"; private const CRON_JOB_FILE = "\x2f\x65\164\x63\x2f\143\162\x6f\x6e\x2e\144\x2f\143\x6c\160\55\162\x63\154\x6f\156\x65"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto af0bd; af0bd: if (!(true === is_null($this->configFile))) { goto C9f3d; } goto e4bc0; C3656: return $this->configFile; goto f607b; e4bc0: $this->configFile = self::CONFIG_FILE; goto E1998; E1998: C9f3d: goto C3656; f607b: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\146\154\141\x67" => $flag, "\166\141\154\x75\145" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto a8409; a4a8a: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto ae61e; f62d8: $configFile = $this->getConfigFile(); goto B7e4a; B7e4a: $rcloneCopyCommand = new RcloneCopyCommand(); goto B145e; D0c01: $rcloneCopyCommand->setDestination($destination); goto C7870; a8409: $flags = $this->getFlags(); goto f62d8; C7870: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto a4a8a; e2f86: $rcloneCopyCommand->setSource($source); goto D0c01; B145e: $rcloneCopyCommand->setConfigFile($configFile); goto e2f86; ae61e: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto baf38; c2eaf: baedc: goto F369e; A067f: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto Daf38; adf05: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto De98a; cacca: return $files; goto D7a64; Daf38: $files = $rcloneLsJsonCommand->getFiles(); goto cacca; baf38: $flags = $this->getFlags(); goto C9b16; ae5a2: if (!(true === $directoriesOnly)) { goto baedc; } goto aa5e4; De98a: $rcloneLsJsonCommand->setConfigFile($configFile); goto cc7ad; C9b16: $configFile = $this->getConfigFile(); goto adf05; F369e: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto A067f; cc7ad: $rcloneLsJsonCommand->setRemotePath($remotePath); goto ae5a2; aa5e4: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto c2eaf; D7a64: } public function purge(string $remotePath) { goto caa8d; caa8d: $flags = $this->getFlags(); goto fda1f; b11a0: $rclonePurgeCommand->setRemotePath($remotePath); goto B5e56; fda1f: $rclonePurgeCommand = new RclonePurgeCommand(); goto b11a0; B5e56: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto ffa4f; ffa4f: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto D864a; D864a: } public function writeConfig(string $config) : void { goto a9c91; c1040: $this->commandExecutor->execute($writeConfigFileCommand); goto Ed539; F49cd: $writeConfigFileCommand = new WriteFileCommand(); goto b3177; bd5a1: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto faaf5; b3177: $writeConfigFileCommand->setFile($configFile); goto D801b; a9c91: $configFile = $this->getConfigFile(); goto bd5a1; Eb04d: $this->commandExecutor->execute($createConfigDirectoryCommand); goto c1040; D801b: $writeConfigFileCommand->setContent($config); goto Eb04d; faaf5: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto F49cd; Ed539: } public function writeCredentialsFile(string $file, string $content) : void { goto fe255; F85b3: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto F32bb; F32bb: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto ada5c; F1ab5: $this->commandExecutor->execute($credentialsDirectoryCommand); goto F85b3; ca488: $chmodConfigDirectoryCommand->setFileChmod(770); goto F1ab5; C4eef: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto ca488; c8b52: $chownConfigDirectoryCommand = new ChownCommand(); goto a8cb7; a8cb7: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto e0bc3; e0af8: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto C4eef; Ded05: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto B4517; b06cd: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto c8b52; f88ef: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto e0af8; B4517: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto f88ef; e0bc3: $chownConfigDirectoryCommand->setRecursive(true); goto Ded05; ada5c: file_put_contents($file, $content); goto B9140; fe255: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto b06cd; B9140: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto a6070; A7de8: $cronJobContent .= sprintf("\x30\x20\52\57\x25\163\x20\52\40\x2a\x20\x2a\40\143\154\x70\x20\57\165\x73\162\57\x62\x69\x6e\57\142\141\x73\x68\40\55\x63\x20\x22\57\x75\x73\162\x2f\x62\151\156\57\x63\x6c\x70\143\x74\154\x20\162\145\155\x6f\164\145\55\142\141\143\x6b\x75\x70\x3a\x63\x72\145\141\164\x65\x20\x2d\x2d\144\x65\x6c\141\171\x3d\x74\x72\x75\x65\x22\40\46\x3e\40\x2f\144\x65\166\x2f\x6e\x75\154\154", $frequency); goto F51bd; cb1e0: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto Ebebc; A518e: ed307: goto Debaf; E6ff4: $this->commandExecutor->execute($writeCronJobFileCommand); goto A8116; F51bd: goto a23dc; goto A518e; b0a50: if (self::FREQUENCY_DAILY == $frequency) { goto ed307; } goto A7de8; B0c51: a23dc: goto d74f6; a6070: $cronJobContent = sprintf("\x4d\x41\x49\x4c\x54\117\x3d\42\42\45\x73", PHP_EOL); goto b0a50; Ebebc: $writeCronJobFileCommand->setContent($cronJobContent); goto E6ff4; d74f6: $writeCronJobFileCommand = new WriteFileCommand(); goto cb1e0; Debaf: $cronJobContent .= sprintf("\x30\40\x25\x73\x20\52\40\x2a\40\x2a\40\x63\x6c\x70\x20\57\165\163\162\57\142\x69\156\57\142\141\x73\x68\40\55\143\x20\x22\57\x75\x73\x72\x2f\142\x69\156\x2f\x63\154\160\x63\164\154\x20\x72\145\x6d\157\164\145\x2d\x62\x61\x63\153\x75\160\72\x63\162\x65\x61\x74\145\x20\55\55\144\x65\x6c\141\171\x3d\x74\162\165\x65\42\x20\x26\x3e\x20\x2f\144\145\x76\57\x6e\165\x6c\x6c", $executionTime); goto B0c51; A8116: } private function addFlagsToCommand(array $flags, $command) : void { goto fb532; D5d3b: foreach ($flags as $flagData) { $command->addFlag($flagData["\x66\x6c\x61\147"], $flagData["\x76\141\154\165\145"]); Da1d4: } goto e3469; E8b83: f4c0b: goto B4cec; e3469: c85a0: goto E8b83; fb532: if (!(false === empty($flags))) { goto f4c0b; } goto D5d3b; B4cec: } public function deleteCronJob() : void { goto aee64; f66f1: $this->commandExecutor->execute($deleteCronJobFileCommand); goto ace3c; a75c5: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto f66f1; aee64: $deleteCronJobFileCommand = new DeleteFileCommand(); goto a75c5; ace3c: } public function deleteCredentials() : void { goto F472b; F472b: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto F696c; F696c: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto f0c0b; f0c0b: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto ee6ff; ee6ff: } }
