<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto Bb65d; B6b27: $this->validator = $validator; goto bb6c3; Bb65d: $this->siteEntityManager = $siteEntityManager; goto f19b0; bb6c3: parent::__construct(); goto A9430; f19b0: $this->databaseEntityManager = $databaseEntityManager; goto Af80a; Af80a: $this->databaseServerEntityManager = $databaseServerEntityManager; goto c9cc4; c9cc4: $this->commandExecutor = new CommandExecutor(); goto B6b27; A9430: } protected function configure() : void { goto f2698; B257d: $this->setDescription("\143\154\x70\x63\164\154\x20\144\x62\x3a\x62\x61\x63\153\165\x70\x20\55\x2d\151\147\156\157\x72\145\x44\x61\164\x61\x62\x61\x73\145\163\x3d\x27\144\x62\x31\x2c\144\x62\62\47\40\55\x2d\162\145\x74\145\x6e\x74\151\157\x6e\120\145\162\151\x6f\144\x3d\x37"); goto fbdcd; Bddd2: $this->addOption("\x72\145\164\145\x6e\164\x69\x6f\x6e\120\145\x72\x69\157\144", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto Fa287; f2698: $this->setName("\144\x62\72\x62\x61\143\153\165\160"); goto B257d; fbdcd: $this->addOption("\151\147\x6e\x6f\162\145\x44\141\164\x61\x62\141\x73\x65\x73", null, InputOption::VALUE_OPTIONAL); goto Bddd2; Fa287: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto fbc4c; fc7e7: f911b: goto E06d0; d99bc: $siteEntities = $this->siteEntityManager->findAll(); goto f38b1; ce2af: $ignoredDatabases = explode("\x2c", $input->getOption("\151\x67\x6e\x6f\x72\x65\104\x61\164\141\142\141\163\x65\x73")); goto a9c47; f38b1: if (!count($siteEntities)) { goto f911b; } goto d6308; a9c47: $this->retentionPeriod = (int) $input->getOption("\162\x65\164\x65\x6e\164\151\x6f\x6e\x50\x65\x72\x69\x6f\144"); goto d99bc; fbc4c: $this->validateInput($input); goto ce2af; E06d0: return BaseCommand::SUCCESS; goto dd039; d6308: foreach ($siteEntities as $siteEntity) { goto Cf3cd; Cf3cd: $databaseEntities = $siteEntity->getDatabases(); goto b69f8; dbe4e: f411d: goto Eca80; c4815: C4e1b: goto dbe4e; d76bd: Eef47: goto c4815; b69f8: if (!count($databaseEntities)) { goto C4e1b; } goto bf781; bf781: foreach ($databaseEntities as $databaseEntity) { goto D4fb8; ca940: C5e13: goto baf35; Ef72a: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto C5e13; } goto ad712; D4fb8: $databaseName = $databaseEntity->getName(); goto Ef72a; baf35: e7e0c: goto ac6c0; ad712: $this->createDatabaseDump($databaseEntity); goto ca940; ac6c0: } goto d76bd; Eca80: } goto C2877; C2877: c0074: goto fc7e7; dd039: } catch (\Exception $e) { goto cee89; cee89: $errorMessage = $e->getMessage(); goto bab94; bab94: $output->writeln(sprintf("\74\x65\x72\162\x6f\162\76\x25\163\74\x2f\145\x72\162\x6f\162\x3e", $errorMessage)); goto bfc80; bfc80: return BaseCommand::FAILURE; goto B1a73; B1a73: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto fea8d; fe1e0: $databaseExporter->createOutputDirectory(); goto b3f48; E5dea: $backupDirectory = sprintf("\x2f\150\157\x6d\145\57\45\163\57\142\x61\143\153\x75\160\x73\57\144\141\164\x61\142\x61\163\x65\x73\57", $siteUser); goto Bdb06; fea8d: $dateTime = new \DateTime("\x6e\157\x77", new \DateTimeZone("\x55\x54\103")); goto f08b6; C88ba: $this->resetPermissions($databaseEntity); goto Cc003; B1b2a: $databaseName = $databaseEntity->getName(); goto E5dea; d5959: $databaseExporter->setFile($outputFile); goto fe1e0; a1362: $outputFile = sprintf("\45\x73\57\45\163", rtrim($outputDirectory, "\x2f"), sprintf("\45\163\137\x25\x73\x2e\163\161\154\56\x67\x7a", $databaseName, $dateTime->getTimestamp())); goto Df3c2; f5fdc: $siteUser = $siteEntity->getUser(); goto B1b2a; f08b6: $siteEntity = $databaseEntity->getSite(); goto f5fdc; Cc003: $this->cleanUpBackups($databaseEntity); goto df52d; Bdb06: $outputDirectory = sprintf("\x25\x73\x2f\45\163\x2f\45\x73\57", rtrim($backupDirectory, "\x2f"), $databaseName, $dateTime->format("\131\55\x6d\55\144")); goto a1362; b3f48: $databaseExporter->export(); goto C88ba; Df3c2: $databaseExporter = new DatabaseExporter($databaseEntity); goto d5959; df52d: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto F3970; cf0d6: $backupDirectoryChownCommand->setFile($backupDirectory); goto Eaaa3; d81bd: $siteUser = $siteEntity->getUser(); goto f0154; Db617: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto e20a5; e3ccb: $backupDirectoryChmodCommand->setFileChmod(760); goto ad78d; f0154: $backupDirectory = sprintf("\x2f\150\157\155\x65\x2f\45\163\57\142\141\143\153\165\160\x73\x2f\x64\141\x74\x61\x62\141\163\145\163\57", $siteUser); goto Be9c9; Ebcf5: $backupDirectoryChownCommand->setUser($siteUser); goto f0236; ad78d: $this->commandExecutor->execute($backupDirectoryChownCommand); goto Db617; c52ba: $backupDirectoryChmodCommand->setFile($backupDirectory); goto E9c19; ec924: $backupDirectoryChmodCommand = new FindChmodCommand(); goto c52ba; Be9c9: $backupDirectoryChownCommand = new ChownCommand(); goto cf0d6; E9c19: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto e3ccb; F3970: $siteEntity = $databaseEntity->getSite(); goto d81bd; Eaaa3: $backupDirectoryChownCommand->setRecursive(true); goto Ebcf5; f0236: $backupDirectoryChownCommand->setGroup($siteUser); goto ec924; e20a5: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto b6361; Fb252: $siteUser = $siteEntity->getUser(); goto acd4f; Ed54c: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto e19d8; Add04: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto Afa99; e19d8: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto c6358; c6358: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto Add04; b6361: $siteEntity = $databaseEntity->getSite(); goto Fb252; acd4f: $databaseBackupDirectory = sprintf("\57\150\157\155\x65\x2f\45\163\x2f\x62\141\x63\x6b\x75\x70\163\x2f\x64\141\x74\141\142\x61\163\x65\x73\57", $siteUser); goto Ed54c; Afa99: } }
