<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Symfony\Component\Console\Question\ConfirmationQuestion; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Manager as DatabaseManager; class DatabaseDeleteCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto B019d; f11da: $this->databaseEntityManager = $databaseEntityManager; goto D4864; D4864: $this->databaseUserEntityManager = $databaseUserEntityManager; goto F1ce8; B019d: $this->siteEntityManager = $siteEntityManager; goto f11da; F1ce8: $this->databaseServerEntityManager = $databaseServerEntityManager; goto ae9f9; ae9f9: $this->validator = $validator; goto Fd41c; Fd41c: parent::__construct(); goto D95eb; D95eb: } protected function configure() : void { goto f40ea; E366f: $this->addOption("\144\141\x74\141\142\141\163\145\116\141\155\x65", null, InputOption::VALUE_REQUIRED); goto ef965; ef965: $this->addOption("\146\x6f\162\x63\145", "\146", InputOption::VALUE_NONE); goto ca49f; A1264: $this->setDescription("\143\x6c\x70\x63\x74\x6c\40\144\x62\x3a\144\145\x6c\145\164\x65\x20\x2d\55\x64\x61\x74\x61\x62\x61\163\x65\x4e\141\155\x65\x3d\x6d\171\55\x64\141\x74\141\142\141\x73\145"); goto E366f; f40ea: $this->setName("\144\x62\72\x64\145\x6c\145\164\x65"); goto A1264; ca49f: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto b4dcf; Ab351: if (!(true === is_null($databaseEntity))) { goto F73d1; } goto Fb2f5; Bf1e4: $question = new ConfirmationQuestion(sprintf("\74\151\156\x66\157\76\103\157\x6e\146\151\x72\155\40\x74\157\40\144\x65\x6c\145\x74\145\x20\164\150\x65\40\144\x61\x74\x61\x62\x61\163\x65\x3a\x20\45\163\x3c\x2f\151\156\x66\x6f\x3e\x20\74\x63\x6f\x6d\x6d\145\156\x74\x3e\50\x79\145\163\57\156\x6f\x29\x3a\74\57\x63\x6f\155\155\145\x6e\164\x3e\40", $databaseName), false, "\57\136\50\171\x65\x73\x29\57\151"); goto C6dae; C6dae: $answer = $helper->ask($input, $output, $question); goto E3307; b4a10: $databaseName = trim($input->getOption("\x64\141\x74\x61\x62\x61\163\145\x4e\141\x6d\x65")); goto f01e8; B0afc: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto edca7; ab3fd: if (!(false === $force)) { goto ea0a2; } goto a27bd; fb874: $this->siteEntityManager->updateEntity($siteEntity); goto f84c5; f84c5: $output->writeln(sprintf("\74\151\156\x66\157\x3e\104\141\x74\x61\142\x61\x73\145\74\x2f\x69\156\146\x6f\x3e\40\x3c\143\157\x6d\155\x65\156\x74\x3e\x25\163\x3c\57\143\x6f\155\x6d\145\x6e\164\x3e\40\74\x69\156\146\157\76\x68\141\163\x20\142\x65\145\156\40\144\145\x6c\145\x74\x65\144\x2e\74\57\x69\x6e\146\157\76", $databaseName)); goto D6eab; a27bd: $helper = $this->getHelper("\161\x75\145\163\164\151\x6f\x6e"); goto Bf1e4; D6eab: return BaseCommand::SUCCESS; goto a6a1c; Fb2f5: throw new \Exception(sprintf("\104\141\164\x61\x62\x61\x73\x65\x20\x22\45\163\x22\40\x64\157\x65\163\x20\156\157\164\40\x65\x78\151\163\164\56", $databaseName)); goto eea9f; f01e8: $force = $input->getOption("\146\x6f\x72\x63\145") === true; goto E76df; E3307: if (!(false === $answer)) { goto e6b9a; } goto a58a3; F935c: $siteEntity->removeDatabase($databaseEntity); goto fb874; Cb86d: $siteEntity = $databaseEntity->getSite(); goto B0afc; aa0c1: $databaseManager->deleteDatabase($databaseEntity, true); goto F935c; b4dcf: $this->validateInput($input); goto b4a10; E76df: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto Ab351; eea9f: F73d1: goto ab3fd; ec98e: e6b9a: goto Aa3ea; Aa3ea: ea0a2: goto Cb86d; edca7: $databaseManager = new DatabaseManager($databaseServerEntity); goto aa0c1; a58a3: return BaseCommand::SUCCESS; goto ec98e; a6a1c: } catch (\Exception $e) { goto c10f5; F68b5: $output->writeln(sprintf("\74\x65\162\x72\x6f\162\x3e\x25\x73\x3c\57\145\162\162\157\162\x3e", $errorMessage)); goto B3574; B3574: return BaseCommand::FAILURE; goto Afba5; c10f5: $errorMessage = $e->getMessage(); goto F68b5; Afba5: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\141\155\145", "\x64\141\164\141\142\141\163\145\x4e\141\x6d\x65", $constraints); $this->changePropertyPath("\x75\163\145\162\116\x61\x6d\145", "\x64\x61\x74\141\x62\x61\x73\x65\125\x73\145\x72\116\141\x6d\145", $constraints); } }
