<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\162\x6f\157\164"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto A7f47; Effaf: parent::__construct(); goto ac658; df8c2: $this->commandExecutor = new CommandExecutor(); goto Effaf; B717a: $this->sshUserEntityManager = $sshUserEntityManager; goto df8c2; d6d0d: $this->databaseServerEntityManager = $databaseServerEntityManager; goto B717a; A7f47: $this->siteEntityManager = $siteEntityManager; goto Fc7e8; Fc7e8: $this->databaseEntityManager = $databaseEntityManager; goto d6d0d; ac658: } protected function configure() : void { goto d9fd8; ac195: $this->setDescription("\x63\154\160\143\x74\154\40\144\x62\72\151\155\160\x6f\162\x74\40\55\x2d\x64\x61\164\x61\x62\x61\163\145\116\x61\x6d\145\x3d\155\171\x2d\x64\x61\x74\x61\142\141\x73\145\x20\x2d\x2d\x66\151\x6c\145\x3d\144\x75\155\160\56\x73\x71\x6c\56\x67\172"); goto Cbee6; d9fd8: $this->setName("\x64\142\72\x69\x6d\160\157\162\164"); goto ac195; D8f93: $this->addOption("\146\x69\154\145", null, InputOption::VALUE_REQUIRED); goto Cb594; Cbee6: $this->addOption("\x64\141\164\x61\142\141\163\145\116\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto D8f93; Cb594: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto de1fd; f7990: $databaseName = $input->getOption("\x64\x61\164\141\142\x61\163\145\116\x61\x6d\x65"); goto Eb6b6; E4dbe: if (!(false === is_null($sshUserEntity))) { goto a661c; } goto eb120; B9ed1: $databaseImporter->import($importFile); goto e824b; A5f95: if (!(false === str_contains($importFile, "\57"))) { goto bb199; } goto e88f7; eed89: goto Dc531; goto Ab710; Ce0ac: e29af: goto fd346; a5eb1: goto B1f8c; goto Ce0ac; df100: B97e7: goto c4aa8; Eb6b6: $importFile = $input->getOption("\x66\151\154\x65"); goto C7d2f; f2022: bb199: goto c89fd; ac34f: a661c: goto a5eb1; c89fd: $this->checkIfFileExists($importFile); goto ca830; ca830: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto d795f; C7d2f: $systemUserName = $_SERVER["\x53\125\x44\117\137\x55\x53\x45\122"] ?? ''; goto E4bb6; A5e5d: if (false === is_null($siteEntity)) { goto e29af; } goto Bdc05; c4aa8: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto f6e49; f6e49: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto cf673; } goto Eee79; Bdc05: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto E4dbe; C008c: return BaseCommand::FAILURE; goto Ca956; Eb43d: return BaseCommand::SUCCESS; goto C0b43; d2db8: $isSuperUser = false; goto b451c; E4bb6: if (!("\x64\x65\x76" == $_ENV["\101\120\120\x5f\x45\116\x56"])) { goto Dc6fd; } goto d73db; Cf084: B1f8c: goto E87cc; de1fd: $this->validateInput($input); goto f7990; d73db: $systemUserName = self::SYSTEM_USER_ROOT; goto F7b07; F7b07: Dc6fd: goto A5f95; Ab710: E2b86: goto Dce43; ce0cd: $siteUser = $siteEntity->getUser(); goto ac34f; c42b7: throw new \Exception(sprintf("\x44\x61\x74\141\142\x61\x73\x65\40\x22\45\x73\42\x20\x64\x6f\145\163\40\x6e\x6f\164\40\145\x78\x69\163\x74\56", $databaseName)); goto eed89; eb120: $siteEntity = $sshUserEntity->getSite(); goto ce0cd; d795f: if (false === is_null($databaseEntity)) { goto E2b86; } goto c42b7; F0ab7: Dc531: goto C008c; D68c9: $siteUser = null; goto A5e5d; fd346: $siteUser = $siteEntity->getUser(); goto Cf084; Dce43: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto D68c9; b451c: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto B97e7; } goto B26f5; E0441: $siteUser = self::SYSTEM_USER_ROOT; goto df100; E87cc: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto d2db8; B26f5: $isSuperUser = true; goto E0441; e824b: $output->writeln(sprintf("\74\151\156\x66\157\76\111\x6d\160\x6f\x72\x74\x20\151\x6e\164\157\x20\x64\x61\164\x61\142\x61\163\x65\x3c\57\151\x6e\146\x6f\76\40\74\143\x6f\155\x6d\x65\x6e\x74\x3e\x25\163\74\57\x63\x6f\x6d\x6d\x65\x6e\x74\76\40\74\151\156\146\x6f\x3e\x77\141\163\40\163\x75\143\x63\x65\163\163\x66\x75\x6c\x2e\x3c\57\151\156\x66\157\x3e", $databaseName)); goto Eb43d; Eee79: $databaseImporter = new DatabaseImporter($databaseEntity); goto B9ed1; e88f7: $importFile = sprintf("\x25\x73\x2f\x25\163", rtrim(getcwd(), "\57"), $importFile); goto f2022; C0b43: cf673: goto F0ab7; Ca956: } catch (\Exception $e) { goto e2596; D8f9c: $output->writeln(sprintf("\74\x65\162\162\x6f\162\76\45\x73\74\57\145\162\162\x6f\x72\76", $errorMessage)); goto D9d93; D9d93: return BaseCommand::FAILURE; goto Fdee3; e2596: $errorMessage = $this->maskString($e->getMessage()); goto D8f9c; Fdee3: } } private function checkIfFileExists(string $importFile) { try { goto A0c4e; d1d62: $checkIfFileExistsCommand->setFile($importFile); goto fda5f; fda5f: $this->commandExecutor->execute($checkIfFileExistsCommand); goto eda8d; A0c4e: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto d1d62; eda8d: } catch (\Exception $e) { throw new \Exception(sprintf("\x46\x69\154\x65\x20\42\x25\x73\42\x20\x64\x6f\x65\163\x20\156\157\x74\x20\x65\170\x69\163\164\x2e", $importFile)); } } }
