<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto C575f; Cafd4: $this->commandExecutor = new CommandExecutor(); goto dcd76; dcd76: $this->logger = $logger; goto C0990; B4942: parent::__construct(); goto cd55b; C575f: $this->siteEntityManager = $siteEntityManager; goto Cafd4; C0990: $this->validator = $validator; goto B4942; cd55b: } protected function configure() : void { goto E2381; fff79: $this->setDescription("\x63\154\x70\x63\x74\x6c\x20\162\x65\155\x6f\164\x65\x2d\x62\141\x63\153\165\160\x3a\143\x72\x65\141\x74\x65"); goto C342f; E2381: $this->setName("\x72\x65\x6d\x6f\164\145\x2d\x62\x61\143\153\x75\160\x3a\x63\162\145\x61\x74\x65"); goto fff79; C342f: $this->addOption("\144\145\154\x61\x79", null, InputOption::VALUE_OPTIONAL, false); goto Af1cf; Af1cf: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto C7557; eb5d4: $this->backupDatabases(clone $input, clone $output); goto b0561; E2748: $siteEntities = $this->siteEntityManager->findAll(); goto E1c33; a01fa: Efa3a: goto Ea374; Ea99c: $delay = (bool) $input->getOption("\144\x65\x6c\141\171"); goto dea88; b0561: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Ee5aa; } goto Ea99c; E2f83: A4a79: goto cd967; E1c33: if (!count($siteEntities)) { goto b737a; } goto eb5d4; F7834: $isEnabled = (bool) $this->getConfigValue("\x72\145\155\157\164\x65\137\x62\x61\x63\153\x75\x70\137\x65\x6e\x61\x62\x6c\145\x64"); goto be733; Ac7f5: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); C0e54: } goto a01fa; cd967: return BaseCommand::SUCCESS; goto Ccedb; dea88: $this->refreshDropboxAccessToken($delay); goto dc8c4; C7557: $this->validateInput($input); goto F7834; Ea374: b737a: goto C68dc; dc8c4: Ee5aa: goto Ac7f5; be733: $this->storageProvider = $this->getConfigValue("\162\x65\155\157\x74\x65\x5f\x62\x61\143\153\x75\x70\137\163\x74\157\x72\x61\147\x65\x5f\160\x72\157\x76\151\144\145\x72"); goto Ecd5b; Ecd5b: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto A4a79; } goto E2748; C68dc: $this->cleanBackups(); goto E2f83; Ccedb: } catch (\Exception $e) { goto f9005; C0f01: $output->writeln(sprintf("\x3c\x65\x72\162\x6f\162\76\x25\x73\x3c\57\145\162\162\157\162\x3e", $errorMessage)); goto a884c; f9005: $errorMessage = $e->getMessage(); goto C0f01; a884c: return BaseCommand::FAILURE; goto Dedd5; Dedd5: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto Ea02d; Ea02d: $application = $this->getApplication(); goto d85fd; E5d26: $exitCode = $command->run($input, $output); goto D9910; d85fd: $command = $application->find("\x64\142\x3a\x62\x61\143\153\x75\160"); goto E5d26; D9910: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto A720c; Dd35e: if (!(false === $isSiteExcluded)) { goto C7cd4; } goto E4b8b; E4b8b: try { try { goto Ae475; bdc0d: $tarCreator = new TarCreator(); goto F5e35; B6438: $rclone = new Rclone(); goto Faf95; Faf95: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto c87b6; aee3e: goto bc721; goto c8982; c87b6: $email = $this->getConfigValue("\x72\x65\x6d\x6f\164\145\137\x62\x61\143\153\165\160\137\x65\155\x61\x69\x6c"); goto C46f2; C46f2: $rclone->addFlag("\x2d\55\x64\x72\151\x76\145\55\151\155\160\145\x72\x73\157\156\141\x74\145", $email); goto aee3e; c8982: } goto b6e72; F71f9: $siteVhostFile = sprintf("\x2f\150\157\155\x65\57\x25\x73\57\x73\151\164\145\x2d\x76\150\157\x73\164", $siteUser); goto f7754; cefb8: $siteUser = $siteEntity->getUser(); goto ed97a; c25bd: $siteSettingsFile = sprintf("\x2f\150\157\155\145\57\45\x73\x2f\x73\151\x74\145\x2d\x73\145\164\164\x69\x6e\x67\163\x2e\152\163\157\x6e", $siteUser); goto F71f9; f7754: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto E9bc8; d7274: $homeDirectory = sprintf("\57\150\157\155\145\x2f\45\163\x2f", $siteUser); goto da4de; d2184: bc721: goto C6787; a6e0b: if (!(false === empty($siteExcludes))) { goto fddc3; } goto E8f65; F5e35: $tarCreator->create($sources, $destinationFile, $excludes); goto d0d9a; E9bc8: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto A06ce; A06ce: $sources = [$homeDirectory, $vhostFile]; goto bdc0d; da4de: $vhostFile = sprintf("\57\145\164\x63\57\x6e\x67\x69\156\170\x2f\x73\x69\x74\x65\x73\55\x65\156\x61\x62\x6c\x65\x64\x2f\x25\x73\56\143\157\156\x66", $domainName); goto c729b; c729b: $destinationFile = sprintf("\57\150\x6f\155\x65\x2f\45\x73\x2f\x74\x6d\160\57\x62\141\143\x6b\x75\x70\56\164\141\162", $siteUser); goto c25bd; c6bfb: fddc3: goto cefb8; F3465: $siteExcludes = $this->getSiteExcludes($siteEntity); goto a6e0b; C6787: $rclone->copy($destinationFile, $destination); goto Dd07d; ed97a: $domainName = $siteEntity->getDomainName(); goto d7274; b6e72: c2798: goto d2184; E8f65: $excludes = array_merge($excludes, $siteExcludes); goto c6bfb; d0d9a: $destination = $this->getDestination($siteEntity); goto B6438; Ae475: $excludes = ["\x2e\x73\x73\150", "\164\x6d\160", "\x6c\157\x67\x73"]; goto F3465; Dd07d: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto f6250; f6250: $deleteFileCommand = new DeleteFileCommand(); goto ec0de; ec0de: $deleteFileCommand->setFile($file); goto E56f9; B03da: C4f86: goto Eb4a6; E56f9: $this->commandExecutor->execute($deleteFileCommand, 60); goto B03da; Eb4a6: } D106a: } } catch (\Exception $e) { goto a831b; bda62: $subject = sprintf("\122\x65\155\157\164\x65\40\102\x61\x63\x6b\165\160\x20\146\141\151\154\145\x64\x3a\40\x25\163", $domainName); goto dc62b; a831b: $errorMessage = $e->getMessage(); goto bda62; dc62b: $this->addNotification($subject, $errorMessage); goto Cadec; Cadec: } goto C8f6d; C8f6d: C7cd4: goto bdec4; A720c: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto Dd35e; bdec4: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto e0c7b; dc781: $settings = ["\164\x79\x70\x65" => $siteType, "\144\157\x6d\x61\151\x6e\x4e\141\x6d\145" => $siteEntity->getDomainName(), "\x72\157\x6f\164\104\151\162\145\143\164\x6f\162\171" => $siteEntity->getRootDirectory(), "\x73\x69\164\x65\x55\x73\x65\162" => $siteEntity->getUser(), "\x70\141\x67\145\x53\160\x65\145\x64" => $siteEntity->getPageSpeedSettings()]; goto E0798; Bf38a: F9693: goto Ec1be; Ec1be: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto Dc7d4; Dc7d4: $writeFileCommand = new WriteFileCommand(); goto d52c4; E0798: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto c50fe; D832c: $nodejsSettings = ["\x76\x65\162\x73\x69\x6f\156" => $nodejsSettingsEntity->getNodejsVersion(), "\160\157\x72\x74" => $nodejsSettingsEntity->getPort()]; goto e09f6; c50fe: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto D832c; fd755: goto F9693; goto c11b1; e09f6: $settings["\x6e\157\144\x65\x6a\163\x53\145\164\164\151\x6e\x67\x73"] = $nodejsSettings; goto fd755; c11b1: case SiteEntity::TYPE_PHP: goto c94dd; ed2ed: $phpSettings = ["\x76\x65\x72\x73\x69\x6f\156" => $phpSettingsEntity->getPhpVersion(), "\x6d\145\x6d\x6f\x72\171\114\x69\155\151\x74" => $phpSettingsEntity->getMemoryLimit(), "\x6d\x61\170\105\x78\145\143\165\164\151\x6f\156\124\151\155\145" => $phpSettingsEntity->getMaxExecutionTime(), "\155\141\x78\111\156\x70\x75\x74\124\151\155\145" => $phpSettingsEntity->getMaxInputTime(), "\x6d\x61\x78\x49\156\x70\x75\164\126\141\x72\163" => $phpSettingsEntity->getMaxInputVars(), "\160\x6f\163\164\x4d\x61\170\x53\151\172\x65" => $phpSettingsEntity->getPostMaxSize(), "\165\160\x6c\157\141\x64\115\x61\170\x46\151\154\x65\123\x69\x7a\x65" => $phpSettingsEntity->getUploadMaxFileSize(), "\x61\144\144\151\x74\151\x6f\x6e\141\154\103\x6f\156\x66\151\147\x75\x72\141\164\151\157\x6e" => $phpSettingsEntity->getAdditionalConfiguration()]; goto f9ec6; Dec90: goto F9693; goto ce884; c94dd: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto ed2ed; f9ec6: $settings["\x70\150\x70\x53\x65\x74\164\x69\156\x67\163"] = $phpSettings; goto Dec90; ce884: case SiteEntity::TYPE_PYTHON: goto Abdcd; b7741: goto F9693; goto cbd89; f065d: $settings["\x70\x79\164\x68\x6f\x6e\123\x65\164\164\151\x6e\147\x73"] = $pythonSettings; goto b7741; Abdcd: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto d0e2a; d0e2a: $pythonSettings = ["\166\145\162\x73\151\157\156" => $pythonSettingsEntity->getPythonVersion(), "\160\x6f\162\x74" => $pythonSettingsEntity->getPort()]; goto f065d; cbd89: case SiteEntity::TYPE_REVERSE_PROXY: goto Be3df; Ee02a: goto F9693; goto F7bf4; ee4c9: $settings["\x72\x65\166\145\x72\x73\145\120\x72\x6f\x78\171\123\x65\164\x74\x69\x6e\147\x73"] = $reverseProxySettings; goto Ee02a; Be3df: $reverseProxySettings = ["\165\x72\154" => $siteEntity->getReverseProxyUrl()]; goto ee4c9; F7bf4: } goto d6ba3; d52c4: $writeFileCommand->setFile($siteSettingsFile); goto d8712; b527f: $this->commandExecutor->execute($writeFileCommand, 15); goto ee0f5; d6ba3: D366a: goto Bf38a; e0c7b: $siteType = $siteEntity->getType(); goto dc781; d8712: $writeFileCommand->setContent($fileContent); goto b527f; ee0f5: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto D614d; Ac187: $writeFileCommand = new WriteFileCommand(); goto Ce1f7; D614d: $vhost = $siteEntity->getVhostTemplate(); goto Ac187; c652c: $this->commandExecutor->execute($writeFileCommand, 15); goto E0385; Ce1f7: $writeFileCommand->setFile($siteVhostFile); goto E07cb; E07cb: $writeFileCommand->setContent($vhost); goto c652c; E0385: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto c408d; Ef400: return $isSiteExcluded; goto Ef55e; E39ad: $excludes = $this->getExcludes(); goto Fb324; eb2fc: E758e: goto Ef400; Fb324: if (!(false === empty($excludes))) { goto E758e; } goto Aa3dd; c408d: $isSiteExcluded = false; goto E39ad; E55c9: E2a1a: goto eb2fc; Aa3dd: $siteUser = $siteEntity->getUser(); goto D25a4; e1dd5: foreach ($excludes as $exclude) { goto d2941; d2941: $exclude = rtrim($exclude, "\x2f"); goto fc53c; a8288: c853c: goto cd9c4; fc53c: if (!($homeDirectory == $exclude)) { goto cd867; } goto edead; edead: $isSiteExcluded = true; goto A8171; A8171: goto E2a1a; goto e0e1d; e0e1d: cd867: goto a8288; cd9c4: } goto E55c9; D25a4: $homeDirectory = sprintf("\57\150\x6f\155\x65\x2f\x25\x73", $siteUser); goto e1dd5; Ef55e: } private function getExcludes() : array { goto Edf40; c86e9: $this->excludes = json_decode($excludes); goto F204b; F204b: Ba84d: goto c7f97; e1383: if (!(false === empty($excludes))) { goto Ba84d; } goto c86e9; c7f97: ab949: goto cb8b0; f3d18: $excludes = $this->getConfigValue("\162\x65\155\157\x74\145\137\142\x61\143\153\x75\160\137\145\x78\143\x6c\165\x64\x65\x73"); goto e1383; Edf40: if (!(true === empty($this->excludes))) { goto ab949; } goto f3d18; cb8b0: return $this->excludes; goto def6a; def6a: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto C94fe; cf2c7: C3a03: goto a132a; a132a: return $siteExcludes; goto A65d8; d2596: $homeDirectory = sprintf("\57\150\x6f\155\x65\x2f\45\x73\57", $siteUser); goto de619; C94fe: $siteExcludes = []; goto B66e2; d6897: $siteUser = $siteEntity->getUser(); goto d2596; B66e2: $excludes = $this->getExcludes(); goto acb68; f57fc: F2c65: goto cf2c7; de619: foreach ($excludes as $exclude) { goto afe1a; Ee914: if (!(false === empty($exclude))) { goto bbc71; } goto f15aa; afe1a: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto bd1a3; } goto e9fd5; A4e37: bbc71: goto a3854; D6500: cc70d: goto c6cdd; a3854: bd1a3: goto D6500; e9fd5: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto Ee914; f15aa: $siteExcludes[] = rtrim(ltrim($exclude, "\57"), "\57"); goto A4e37; c6cdd: } goto f57fc; acb68: if (!(false === empty($excludes))) { goto C3a03; } goto d6897; A65d8: } private function getServerDateTime() : \DateTime { goto Ae0a9; Ae0a9: if (!(true === is_null($this->serverDateTime))) { goto b0bec; } goto c40ad; c40ad: $timezone = $this->getConfigValue("\164\151\155\145\172\x6f\156\x65"); goto c2d5d; Defc0: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto Fc646; B995b: b0bec: goto c9c41; c2d5d: $this->serverDateTime = new \DateTime("\x6e\x6f\167"); goto Bc0a3; Ce217: if (!(false === empty($timezone))) { goto b9dcf; } goto Defc0; Bc0a3: $this->serverDateTime->setTimezone(new \DateTimeZone("\125\124\x43")); goto Ce217; c9c41: return $this->serverDateTime; goto b8f01; Fc646: b9dcf: goto B995b; b8f01: } private function getDestination(SiteEntity $siteEntity) : string { goto dcb15; D169d: $serverDateTime = $this->getServerDateTime(); goto dd267; dcb15: $destination = ''; goto b1ffc; Dae83: $destination = ltrim($destination, "\57"); goto F8988; b1ffc: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\162\x65\155\x6f\x74\145\x5f\x62\141\x63\153\x75\160\x5f\x62\165\x63\153\x65\164"); goto c7a8a; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\162\145\155\157\164\145\137\x62\x61\x63\x6b\x75\160\x5f\163\160\x61\143\x65"); goto c7a8a; } goto bda6e; C21df: return $destination; goto aabfc; d1b1a: $storageDirectory = $this->getConfigValue("\x72\x65\155\x6f\164\145\x5f\142\141\143\x6b\165\160\137\x73\x74\x6f\162\141\147\x65\x5f\x64\151\x72\145\143\x74\157\162\x79"); goto D169d; f9f77: $siteUser = $siteEntity->getUser(); goto d1b1a; b35de: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Bf1b6; } goto Dae83; dd267: $destination = sprintf("\45\163\57\x25\x73\x2f\x25\x73\57\45\x73\x2f\150\x6f\155\x65\57\45\163\x2f", $destination, rtrim(ltrim($storageDirectory, "\57"), "\57"), $serverDateTime->format("\x59\x2d\155\x2d\144"), $serverDateTime->format("\110\56\151"), $siteUser); goto b35de; F8988: Bf1b6: goto C21df; ec101: c7a8a: goto f9f77; bda6e: eb71c: goto ec101; aabfc: } private function cleanBackups() : void { goto A2e6d; bea69: if (!($retentionPeriod && false === empty($storageDirectory))) { goto c6e2b; } goto dc57e; B9d0e: $storageDirectory = $this->getConfigValue("\x72\145\x6d\x6f\x74\x65\x5f\142\141\x63\x6b\x75\160\x5f\x73\x74\157\x72\x61\x67\x65\x5f\x64\x69\x72\145\x63\x74\x6f\162\x79"); goto bea69; dc57e: try { goto Ce1f9; e189e: $directories = (array) $rclone->lsJson($remotePath, true); goto D7f6c; ea573: c5185: goto ba3a9; Bc8b5: $deleteDateTime->modify(sprintf("\55\x25\x73\40\x64\141\171\x73", $retentionPeriod)); goto b419a; b419a: $deleteDateTime->setTimezone(new \DateTimeZone("\125\x54\103")); goto Bef65; e3e9f: $remotePath = ltrim($remotePath, "\57"); goto abb01; c57c7: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Beea3; } goto e3e9f; abb01: Beea3: goto e189e; ba3a9: B1f6b: goto d3fba; Bef65: $deleteDateTime->setTime(0, 0, 0, 0); goto be0a9; d3fba: $remotePath = sprintf("\45\163\57\45\x73\x2f", $remotePath, rtrim(ltrim($storageDirectory, "\x2f"), "\57")); goto c57c7; D7f6c: if (!(false === empty($directories))) { goto Fda19; } goto b7694; e884c: $deleteDateTime = clone $dateTime; goto Bc8b5; A2d4c: $rclone = new Rclone(); goto D6fba; be0a9: $remotePath = ''; goto A2d4c; b7694: foreach ($directories as $directory) { goto C7f87; A2c75: f6d74: goto Fd7e2; A4e7f: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto f6d74; } goto f5082; ddcf3: d085c: goto a5732; D0668: if (!(false === is_null($directoryName))) { goto C33ac; } goto A6aa5; C7f87: $directoryName = $directory["\116\141\x6d\x65"] ?? null; goto D0668; a709a: F9770: goto ddcf3; a6d34: $purgeRemotePath = ltrim($purgeRemotePath, "\57"); goto fec73; a5732: C33ac: goto Fb49d; f5082: $purgeRemotePath = sprintf("\57\x25\x73", ltrim($purgeRemotePath, "\57")); goto A2c75; fec73: fd9f1: goto A4e7f; C50c3: $purgeRemotePath = sprintf("\45\x73\57\45\x73\57", rtrim(ltrim($remotePath, "\57"), "\x2f"), $directoryName); goto Cfc84; C53b5: if (!(true === $isValidDate)) { goto d085c; } goto ded6f; Cfc84: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto fd9f1; } goto a6d34; A6aa5: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto C53b5; Fd7e2: $rclone->purge($purgeRemotePath); goto a709a; Fb49d: da5b9: goto Dbbdd; ded6f: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto F9770; } goto C50c3; Dbbdd: } goto d8ddb; Ce1f9: $dateTime = new \DateTime(); goto e884c; D6fba: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\145\155\157\x74\145\x5f\x62\141\143\x6b\x75\160\x5f\x62\x75\x63\153\x65\x74"); goto B1f6b; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\145\x6d\157\164\x65\x5f\x62\141\x63\153\165\160\137\163\x70\x61\143\145"); goto B1f6b; case StorageProvider::GOOGLE_DRIVE: goto f8873; f729b: $rclone->addFlag("\55\55\144\162\151\166\x65\x2d\x69\155\160\145\x72\163\157\x6e\x61\x74\x65", $email); goto A7937; A7937: goto B1f6b; goto c7c3c; f8873: $email = $this->getConfigValue("\x72\x65\155\157\x74\x65\x5f\142\x61\143\153\x75\x70\x5f\145\x6d\141\151\x6c"); goto f729b; c7c3c: } goto ea573; d8ddb: f9edd: goto f1c87; f1c87: Fda19: goto C2871; C2871: } catch (\Exception $e) { goto ae916; f86e2: $this->addNotification($subject, $errorMessage); goto Fd3c4; ae916: $errorMessage = $e->getMessage(); goto d30e4; d30e4: $subject = sprintf("\122\x65\x6d\157\164\145\x20\x42\141\143\153\x75\160\x20\x63\154\x65\141\156\x75\x70\40\146\x61\151\154\145\x64\56"); goto f86e2; Fd3c4: } goto Dce0d; Dce0d: c6e2b: goto ecf63; A2e6d: $retentionPeriod = (int) $this->getConfigValue("\x72\145\155\157\x74\145\x5f\142\x61\143\x6b\165\160\x5f\162\145\164\x65\156\x74\151\x6f\156\x5f\160\145\162\x69\157\x64"); goto B9d0e; ecf63: } private function refreshDropboxAccessToken(bool $delay) { try { goto b59e7; f798a: $dropboxClient = new DropboxClient(); goto F18e0; fc70d: C35d0: goto acd7e; bcca1: de4cd: goto Ac42d; E2213: $rcloneConfigTemplate->setToken($token); goto F22b4; F55f8: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto E2213; e04bc: goto C35d0; goto Ace63; Fab66: $rcloneConfig = $rcloneConfigBuilder->build(); goto f9e07; f9e07: $rclone = new Rclone(); goto F548d; F18e0: $token = $dropboxClient->getAccessToken($refreshToken); goto F9452; F22b4: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto Fab66; Ace63: F475b: goto F55f8; aec0d: sleep(rand(5, 60)); goto bcca1; Ac42d: $refreshToken = $this->getConfigValue("\x72\x65\155\157\x74\145\x5f\142\141\x63\153\x75\160\137\162\145\x66\x72\x65\163\150\137\164\x6f\153\x65\156"); goto f798a; F9452: if (false === empty($token)) { goto F475b; } goto b04ea; F548d: $rclone->writeConfig($rcloneConfig); goto fc70d; b04ea: throw new \Exception("\x41\x63\143\145\163\x73\x20\x54\x6f\x6b\145\x6e\x20\143\141\156\x6e\157\164\40\x62\145\40\x65\155\x70\x74\x79\56"); goto e04bc; b59e7: if (!(true === $delay)) { goto de4cd; } goto aec0d; acd7e: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\x52\145\146\x72\145\163\x68\x69\156\x67\40\104\x72\157\160\142\157\170\x20\101\143\x63\145\x73\163\x20\124\x6f\153\145\156\40\x46\x61\x69\x6c\x65\x64", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto Eaa5c; d0cda: $notification->setSubject($subject); goto c3830; c3830: $notification->setMessage($errorMessage); goto dd73a; E821e: NotificationQueue::addNotification($notification); goto d13e8; Eaa5c: $notification = new Notification(); goto d0cda; dd73a: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto E821e; d13e8: } }
