<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\116\x6f\x64\x65\x6a\x73"; protected function configure() : void { goto Ecdbf; b94a9: $this->addOption("\144\157\155\141\151\x6e\116\141\x6d\145", null, InputOption::VALUE_REQUIRED); goto b3340; f9c91: $this->addOption("\163\x69\x74\145\x55\x73\x65\x72\120\x61\x73\x73\167\x6f\x72\x64", null, InputOption::VALUE_REQUIRED); goto f9043; b3340: $this->addOption("\156\157\x64\x65\152\x73\x56\x65\162\x73\151\x6f\156", null, InputOption::VALUE_REQUIRED); goto ac7ac; e8615: $this->setComment("\x41\144\144\151\156\147\40\141\x20\116\x6f\144\x65\56\x6a\163\40\x53\151\164\x65"); goto b94a9; Ecdbf: $this->setName("\x73\x69\164\x65\x3a\141\144\144\72\156\x6f\x64\x65\x6a\x73"); goto A14aa; D9014: $this->addOption("\x73\151\x74\145\x55\x73\x65\162", null, InputOption::VALUE_REQUIRED); goto f9c91; ac7ac: $this->addOption("\x61\x70\160\x50\157\x72\164", null, InputOption::VALUE_REQUIRED); goto D9014; A14aa: $this->setDescription("\x63\154\160\143\164\x6c\x20\163\151\x74\145\x3a\x61\144\144\x3a\156\157\144\x65\152\163\40\55\55\x64\x6f\155\x61\x69\x6e\x4e\141\155\145\75\167\167\167\x2e\144\157\x6d\141\x69\156\56\x63\157\155\x20\x2d\x2d\156\157\144\x65\x6a\x73\x56\145\162\163\151\157\x6e\75\x32\x32\x20\55\55\x61\x70\160\120\x6f\x72\x74\75\x33\x30\x30\x30\x20\55\x2d\x73\x69\164\x65\x55\163\145\162\x3d\152\x6f\x68\x6e\x20\55\55\163\151\x74\x65\125\163\145\x72\120\x61\163\x73\x77\x6f\x72\144\75\47\41\x73\x65\143\162\x65\164\120\x61\x73\x73\x77\157\x72\x64\x21\47"); goto e8615; f9043: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto bdab6; cfbe8: $subdomain = false === empty($subdomain) ? $subdomain : null; goto d64c4; A869c: $nodejsSite->setDomainName($domainName); goto c799d; D6e58: f614b: goto Ba452; ce0dc: $nodejsVersion = (int) $input->getOption("\x6e\157\144\x65\x6a\x73\126\145\162\x73\x69\157\156"); goto c122b; Ab9b0: $rootDirectory = $domainName; goto ce0dc; B73a2: $siteEntity->setVhostTemplate($vhostTemplate); goto F9daf; bcb16: $siteConstraints = $this->validator->validate($siteEntity); goto ce3db; bdab6: $this->validateInput($input); goto D59fe; D2f2a: $subjectAlternativeNames[] = sprintf("\x77\x77\167\56\x25\163", $domainName); goto E8b73; b98ea: fa5b2: goto B73a2; F0161: $certificateEntity->setCertificate($selfSignedCertificate); goto C9322; F7d20: return $this->renderConstraints($constraints, $output); goto Cec77; C135e: return SiteCommand::SUCCESS; goto Ba13d; c1979: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto bc9a5; d6520: $nodejsSiteCreator->reloadNginxService(); goto B34df; A7145: f9842: goto Cf396; aba0d: $output->writeln(sprintf("\x3c\x69\156\146\x6f\x3e\x53\151\x74\x65\74\57\x69\156\146\157\76\x20\74\x63\157\x6d\155\145\x6e\x74\76\45\163\74\x2f\x63\157\x6d\x6d\145\x6e\164\76\40\74\151\x6e\146\157\76\x68\141\x73\x20\x62\145\145\x6e\40\x61\x64\144\145\144\56\74\57\151\x6e\146\157\76", $domainName)); goto C135e; c122b: $appPort = (int) $input->getOption("\x61\160\160\120\x6f\x72\x74"); goto a5e95; D5e67: $nodejsSiteCreator->createNginxVhost(); goto d6520; e0f48: bc108: goto Adec1; c5277: throw new \Exception(sprintf("\126\x68\x6f\163\x74\x20\124\x65\155\160\x6c\x61\164\x65\x20\42\45\163\42\x20\x64\157\x65\163\40\156\157\164\40\x65\170\x69\x73\164\x2e", $vhostTemplate)); goto a5099; d6ff4: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto a3470; d2435: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto D8374; da982: $subjectAlternativeNames[] = $registrableDomain; goto cc442; D267e: $certificateEntity = $this->certificateEntityManager->createEntity(); goto e12b8; f3246: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto c1979; af0c1: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto A7965; b5a6e: $this->siteEntityManager->updateEntity($siteEntity); goto aba0d; E3df6: c9235: goto d6ff4; a01d3: $constraints->addAll($siteConstraints); goto Cd0db; Aa164: $nodejsSiteCreator->createUser(); goto f5bb6; Ff2f1: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto ea1ed; aade3: $constraints = new ConstraintViolationList(); goto a01d3; cc442: bbd51: goto a04ce; Ab174: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto C1e37; a5e95: $siteUser = trim($input->getOption("\x73\151\x74\x65\x55\x73\145\162")); goto c0780; f5bb6: $nodejsSiteCreator->createRootDirectory(); goto C5553; d64c4: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto C318a; ed867: $siteEntity->setRootDirectory($rootDirectory); goto aa16d; c799d: $nodejsSite->setRegistrableDomain($registrableDomain); goto c73df; Bbf24: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto D5e67; Cec77: goto Becda; goto b1d5e; D884d: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\x2e\57\x2e\56\x2f\x72\145\x73\x6f\165\162\143\x65\163\x2f\x6e\147\x69\156\x78\x2f\166\x68\x6f\x73\164\x5f\164\145\155\160\154\141\164\145\x2f\162\145\x64\x69\x72\145\143\x74"); goto a5f9c; B34df: $nodejsSiteCreator->resetPermissions(); goto Ff2f1; a62a5: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto Ab9b0; c73df: $nodejsSite->setSubdomain($subdomain); goto Cd8e7; Ba452: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\x2f\x2e\56\x2f\162\x65\163\x6f\165\162\143\145\x73\57\156\147\x69\x6e\170\x2f\166\150\157\x73\x74\x5f\164\145\x6d\160\x6c\x61\164\145\x2f\x72\x65\144\151\162\145\143\164\55\150\x74\164\x70\63"); goto E3df6; a5f9c: goto c9235; goto D6e58; F0023: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto D4dff; f7076: $vhostTemplate = sprintf("\45\x73\45\x73", $redirectionVhostTemplate, $vhostTemplate); goto Bade7; a3470: if (!(false === empty($redirectionVhostTemplate))) { goto fd7c6; } goto f7076; bc9a5: $subdomain = $resolvedDomainName->subDomain()->toString(); goto cfbe8; Aab49: $csr = $csrGenerator->generate(); goto F9c08; C5553: $nodejsSiteCreator->createLogrotateFile(); goto bbfe5; Cf396: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto Ecd18; C9322: $siteEntity->setCertificate($certificateEntity); goto d9943; a696f: if (!(true === is_null($subdomain) || "\x77\x77\167" == $subdomain)) { goto fa5b2; } goto e51a5; Ce666: $nodejsSite->setCertificate($certificateEntity); goto d2435; Ecd18: $siteEntity = $this->siteEntityManager->createEntity(); goto b9ee5; Ca715: if (!(false === is_null($subdomain) && "\167\x77\x77" == $subdomain)) { goto bbd51; } goto da982; c0780: $siteUserPassword = trim($input->getOption("\x73\x69\164\145\125\x73\x65\162\x50\x61\x73\163\x77\157\162\x64")); goto f3246; a04ce: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto cd3b6; B9367: $vhostTemplate->resetProcessors(); goto F655b; bbfe5: $nodejsSiteCreator->createNvmDirectory(); goto c16b7; D8374: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto Aa164; C06ad: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto cde99; Deb71: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto F0023; A43ea: $rsaKeyGenerator = new RsaKeyGenerator(); goto C06ad; A7965: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto b5a6e; E8b73: e0c9d: goto Ca715; Ba13d: Becda: goto e0f48; ab038: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto Bc7d1; a5099: goto bc108; goto A7145; ea1ed: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto B9367; cde99: $subjectAlternativeNames = []; goto fffd9; c16b7: $nodejsSiteCreator->installNodejs(); goto Bbf24; F0ce2: $nodejsSettingsEntity->setPort($appPort); goto A9f75; D59fe: $domainName = mb_strtolower(trim($input->getOption("\x64\157\155\141\x69\156\x4e\x61\155\x65"))); goto a62a5; Cd8e7: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto b1048; b1048: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto Ce666; E5557: $siteEntity->setDomainName($domainName); goto ed867; Bc7d1: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto F0ce2; Bade7: fd7c6: goto b98ea; b1d5e: e8fc2: goto D267e; e51a5: if (true === isset($_ENV["\101\120\x50\x5f\110\124\x54\x50\x33"]) && "\164\162\165\x65" === $_ENV["\x41\120\120\x5f\x48\x54\124\x50\x33"]) { goto f614b; } goto D884d; Dceab: $nodejsSite->setUser($siteEntity->getUser()); goto E574f; F655b: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto Deb71; cd3b6: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto Aab49; C1e37: $certificateEntity->setCsr($csr); goto cf680; D4dff: $vhostTemplate->build(); goto af0c1; E574f: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto A869c; F915b: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto e8fc2; } goto aade3; cf680: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto F0161; F9daf: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto ab038; C318a: if (false === is_null($vhostTemplateEntity)) { goto f9842; } goto c5277; E2489: $siteEntity->setUserPassword($siteUserPassword); goto a696f; Cd0db: $constraints->addAll($nodejsSettingsConstraints); goto F7d20; e12b8: $certificateEntity->setSite($siteEntity); goto A43ea; fffd9: if (!(true === is_null($subdomain))) { goto e0c9d; } goto D2f2a; aa16d: $siteEntity->setUser($siteUser); goto E2489; d9943: $nodejsSite = new NodejsSite(); goto Dceab; b9ee5: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto E5557; De25f: $certificateEntity->setDefaultCertificate(true); goto Ab174; A9f75: $nodejsSettingsEntity->setSite($siteEntity); goto bcb16; F9c08: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto De25f; ce3db: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto F915b; Adec1: } catch (\Exception $e) { goto d06df; Ccc9d: return SiteCommand::FAILURE; goto E77b5; d06df: $errorMessage = $e->getMessage(); goto A8e26; A8e26: $output->writeln(sprintf("\x3c\145\x72\162\157\162\76\x25\163\74\x2f\145\x72\x72\x6f\x72\x3e", $errorMessage)); goto Ccc9d; E77b5: } } }
