<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto Ea05a; f299a: $this->siteEntityManager = $siteEntityManager; goto e7c0e; Ea05a: $this->domainNameParser = $domainNameParser; goto f299a; Dfbdd: $this->databaseServerEntityManager = $databaseServerEntityManager; goto A2bf4; e7c0e: $this->certificateEntityManager = $certificateEntityManager; goto Dfbdd; f2db7: $this->validator = $validator; goto E3707; E3707: parent::__construct(); goto Af6d2; A2bf4: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto f2db7; Af6d2: } protected function configure() : void { $this->setName("\163\151\164\x65\x3a\164\155\160"); } protected function getSite(string $domainName) : ?Site { goto d5fc6; C9929: $siteEntity = $this->getSiteEntity($domainName); goto F9318; B2722: $siteDatabases = $this->getSiteDatabases($siteEntity); goto Aa984; Ca9eb: $site->setRegistrableDomain($registrableDomain); goto aa8ce; d8a70: $site->setCertificates($siteEntity->getCertificates()); goto Faa25; a6ad3: return $site; goto Ffe81; Dedb4: $subdomain = false === empty($subdomain) ? $subdomain : null; goto B2722; Ad49b: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto fa118; fa118: $site = new NodejsSite(); goto a11db; a11db: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Abfcc; Abfcc: goto e7115; goto B69f6; B69f6: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto e7115; case SiteEntity::TYPE_PHP: goto E062b; Caed7: $site->setVarnishCache($siteEntity->getVarnishCache()); goto abc65; E062b: $site = new PhpSite(); goto E431d; E431d: $site->setPhpSettings($siteEntity->getPhpSettings()); goto Caed7; abc65: goto e7115; goto d8544; d8544: case SiteEntity::TYPE_PYTHON: goto e48b0; e48b0: $site = new PythonSite(); goto F099c; f1bd4: goto e7115; goto F0b06; F099c: $site->setPythonSettings($siteEntity->getPythonSettings()); goto f1bd4; F0b06: case SiteEntity::TYPE_REVERSE_PROXY: goto dd530; e70f7: goto e7115; goto ba212; d15a5: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto e70f7; dd530: $site = new ReverseProxySite(); goto d15a5; ba212: } goto bcd6e; Aa984: $site->setUser($siteEntity->getUser()); goto E63be; d0b13: $site->setSshUsers($siteEntity->getSshUsers()); goto b5bb9; Faa25: $site->setCronJobs($siteEntity->getCronJobs()); goto fba4b; bcd6e: e99b8: goto D385f; b5bb9: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto Cb603; F9318: if (false === is_null($siteEntity)) { goto f47d7; } goto df06a; df06a: throw new \Exception(sprintf("\123\x69\x74\145\40\42\45\163\42\x20\144\x6f\x65\163\40\156\157\164\40\x65\x78\151\163\x74\x2e", $domainName)); goto B0ac5; d1517: a4a11: goto a6ad3; a43b0: $site->setDatabases($siteDatabases); goto E7920; f30b9: $site->setBlockedBots($siteEntity->getBlockedBots()); goto C29d7; C29d7: $site->setBlockedIps($siteEntity->getBlockedIps()); goto c9a66; c9a66: $site->setCertificate($siteEntity->getCertificate()); goto d8a70; b8f6b: f47d7: goto a4e53; fba4b: $site->setFtpUsers($siteEntity->getFtpUsers()); goto d0b13; d5fc6: $site = null; goto C9929; a4e53: $siteType = $siteEntity->getType(); goto Ad49b; Bf8a1: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto d1164; Cb603: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto E6ed8; B0ac5: goto a4a11; goto b8f6b; D385f: e7115: goto Ae2c9; b3c71: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Dedb4; E6ed8: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto E8b75; E63be: $site->setDomainName($siteEntity->getDomainName()); goto Ca9eb; E7920: $site->setBasicAuth($siteEntity->getBasicAuth()); goto f30b9; aa8ce: $site->setSubdomain($subdomain); goto e6b83; e6b83: $site->setRootDirectory($siteEntity->getRootDirectory()); goto a43b0; d1164: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto b3c71; Ba1fa: aa992: goto d1517; E8b75: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto Ba1fa; Ae2c9: if (!(false === is_null($site))) { goto aa992; } goto Bf8a1; Ffe81: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto Abe41; Abe41: $siteDatabases = new ArrayCollection(); goto fef84; D34f0: return $siteDatabases; goto C5d89; f471f: $databaseEntities = $siteEntity->getDatabases(); goto Cf5fa; Cf5fa: foreach ($databaseEntities as $databaseEntity) { goto D9ad5; D9ad5: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto Ad08f; dc73f: Bbccf: goto aa7e9; eac96: $siteDatabases->add($databaseEntity); goto b240a; Ad08f: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto f6b8e; } goto eac96; b240a: f6b8e: goto dc73f; aa7e9: } goto E2149; fef84: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto f471f; E2149: dc3a2: goto D34f0; C5d89: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto a0671; a9f77: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto Bb430; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto Bb430; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto Bb430; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto Bb430; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto Bb430; } goto b254e; b254e: Ebd67: goto eccec; a0671: $siteDeleter = null; goto d7096; d7096: $siteType = $site->getType(); goto a9f77; eccec: Bb430: goto Ec34b; Ec34b: return $siteDeleter; goto C7418; C7418: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto Fb37f; f44df: $siteType = $site->getType(); goto Cd1ae; a389a: a0289: goto D9ea0; Fb37f: $siteUpdater = null; goto f44df; f320c: return $siteUpdater; goto d1eae; Cd1ae: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto A80b9; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto A80b9; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto A80b9; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto A80b9; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto A80b9; } goto a389a; D9ea0: A80b9: goto f320c; d1eae: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x75\163\145\162", "\x73\x69\164\145\x55\163\145\162", $constraints); $this->changePropertyPath("\165\x73\x65\162\x50\x61\x73\x73\167\x6f\x72\144", "\163\151\x74\x65\125\x73\x65\162\x50\x61\163\163\x77\x6f\x72\x64", $constraints); } }
