<?php
 namespace App\Controller\Admin; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\Form\Form; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Connection as DatabaseConnection; use App\Entity\Manager\ConfigManager; use App\Entity\Certificate as CertificateEntity; use App\Entity\DatabaseServer as DatabaseServerEntity; use App\Security\Admin\CustomDomain as AdminCustomDomain; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\Certificate; use App\Site\Ssl\LetsEncryptClient; use App\Site\Ssl\Util\Openssl; class SettingsController extends Controller { private ConfigManager $configManager; private DatabaseServerEntityManager $databaseServerEntityManager; public function __construct(ConfigManager $configManager, DatabaseServerEntityManager $databaseServerEntityManager, TranslatorInterface $translator, Logger $logger) { goto D4f8e; D4f8e: $this->configManager = $configManager; goto cf41e; cf41e: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Bd60e; Bd60e: parent::__construct($translator, $logger); goto dafa0; dafa0: } public function settings(Request $request) : Response { goto E0692; d5dda: b3fad: goto Ef5a6; Fbe24: f8f5a: goto B92aa; Dd6c5: return $response; goto c38b5; E0692: $customDomainName = $this->configManager->get("\143\x75\163\164\x6f\155\x5f\x64\157\155\x61\151\156"); goto f55b4; ca32b: return $response; goto d5dda; f55b4: $customDomainData = ["\144\x6f\x6d\141\x69\156\116\141\155\145" => false === is_null($customDomainName) ? $customDomainName : '']; goto Ab633; f7961: if (!(false === is_null($response))) { goto b3fad; } goto ca32b; Ab633: $customDomainForm = $this->createCustomDomainForm($customDomainData); goto C3559; Ef5a6: Ff2da: goto Fbe24; fd5eb: if (!(true === $customDomainForm->isSubmitted())) { goto Ff2da; } goto c517e; c517e: $response = $this->handleCustomDomainForm($request, $customDomainForm); goto f7961; B92aa: $response = $this->render("\101\144\x6d\x69\x6e\57\x53\145\164\x74\x69\x6e\147\x73\57\x69\x6e\144\145\x78\56\150\x74\155\154\56\x74\x77\151\x67", ["\143\x75\x73\x74\157\x6d\104\x6f\x6d\141\x69\x6e\x46\157\162\x6d" => $customDomainForm->createView(), "\x66\x6f\162\x6d\105\x72\x72\157\162\163" => $this->formErrors]); goto Dd6c5; C3559: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto f8f5a; } goto f4eff; f4eff: $customDomainForm->handleRequest($request); goto fd5eb; c38b5: } private function createCustomDomainForm(array $data) : Form { goto e9ba2; C30c6: $form->add("\163\x75\x62\155\151\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\154\x61\163\163" => "\x62\164\x6e\x20\x62\x74\156\55\x62\154\x75\145\x20\142\164\x6e\x2d\154\x67"], "\x6c\141\142\x65\154" => "\123\x61\166\x65"]); goto D958d; e9ba2: $form = $this->createForm("\x41\160\160\x5c\x46\x6f\x72\155\x5c\x41\x64\x6d\151\156\103\x75\x73\x74\x6f\x6d\x44\157\x6d\x61\x69\156\x53\x65\x74\164\151\x6e\147\163\x54\x79\160\x65", $data, ["\141\x63\x74\151\x6f\156" => $this->generateUrl("\143\154\x70\x5f\141\144\x6d\x69\x6e\x5f\163\145\164\164\x69\x6e\147\163"), "\155\x65\x74\150\157\144" => "\120\x4f\123\x54", "\x61\164\x74\x72" => []]); goto C30c6; D958d: return $form; goto Ffed4; Ffed4: } private function handleCustomDomainForm(Request $request, Form $form) { goto ea17a; a5943: goto D1818; goto F64e6; ac764: D1818: goto Ce06a; F64e6: D2b9f: goto Ac35a; Ac35a: try { goto ce50c; e15e6: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\141\144\155\151\x6e\x5f\163\x65\x74\x74\x69\x6e\147\163")); goto F74a3; Ef4bc: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto d3c24; Ff014: $csr = $csrGenerator->generate(); goto A23d7; Baa03: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto A9d05; Eee2b: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto b95b7; d4d62: $adminCustomDomain->reloadNginx(); goto d6a89; C314e: if (true === empty($validationErrors)) { goto e97f2; } goto bc40f; d641b: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto c2b38; bf401: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_DISABLE, $user, [], $request); goto eeaa5; b38aa: $adminCustomDomain->delete(); goto F3078; f47f9: $domainName = $form->get("\x64\157\155\x61\x69\156\116\141\x6d\145")->getData(); goto e373e; eeaa5: $session->getFlashBag()->set("\x73\165\143\x63\145\163\x73", $this->translator->trans("\x43\154\x6f\165\x64\120\x61\x6e\x65\x6c\x20\103\x75\x73\x74\x6f\155\x20\104\x6f\155\x61\x69\156\40\150\141\x73\40\142\x65\145\156\x20\163\x61\166\x65\144\x2e")); goto e15e6; Ad186: $rsaKeyGenerator = new RsaKeyGenerator(); goto Ef4bc; e2648: $letsEncryptClient->registerAccount(); goto d641b; E1c46: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto E6199; C0ad8: E5e34: goto C8075; ec87d: goto E5e34; goto bf4b9; Df7d5: $domains = [$domainName]; goto fc53f; Fe039: $adminCustomDomain = new AdminCustomDomain(); goto b38aa; Afe2a: $vhostTemplate = file_get_contents($vhostTemplateFile); goto a713a; E8a2a: Fff1c: goto Df7d5; F65b2: if (false === empty($domainName)) { goto Fff1c; } goto Fe039; b661d: $eventData = ["\x64\157\155\x61\151\x6e\x4e\x61\155\145" => $domainName]; goto B2257; F6e15: $adminCustomDomain->createLetsEncryptChallengeFiles($certificateOrder); goto E1c46; F74a3: return $response; goto D8c81; D0e90: $adminCustomDomain->deleteLetsEncryptChallengeFiles(); goto F6e15; D10b4: $adminCustomDomain->writeMotdFile($domainName); goto C06c6; Edfcb: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto Ad186; Bf580: $certificate = new Certificate(); goto efb6b; bc40f: $adminCustomDomain = new AdminCustomDomain(); goto D39af; D39af: $adminCustomDomain->delete(); goto B3e3f; Fec3f: $session = $request->getSession(); goto f47f9; D8c81: goto Ae3ae; goto E8a2a; c2b38: $vhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\x2e\57\x2e\56\x2f\x2e\x2e\57\x72\x65\x73\157\165\x72\x63\145\163\57\x6e\147\151\156\x78\57\166\150\157\x73\x74\137\x74\x65\155\160\x6c\141\164\145\57\143\165\163\x74\157\155\55\144\x6f\x6d\141\x69\x6e"); goto Afe2a; C77a4: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto D10b4; ce50c: $user = $this->getUser(); goto Fec3f; F2fdc: $this->configManager->set("\143\165\x73\x74\157\155\137\144\x6f\x6d\x61\x69\156", $domainName); goto b661d; B3e3f: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\x25\163\72\x20\x25\163", $domain, $validationErrorMessage))); D8b28: } goto e239f; e373e: $adminCustomDomain = new AdminCustomDomain(); goto F65b2; a713a: $distinguishedNameDomains = $domains; goto Db2cb; C8075: Ae3ae: goto Bd073; Db2cb: $commonName = array_shift($distinguishedNameDomains); goto Edfcb; bc831: $session->getFlashBag()->set("\163\165\143\143\x65\163\x73", $this->translator->trans("\x43\154\157\x75\144\120\141\156\145\154\x20\103\x75\x73\x74\x6f\x6d\x20\104\x6f\155\x61\151\156\40\x68\141\x73\40\142\145\145\x6e\40\x73\141\166\145\144\56")); goto Bc858; bf4b9: e97f2: goto Baa03; fc53f: $letsEncryptPrivateKey = $this->configManager->get("\154\x65\137\160\x72\151\x76\x61\164\145\137\x6b\x65\x79"); goto Eee2b; A9d05: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto C77a4; F5e68: $certificate->setCertificate($selfSignedCertificate); goto D0e90; C06c6: $adminCustomDomain->reloadNginx(); goto F2fdc; F3078: $this->configManager->delete("\143\165\163\x74\157\155\137\x64\157\155\141\x69\x6e"); goto bf401; A23d7: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto Bf580; efb6b: $certificate->setPrivateKey($privateKey->getPEM()); goto F5e68; cfc40: $this->formErrors = $this->getErrorMessages($form); goto ec87d; B7eb8: return $response; goto C0ad8; d6a89: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto C314e; d3c24: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto Ff014; E6199: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto d4d62; e239f: aa1e9: goto cfc40; B2257: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_ENABLE, $user, $eventData, $request); goto bc831; Bc858: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\141\x64\x6d\x69\156\137\163\145\164\164\x69\156\x67\x73")); goto B7eb8; b95b7: $letsEncryptClient = new LetsEncryptClient($privateKey); goto e2648; Bd073: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\101\156\40\x65\162\x72\x6f\162\40\150\x61\x73\x20\x6f\x63\x63\x75\x72\162\x65\x64\54\x20\145\162\162\157\162\40\155\145\x73\x73\x61\147\x65\72\x20\x25\145\x72\162\157\x72\x4d\145\163\163\141\x67\x65\45", ["\x25\145\162\162\157\162\x4d\145\x73\x73\141\147\145\x25" => $e->getMessage()])); } finally { if (!(true === isset($adminCustomDomain))) { goto A8a9e; } $adminCustomDomain->deleteLetsEncryptChallengeFiles(); A8a9e: } goto ac764; af768: $this->formErrors = $this->getErrorMessages($form); goto a5943; ea17a: if (true === $form->isValid()) { goto D2b9f; } goto af768; Ce06a: } public function databaseServers(Request $request) : Response { goto e2c8e; ca795: return $response; goto De96d; D5b18: $response = $this->render("\x41\x64\155\x69\x6e\x2f\123\145\164\164\151\156\x67\163\x2f\x44\141\164\141\x62\141\x73\145\x2d\123\145\x72\x76\145\x72\x73\57\151\156\144\145\x78\56\x68\x74\x6d\x6c\56\x74\167\x69\x67", ["\x64\141\164\141\142\x61\x73\x65\x53\x65\x72\x76\145\162\163" => $databaseServers]); goto ca795; e2c8e: $databaseServers = $this->databaseServerEntityManager->findAll([], ["\150\x6f\x73\x74" => "\x41\x53\103"]); goto D5b18; De96d: } public function addDatabaseServer(Request $request) : Response { goto B4f27; A47a3: $response = $this->handleDatabaseServerForm($request, $form); goto E950a; C1249: A72c8: goto a8dbb; d7625: $form->handleRequest($request); goto Ac98f; bbcef: return $response; goto D76c0; A0de4: if (!(true === $request->isMethod("\120\117\123\124"))) { goto Fb085; } goto d7625; ce2dd: $form = $this->createDatabaseServerForm($databaseServerEntity); goto A0de4; Fc6f4: $response = $this->render("\x41\144\x6d\151\x6e\57\x53\x65\x74\164\151\x6e\x67\163\x2f\x44\x61\x74\x61\x62\141\163\145\55\123\145\162\166\145\162\x73\x2f\x61\144\x64\56\x68\x74\155\154\x2e\x74\x77\x69\x67", ["\x66\x6f\162\155" => $form->createView(), "\146\x6f\162\x6d\105\162\x72\x6f\162\163" => $this->formErrors]); goto bbcef; d4bcc: ce174: goto C1249; a8dbb: Fb085: goto Fc6f4; E950a: if (!(false === is_null($response))) { goto ce174; } goto E7883; E7883: return $response; goto d4bcc; B4f27: $databaseServerEntity = $this->databaseServerEntityManager->createEntity(); goto ce2dd; Ac98f: if (!(true === $form->isSubmitted())) { goto A72c8; } goto A47a3; D76c0: } private function createDatabaseServerForm(DatabaseServerEntity $databaseServerEntity) : Form { goto A0f85; eb185: return $form; goto c3af0; a76ad: $form->add("\163\165\142\x6d\x69\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\143\154\141\x73\163" => "\142\164\x6e\40\142\x74\x6e\x2d\142\154\165\145\40\142\164\156\x2d\154\147"], "\154\x61\142\x65\x6c" => "\101\144\144\x20\104\141\164\x61\142\x61\163\145\40\x53\145\x72\166\145\x72"]); goto eb185; A0f85: $form = $this->createForm("\x41\160\x70\134\106\157\162\x6d\x5c\101\144\x6d\151\156\x44\x61\164\141\142\x61\163\x65\123\x65\162\166\x65\x72\x54\x79\x70\145", $databaseServerEntity, ["\141\x63\x74\x69\157\x6e" => $this->generateUrl("\143\x6c\x70\x5f\141\x64\x6d\x69\x6e\137\x64\x61\164\141\142\141\x73\145\x5f\x73\145\162\x76\145\162\x5f\x61\144\x64"), "\155\x65\x74\150\x6f\x64" => "\120\117\x53\x54", "\141\164\x74\162" => []]); goto a76ad; c3af0: } private function handleDatabaseServerForm(Request $request, Form $form) { goto F66b9; dd44c: Cb9a6: goto Aaf4f; B94ce: goto cd9b3; goto dd44c; F66b9: if (true === $form->isValid()) { goto Cb9a6; } goto f3616; d5462: cd9b3: goto e1b64; Aaf4f: try { goto eafa2; B0068: $eventData = ["\x68\157\163\x74" => $databaseServerEntity->getHost(), "\165\x73\x65\162\116\141\155\x65" => $databaseServerEntity->getUserName(), "\160\x6f\x72\x74" => $databaseServerEntity->getPort(), "\x65\156\147\151\x6e\145" => $engine, "\x76\x65\x72\x73\151\x6f\x6e" => $version]; goto d86a6; d1be5: $engine = $databaseConnection->getEngine(); goto A5b52; cb9a9: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\141\144\x6d\151\156\137\x64\141\x74\x61\142\x61\163\145\137\x73\x65\x72\166\145\162\x73")); goto e54a6; eafa2: $user = $this->getUser(); goto Ca199; C8366: $databaseServerEntity->setVersion($version); goto Db332; Db332: $databaseServerEntity->setIsDefault(false); goto B0068; d86a6: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_ADD, $user, $eventData, $request); goto be426; A5b52: $version = $databaseConnection->getVersion(); goto C8d2b; cf765: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto d1be5; D20fe: $encryptedPassword = Crypto::encrypt($password); goto d2248; e54a6: return $response; goto B7dfd; f711d: $session->getFlashBag()->set("\x73\x75\x63\143\145\x73\x73", $this->translator->trans("\104\141\x74\141\142\x61\163\x65\x20\x53\x65\162\166\145\x72\x20\150\x61\x73\40\x62\145\145\x6e\x20\x61\x64\x64\x65\x64\x2e")); goto cb9a9; Ca199: $session = $request->getSession(); goto d2858; C8d2b: $databaseServerEntity->setEngine($engine); goto C8366; d2858: $databaseServerEntity = $form->getData(); goto eed8a; be426: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto f711d; d2248: $databaseServerEntity->setPassword($encryptedPassword); goto cf765; eed8a: $password = $databaseServerEntity->getPassword(); goto D20fe; B7dfd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\162", $this->translator->trans("\101\x6e\40\x65\x72\162\x6f\x72\40\150\x61\163\40\x6f\x63\143\165\x72\162\x65\x64\54\x20\145\162\x72\157\162\40\155\x65\163\163\141\x67\x65\x3a\40\x25\145\162\162\x6f\x72\115\145\x73\x73\141\147\x65\45", ["\x25\x65\162\162\157\162\115\145\163\163\141\x67\x65\45" => $e->getMessage()])); } goto d5462; f3616: $this->formErrors = $this->getErrorMessages($form); goto B94ce; e1b64: } public function editDatabaseServer(Request $request) : Response { goto B56eb; F91e1: A274d: goto A84bc; Fa6b9: if (!(false === is_null($response))) { goto Ade76; } goto c8499; B1e74: edc8d: goto Fe614; Ffe55: return $response; goto F91e1; ae16f: $form->handleRequest($request); goto ce00d; f6a52: cd9e5: goto Da670; ce00d: if (!(true === $form->isSubmitted())) { goto cd9e5; } goto E5656; D7a11: $databaseServerEntity->setPassword(''); goto afc5c; B56eb: $id = (int) $request->get("\x69\144"); goto A7987; E5656: $response = $this->handleDatabaseServerEditForm($request, $form); goto Fa6b9; Da670: c6485: goto fec52; fec52: $response = $this->render("\101\x64\x6d\151\x6e\57\123\145\x74\164\x69\x6e\147\x73\57\x44\141\x74\x61\142\x61\x73\x65\55\123\x65\x72\x76\x65\x72\163\57\145\x64\151\164\x2e\x68\x74\x6d\154\x2e\164\x77\x69\147", ["\144\x61\x74\141\x62\x61\163\x65\123\x65\162\166\x65\x72" => $databaseServerEntity, "\x66\157\162\x6d" => $form->createView(), "\x66\157\162\x6d\x45\x72\162\x6f\x72\x73" => $this->formErrors]); goto aee39; c8499: return $response; goto E4aeb; Fe614: $response = $this->redirect($this->generateUrl("\x63\154\160\137\141\144\155\x69\156\137\144\141\164\141\142\141\x73\x65\137\x73\145\162\166\145\162\x73")); goto Ffe55; aee39: return $response; goto e0465; E4aeb: Ade76: goto f6a52; A7987: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto E4424; E4424: if (true === is_null($databaseServerEntity)) { goto edc8d; } goto D7a11; afc5c: $form = $this->createDatabaseServerEditForm($databaseServerEntity); goto E8451; e0465: goto A274d; goto B1e74; E8451: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto c6485; } goto ae16f; A84bc: } private function createDatabaseServerEditForm(DatabaseServerEntity $databaseServerEntity) : Form { goto F462f; F462f: $form = $this->createForm("\101\160\x70\134\106\x6f\162\155\x5c\101\x64\x6d\151\156\104\141\164\141\x62\x61\x73\x65\x53\145\x72\166\x65\x72\105\x64\x69\x74\124\x79\x70\x65", $databaseServerEntity, ["\141\x63\x74\151\157\156" => $this->generateUrl("\143\154\160\137\141\144\x6d\x69\x6e\x5f\144\x61\x74\141\x62\x61\x73\x65\137\x73\x65\162\x76\145\162\x5f\x65\144\151\x74", ["\151\144" => $databaseServerEntity->getId()]), "\155\x65\x74\x68\x6f\x64" => "\x50\x4f\123\x54", "\x61\164\x74\162" => []]); goto B0b39; E412a: return $form; goto Be10b; B0b39: $form->add("\x73\165\x62\x6d\x69\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\x6c\x61\163\x73" => "\142\x74\156\40\x62\164\156\x2d\x62\x6c\x75\x65\40\142\x74\156\x2d\154\147"], "\154\x61\x62\x65\154" => "\123\x61\166\145"]); goto E412a; Be10b: } private function handleDatabaseServerEditForm(Request $request, Form $form) { goto Ec274; a693b: $this->formErrors = $this->getErrorMessages($form); goto ffef5; Ec274: if (true === $form->isValid()) { goto c049c; } goto a693b; ffef5: goto f5f50; goto ab18c; A3e9e: try { goto B979f; d73fb: $version = $databaseConnection->getVersion(); goto c9f35; B979f: $user = $this->getUser(); goto Ac81d; F1c10: return $response; goto af335; E7427: $engine = $databaseConnection->getEngine(); goto d73fb; e2905: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto E7427; d90a8: $databaseServerEntity = $form->getData(); goto e3554; Fd7e0: $databaseServerEntity->setPassword($encryptedPassword); goto e2905; d1cca: $session->getFlashBag()->set("\x73\x75\143\x63\145\x73\x73", $this->translator->trans("\x44\x61\164\x61\x62\x61\163\x65\x20\123\145\162\166\x65\162\x20\x68\141\163\x20\x62\145\x65\x6e\x20\x75\160\144\x61\x74\145\x64\x2e")); goto De299; F61dd: $databaseServerEntity->setIsDefault(false); goto A151d; De299: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x61\x64\x6d\x69\x6e\137\144\x61\x74\x61\x62\x61\163\145\x5f\163\145\x72\x76\x65\162\163")); goto F1c10; e3554: $password = $databaseServerEntity->getPassword(); goto A625d; A151d: $eventData = ["\x68\x6f\163\164" => $databaseServerEntity->getHost(), "\x75\163\145\162\x4e\x61\155\x65" => $databaseServerEntity->getUserName(), "\x70\157\162\x74" => $databaseServerEntity->getPort(), "\145\156\147\x69\156\x65" => $engine, "\x76\145\x72\x73\x69\x6f\x6e" => $version]; goto D2053; d790a: $databaseServerEntity->setVersion($version); goto F61dd; D2053: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_EDIT, $user, $eventData, $request); goto a3c3c; c9f35: $databaseServerEntity->setEngine($engine); goto d790a; Ac81d: $session = $request->getSession(); goto d90a8; a3c3c: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto d1cca; A625d: $encryptedPassword = Crypto::encrypt($password); goto Fd7e0; af335: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\40\145\162\x72\157\162\x20\x68\141\x73\x20\x6f\x63\x63\165\x72\162\x65\144\x2c\x20\x65\162\x72\157\x72\x20\155\145\x73\x73\x61\x67\145\72\40\45\145\162\x72\x6f\x72\115\x65\163\163\141\147\145\45", ["\45\145\x72\x72\x6f\x72\x4d\145\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto C8a3f; C8a3f: f5f50: goto B36ff; ab18c: c049c: goto A3e9e; B36ff: } public function setDatabaseServerActive(Request $request) : Response { goto Bdade; f9f5d: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto F3504; Fff0e: return $response; goto Bfbbc; F3504: if (!(false === is_null($databaseServerEntity))) { goto F0749; } goto df40f; e7446: try { goto a65e4; d9f71: $eventData = ["\157\x6c\144\110\x6f\163\164" => $activeDatabaseServerEntity->getHost(), "\x6f\154\x64\x55\163\145\162\116\141\x6d\145" => $activeDatabaseServerEntity->getUserName(), "\156\x65\167\110\157\x73\x74" => $databaseServerEntity->getHost(), "\156\145\167\x55\163\145\x72\x4e\141\x6d\x65" => $databaseServerEntity->getUserName()]; goto Faa43; f4d17: $databaseServerEntity->setIsActive(true); goto cc3b2; a65e4: $user = $this->getUser(); goto a2a50; abff5: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto f2755; a2a50: $session = $request->getSession(); goto f4d17; f2755: $this->databaseServerEntityManager->updateEntity($activeDatabaseServerEntity); goto d9f71; C1e65: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\163", $this->translator->trans("\x44\x61\164\x61\x62\x61\x73\x65\40\x53\x65\162\x76\145\162\x20\150\x61\163\x20\142\145\145\156\x20\x63\150\141\x6e\x67\x65\144\56")); goto ed353; Faa43: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_CHANGE, $user, $eventData, $request); goto C1e65; cc3b2: $activeDatabaseServerEntity->setIsActive(false); goto abff5; ed353: } catch (\Exception $e) { $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\x44\x61\x74\x61\x62\141\x73\145\x20\x53\145\x72\166\145\x72\40\143\162\x65\x64\x65\x6e\164\151\x61\x6c\163\40\141\162\x65\40\156\x6f\164\40\x76\x61\154\151\144\x2e")); } goto ccf52; f283c: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x61\144\155\x69\x6e\x5f\144\x61\x74\x61\142\141\163\145\x5f\x73\x65\162\x76\145\162\163")); goto Fff0e; df40f: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Cba06; ccf52: Ab831: goto A46f8; Bdade: $id = (int) $request->get("\x69\x64"); goto f9f5d; A46f8: F0749: goto f283c; Cba06: if (!($databaseServerEntity->getId() != $activeDatabaseServerEntity->getId())) { goto Ab831; } goto e7446; Bfbbc: } public function deleteDatabaseServer(Request $request) : Response { goto E8a75; a8a52: d1b6e: goto Dc2ef; E8a75: $id = (int) $request->get("\x69\144"); goto B3deb; Df3e2: if (!(false === is_null($databaseServerEntity) && false === $databaseServerEntity->isDefault() && false === $databaseServerEntity->isActive())) { goto d1b6e; } goto D56f6; D56f6: try { goto f039b; Cce95: $this->databaseServerEntityManager->deleteEntity($databaseServerEntity); goto D52b0; E0587: $session->getFlashBag()->set("\163\165\x63\x63\145\x73\x73", $this->translator->trans("\104\141\x74\141\142\x61\x73\145\40\x53\145\x72\166\145\x72\40\150\x61\163\x20\x62\x65\145\156\x20\144\145\x6c\145\x74\x65\144\x2e")); goto F87df; D52b0: $eventData = ["\x68\157\163\x74" => $databaseServerEntity->getHost(), "\165\x73\145\x72\x4e\x61\155\145" => $databaseServerEntity->getUserName()]; goto A8df4; A8df4: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_DELETE, $user, $eventData, $request); goto E0587; f039b: $user = $this->getUser(); goto C44f4; C44f4: $session = $request->getSession(); goto Cce95; F87df: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\x72", $this->translator->trans("\x41\156\x20\x65\162\x72\x6f\162\x20\x68\141\x73\x20\x6f\x63\x63\x75\162\162\145\144\x2c\x20\x65\162\x72\157\x72\40\x6d\145\163\163\x61\147\x65\x3a\40\45\x65\162\162\x6f\x72\115\145\x73\163\141\147\145\45", ["\45\x65\x72\x72\x6f\x72\115\x65\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto a8a52; a2ec9: return $response; goto F64fe; B3deb: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto Df3e2; Dc2ef: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\141\x64\x6d\x69\x6e\137\x64\x61\x74\x61\x62\x61\163\145\x5f\163\145\x72\x76\x65\x72\x73")); goto a2ec9; F64fe: } }
