<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto e253f; B2664: $this->timezoneEntityManager = $timezoneEntityManager; goto B0851; B0851: parent::__construct($translator, $logger); goto eb315; e253f: $this->userEntityManager = $userEntityManager; goto e96d4; e96d4: $this->siteEntityManager = $siteEntityManager; goto B2664; eb315: } public function index(Request $request) : Response { goto ba2af; ad9de: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto F97e3; ba2af: $currentUser = $this->getUser(); goto Dc454; Dc454: $users = $this->userEntityManager->findAll([], ["\x75\163\x65\162\116\141\x6d\x65" => "\x61\x73\143"]); goto ad9de; C8d92: return $response; goto a3b8c; F97e3: $response = $this->render("\x41\144\155\151\x6e\x2f\125\163\145\162\x2f\x69\156\144\x65\x78\56\150\x74\155\154\56\x74\x77\x69\147", ["\165\x73\145\162\163" => $users]); goto C8d92; a3b8c: } public function new(Request $request) : Response { goto fdba2; cd356: fca59: goto a8f43; Ab5b0: if (!(true === $form->isSubmitted())) { goto c17a6; } goto b5c39; e52fb: $userEntity->setTimezone($defaultTimezone); goto daa90; eb8a4: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto a9659; b5c39: $response = $this->handleUserForm($request, $form); goto c71f7; f4c1e: return $response; goto D5662; c71f7: if (!(false === is_null($response))) { goto fca59; } goto A48b2; Ccbd7: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto e2b8b; } goto Bba36; E5d30: $response = $this->render("\x41\x64\155\x69\x6e\x2f\x55\x73\145\x72\57\156\x65\x77\56\x68\164\x6d\x6c\56\164\167\x69\147", ["\165\x73\145\x72" => $userEntity, "\x73\151\x74\x65\x73" => $sites, "\x66\x6f\162\x6d" => $form->createView(), "\146\157\x72\x6d\105\x72\x72\157\162\x73" => $this->formErrors]); goto f4c1e; fdba2: $userEntity = $this->userEntityManager->createEntity(); goto eb8a4; A48b2: return $response; goto cd356; daa90: $form = $this->createUserForm($userEntity); goto Ccbd7; a8f43: c17a6: goto Fabbc; Bba36: $form->handleRequest($request); goto Ab5b0; a9659: $sites = $this->siteEntityManager->findAll([], ["\144\x6f\155\x61\x69\156\116\x61\155\145" => "\101\x53\x43"]); goto e52fb; Fabbc: e2b8b: goto E5d30; D5662: } private function createUserForm(UserEntity $userEntity) : Form { goto Ea824; Cc421: $form->add("\163\x75\142\x6d\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\x6c\x61\x73\163" => "\x62\x74\156\40\142\164\x6e\55\x62\154\x75\145\x20\x62\x74\x6e\55\x6c\x67"], "\x6c\141\142\x65\154" => "\x41\144\x64\40\x55\x73\145\162"]); goto Bf87e; Ea824: $form = $this->createForm("\101\x70\160\x5c\x46\x6f\x72\x6d\134\x41\144\x6d\x69\156\125\x73\145\x72\124\x79\x70\x65", $userEntity, ["\141\143\x74\151\157\156" => $this->generateUrl("\143\x6c\x70\137\141\144\155\151\156\137\165\163\x65\162\x5f\156\x65\167"), "\x6d\145\x74\x68\x6f\x64" => "\x50\117\123\124", "\x61\x74\x74\162" => []]); goto Cc421; Bf87e: return $form; goto c08ea; c08ea: } private function handleUserForm(Request $request, Form $form) { goto A0f4d; fa08d: $this->formErrors = $this->getErrorMessages($form); goto c46ec; C1915: try { goto e74a3; Ba46d: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x61\144\155\x69\x6e\x5f\165\163\x65\162\x73")); goto ed45f; Abff7: $sites = $userEntity->getSites(); goto A02c0; dc288: $this->userEntityManager->updateUser($userEntity); goto e6eb4; A02c0: $domainNames = []; goto cfcbb; e6eb4: $eventData = ["\x75\163\145\x72\116\141\x6d\x65" => $userEntity->getUserName(), "\x66\x69\x72\x73\x74\116\141\155\145" => $userEntity->getFirstName(), "\x6c\x61\163\164\x4e\141\x6d\145" => $userEntity->getLastName(), "\x65\155\x61\151\x6c" => $userEntity->getEMail(), "\162\157\154\145" => $userEntity->getRole(), "\x73\151\164\x65\163" => implode("\x2c\40", $domainNames)]; goto e6f6c; e6f6c: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto A16df; ab76a: c8ba5: goto d2a53; cfcbb: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto c8ba5; } goto B4b8d; b5973: B3198: goto ab76a; fb98c: $userEntity = $form->getData(); goto Abff7; e74a3: $currentUser = $this->getUser(); goto D6865; d2a53: sort($domainNames); goto dc288; A16df: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\x73", $this->translator->trans("\125\163\x65\162\x20\x68\x61\163\40\142\145\145\x6e\x20\x61\144\144\145\x64\56")); goto Ba46d; D6865: $session = $request->getSession(); goto fb98c; B4b8d: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); b8f4f: } goto b5973; ed45f: return $response; goto A7e6a; A7e6a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\x72", $this->translator->trans("\x41\156\40\x65\162\162\157\162\40\x68\x61\163\x20\x6f\143\143\x75\162\x72\145\x64\54\40\x65\162\x72\x6f\162\40\x6d\x65\x73\163\141\147\x65\x3a\40\45\145\x72\162\157\162\x4d\x65\x73\x73\x61\x67\145\45", ["\x25\145\162\x72\157\162\115\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto c3556; aedc5: bbf40: goto C1915; A0f4d: if (true === $form->isValid()) { goto bbf40; } goto fa08d; c3556: cf747: goto d41fa; c46ec: goto cf747; goto aedc5; d41fa: } public function edit(Request $request) : Response { goto Cc51b; e33b5: return $response; goto eac57; C49b6: $response = $this->redirect($this->generateUrl("\143\154\160\137\141\144\x6d\151\x6e\137\x75\x73\x65\x72\163")); goto B017f; Ac385: if (!(true === $form->isSubmitted())) { goto c44c4; } goto fa12c; c924a: A0c34: goto e33b5; De8d6: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto fb126; } goto C7cda; C7cda: $form->handleRequest($request); goto Ac385; e7e8e: c44c4: goto b9aef; Defd4: if (false === is_null($userEntity)) { goto Fad7e; } goto C49b6; fb556: if (!(false === is_null($response))) { goto f3825; } goto D1dc1; a5105: f3825: goto e7e8e; b9aef: fb126: goto Bd2c1; B017f: goto A0c34; goto Ddb8b; fa12c: $response = $this->handleUserEditForm($request, $form); goto fb556; bdaf1: $userEntity = $this->userEntityManager->findOneById($id); goto Defd4; Cc51b: $id = (int) $request->get("\151\x64"); goto bdaf1; D1dc1: return $response; goto a5105; Ebf74: $sites = $this->siteEntityManager->findAll([], ["\x64\157\155\x61\x69\x6e\x4e\x61\x6d\145" => "\x41\x53\103"]); goto f1d6d; f1d6d: $form = $this->createUserEditForm($userEntity); goto De8d6; Bd2c1: $response = $this->render("\101\x64\155\x69\156\57\125\x73\145\162\57\x65\x64\x69\x74\x2e\x68\164\155\x6c\x2e\x74\x77\x69\x67", ["\165\163\x65\x72" => $userEntity, "\163\151\164\x65\163" => $sites, "\x66\157\x72\x6d" => $form->createView(), "\x66\157\x72\x6d\x45\x72\162\157\x72\163" => $this->formErrors]); goto c924a; Ddb8b: Fad7e: goto Ebf74; eac57: } private function createUserEditForm(UserEntity $userEntity) : Form { goto C80c5; C80c5: $form = $this->createForm("\x41\x70\x70\x5c\x46\x6f\162\155\x5c\101\144\155\151\156\125\x73\x65\162\105\144\151\x74\x54\x79\x70\145", $userEntity, ["\141\143\164\151\x6f\156" => $this->generateUrl("\x63\x6c\160\x5f\x61\x64\155\151\156\x5f\x75\x73\x65\x72\137\x65\144\151\164", ["\x69\x64" => $userEntity->getId()]), "\155\x65\x74\x68\x6f\144" => "\120\x4f\x53\124", "\x61\164\x74\x72" => []]); goto f0ca3; f0ca3: $form->add("\163\x75\142\155\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\x6c\141\x73\x73" => "\142\x74\x6e\x20\x62\x74\156\55\142\x6c\x75\145\40\x62\x74\156\55\154\147"], "\x6c\x61\142\145\x6c" => "\x53\141\166\145"]); goto F78d6; F78d6: return $form; goto b2cc9; b2cc9: } private function handleUserEditForm(Request $request, Form $form) { goto f6c16; De5dd: F6f97: goto E1af5; F635c: $this->formErrors = $this->getErrorMessages($form); goto f686a; f686a: goto F6f97; goto d6442; d6442: B8b81: goto D5c3b; f6c16: if (true === $form->isValid()) { goto B8b81; } goto F635c; D5c3b: try { goto ba027; Eee51: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto f27a8; } goto c94e8; bdf64: $userEntity = $form->getData(); goto E7b78; f63db: Caad2: goto a1656; Fa101: if (false === empty($plainPassword)) { goto e7839; } goto Bcd83; a1656: f27a8: goto D5263; C2e3e: goto C67ee; goto D70f2; A4a26: $eventData = ["\165\x73\145\162\116\x61\155\145" => $userEntity->getUserName(), "\x66\151\162\163\164\x4e\x61\155\x65" => $userEntity->getFirstName(), "\x6c\x61\163\x74\x4e\x61\155\x65" => $userEntity->getLastName(), "\145\x6d\x61\x69\x6c" => $userEntity->getEMail(), "\x72\157\x6c\145" => $userEntity->getRole(), "\x73\x74\x61\x74\x75\x73" => (int) $userEntity->getStatus(), "\163\151\x74\145\163" => implode("\54\40", $domainNames)]; goto D9f8f; Bcd83: $this->userEntityManager->updateUser($userEntity); goto C2e3e; ba027: $currentUser = $this->getUser(); goto C951f; D9f8f: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto A1b01; D70f2: e7839: goto c9c0d; E7b78: $plainPassword = $userEntity->getPlainPassword(); goto Dd7f9; d3953: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x61\144\155\x69\156\x5f\165\x73\x65\162\137\x65\144\x69\164", ["\x69\x64" => $userEntity->getId()])); goto B0677; cd213: $domainNames = []; goto Eee51; B0677: return $response; goto C407b; c94e8: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); a2e2a: } goto f63db; c9c0d: $this->userEntityManager->updateUser($userEntity, true, true); goto d87c3; D5263: sort($domainNames); goto Fa101; A1b01: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\163", $this->translator->trans("\125\163\x65\x72\x20\150\141\163\x20\x62\145\x65\x6e\40\x75\x70\144\x61\x74\x65\144\56")); goto d3953; Dd7f9: $sites = $userEntity->getSites(); goto cd213; C951f: $session = $request->getSession(); goto bdf64; d87c3: C67ee: goto A4a26; C407b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\x41\156\x20\x65\x72\x72\x6f\162\40\150\141\163\x20\x6f\x63\x63\x75\162\x72\145\x64\x2c\x20\x65\162\162\157\x72\x20\x6d\x65\163\x73\x61\147\x65\x3a\40\x25\145\x72\162\x6f\162\x4d\145\163\163\x61\x67\145\x25", ["\45\145\x72\162\x6f\x72\x4d\x65\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } goto De5dd; E1af5: } public function delete(Request $request) : Response { goto Bf3c0; B8da3: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto fc7b3; c3510: if (!(false === is_null($userEntity))) { goto db4a6; } goto Cdad6; Bf3c0: $currentUser = $this->getUser(); goto fb0f2; e56e4: $eventData = ["\x75\163\x65\162\x4e\x61\x6d\x65" => $userEntity->getUserName(), "\x66\x69\162\x73\164\x4e\141\x6d\x65" => $userEntity->getFirstName(), "\154\x61\x73\164\116\x61\x6d\145" => $userEntity->getLastName(), "\x65\x6d\141\151\154" => $userEntity->getEMail(), "\162\x6f\154\x65" => $userEntity->getRole()]; goto B8da3; fb0f2: $id = (int) $request->get("\151\144"); goto Ebcc6; Cf17e: if (!(true === isset($id) && $id != $currentUser->getId())) { goto d97f0; } goto D5ad4; Ad055: $session->getFlashBag()->set("\x73\x75\143\x63\x65\x73\x73", $this->translator->trans("\125\x73\145\162\x20\150\x61\x73\40\x62\x65\x65\156\x20\x64\x65\154\x65\164\x65\x64\56")); goto d6889; f107d: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x61\144\x6d\x69\156\137\165\x73\145\162\x73")); goto A5f6c; d6889: db4a6: goto C1e41; Ebcc6: $this->checkCsrfToken($request, "\144\145\x6c\145\x74\145\x2d\165\x73\x65\162"); goto Cf17e; fc7b3: $this->userEntityManager->deleteUser($userEntity); goto Ad055; C1e41: d97f0: goto f107d; A5f6c: return $response; goto ddcb5; D5ad4: $userEntity = $this->userEntityManager->findOneById($id); goto c3510; Cdad6: $session = $request->getSession(); goto e56e4; ddcb5: } }
