<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto D8863; C3538: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto e474c; c65a8: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto C3538; D8863: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto c65a8; e474c: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto F21b0; F21b0: parent::__construct($translator, $logger); goto B40de; B40de: } public function index(Request $request) : Response { goto b7253; cf0e1: $loadAverageChartInformation = sprintf("\x25\163\x20\x25\x73", $numberOfProcessorCores, $this->translator->trans("\x43\120\x55")); goto e9343; e8101: $cpuInformation = sprintf("\x25\x73\40\45\x73", $numberOfProcessorCores, $this->translator->trans("\x43\120\x55")); goto F0837; Ab22c: $diskData = [["\156\141\155\145" => sprintf("\x2f\40\50\x25\x73\x29", $rootDiskSize), "\x63\x6f\x6c\x6f\x72" => "\x23\67\x33\142\x66\x34\143", "\144\x61\x74\x61" => $diskData["\x72\x6f\157\x74"] ?: []]]; goto a37f8; c3834: $environment = $instance->getEnvironment(); goto ef49f; F8644: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto Acf1f; Acf1f: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto eca04; e814c: f7dbf: goto C7869; ecb7c: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto B56db; Ba103: if ($homeDiskSize != $rootDiskSize) { goto Ed3b8; } goto Ab22c; f6922: $numberOfProcessorCores = 0; goto E032e; f6e59: $memoryChart->setData($memoryData); goto F6dfe; ceb19: $diskChart = new Chart("\104\x69\163\153\x20\125\x73\141\x67\x65"); goto c93a6; b7253: $user = $this->getUser(); goto Fe080; a93d9: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto Fa0c7; F0837: $cpuChart = new Chart("\103\120\x55\40\125\163\141\147\x65"); goto e2359; B83dc: $loadAverageData = [["\156\x61\x6d\145" => $this->translator->trans("\61\40\x4d\x69\x6e\165\164\145"), "\x63\x6f\x6c\157\x72" => "\43\67\x37\x34\x61\x61\64", "\x64\141\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\156\x61\x6d\145" => $this->translator->trans("\65\x20\115\x69\156\x75\x74\145\x73"), "\143\x6f\x6c\157\162" => "\43\145\142\65\x38\66\143", "\x64\x61\x74\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\x6e\x61\155\145" => $this->translator->trans("\x31\x35\40\x4d\151\x6e\165\x74\145\x73"), "\x63\x6f\x6c\157\162" => "\43\60\60\67\x38\x64\64", "\144\x61\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto e8101; F2f12: $loadAverageChart->setInformation($loadAverageChartInformation); goto e1fd1; a2881: $dateTime = new \DateTime(); goto a93d9; a39b3: $totalMemory = ''; goto f6922; b5d50: Ed3b8: goto f82da; E035e: $memoryChart = new Chart("\x4d\145\x6d\157\x72\171\x20\x55\x73\x61\147\145"); goto f1e6f; ad688: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto c608a; eeab9: $response = $this->render("\106\x72\157\156\x74\x65\156\x64\57\104\x61\x73\150\x62\x6f\141\162\x64\x2f\x69\x6e\144\145\x78\56\x68\x74\x6d\x6c\x2e\164\167\151\147", ["\143\154\x6f\165\144" => $cloud, "\151\x6e\x73\x74\141\156\x63\145" => $instance, "\x75\163\145\x72" => $user, "\164\151\155\145\x52\x61\x6e\147\145" => $timeRange, "\143\160\165\x43\150\x61\162\x74" => $cpuChart, "\155\145\155\x6f\162\171\x43\x68\141\162\x74" => $memoryChart, "\x64\x69\x73\153\x43\x68\141\x72\x74" => $diskChart, "\x6c\157\141\144\x41\166\x65\162\x61\x67\145\103\x68\141\162\x74" => $loadAverageChart]); goto Ef4a0; c9e39: $diskChart->setCategories($categories); goto cf0e1; e9343: $loadAverageChart = new LoadAverageChart("\x4c\157\x61\144\40\101\166\145\162\141\x67\x65"); goto F2f12; D16cb: $cpuChart->setData($cpuData); goto e0204; E87bc: $timeRange = $request->get("\164\151\155\145\122\x61\x6e\147\145"); goto df6d7; f1e6f: $memoryChart->setInformation($totalMemory); goto f6e59; c93a6: $diskChart->setData($diskData); goto c9e39; e2359: $cpuChart->setInformation($cpuInformation); goto D16cb; eca04: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto Ba103; c608a: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\107\x42", 0); goto ecb7c; e1fd1: $loadAverageChart->setData($loadAverageData); goto e2335; Fa0c7: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto Edb7a; b7c0b: $startTime = (clone $endTime)->modify("\x2d\63\60\40\155\x69\x6e\165\164\x65\x73"); goto d20af; d20af: goto f7dbf; goto c0c53; Edb7a: $minuteInterval = 5; goto b7c0b; c0c53: case self::TIME_RANGE_LAST_HOUR: goto Fc6bf; Fc6bf: $minuteInterval = 10; goto Aeb5e; Aeb5e: $startTime = (clone $endTime)->modify("\55\x31\40\x68\157\x75\x72"); goto Dfabb; Dfabb: goto f7dbf; goto C7461; C7461: case self::TIME_RANGE_LAST_THREE_HOURS: goto E83e2; E83e2: $minuteInterval = 30; goto d9952; d9952: $startTime = (clone $dateTime)->modify("\x2d\x33\40\x68\x6f\165\162\163"); goto ac16c; ac16c: goto f7dbf; goto A9220; A9220: case self::TIME_RANGE_LAST_SIX_HOURS: goto dd8ff; dd8ff: $minuteInterval = 60; goto C649d; C649d: $startTime = (clone $dateTime)->modify("\55\x36\40\x68\x6f\165\162\x73"); goto Ca25b; Ca25b: goto f7dbf; goto f194c; f194c: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto De8b2; De8b2: $minuteInterval = 120; goto Baee3; F5bb4: goto f7dbf; goto A49c6; Baee3: $startTime = (clone $dateTime)->modify("\55\x31\x32\40\x68\157\165\162\163"); goto F5bb4; A49c6: } goto A1e65; C12b9: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto B83dc; e0ad6: Baa84: goto C12b9; F6dfe: $memoryChart->setCategories($categories); goto ceb19; ef49f: $cloud = $environment->getCloudProvider(); goto E87bc; a37f8: goto Baa84; goto b5d50; e0204: $cpuChart->setCategories($categories); goto E035e; Fe080: $instance = $request->attributes->get("\151\156\x73\164\x61\x6e\143\x65"); goto c3834; f82da: $diskData = [["\x6e\x61\155\145" => sprintf("\57\x20\x28\45\163\51", $rootDiskSize), "\x63\x6f\x6c\157\x72" => "\43\67\x33\142\146\x34\x63", "\x64\141\164\141" => $diskData["\x72\x6f\x6f\164"] ?: []], ["\x6e\141\155\x65" => sprintf("\x2f\x68\157\155\145\x20\x28\45\163\x29", $homeDiskSize), "\x63\157\154\x6f\x72" => "\x23\x66\x33\x62\x66\60\60", "\144\141\x74\141" => $diskData["\x68\x6f\155\145"] ?: []]]; goto e0ad6; E032e: try { goto d7ab0; c0995: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto ed9f4; f5fbf: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto Fbcbd; d7ab0: $commandExecutor = new CommandExecutor(); goto cd537; Fbcbd: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\107\x42", 0); goto cf70b; Dde0f: $commandExecutor->execute($processorCoresCommand); goto c0995; B3ec7: $commandExecutor->execute($memoryInformationCommand); goto f5fbf; cf70b: $processorCoresCommand = new ProcessorCoresCommand(); goto Dde0f; cd537: $memoryInformationCommand = new MemoryInformationCommand(); goto B3ec7; ed9f4: } catch (\Exception $e) { $this->logger->exception($e); } goto ad688; e2335: $loadAverageChart->setCategories($categories); goto eeab9; A1e65: Dcca7: goto e814c; Ef4a0: return $response; goto c69c5; C7869: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto F8644; B56db: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\x47\102", 0); goto a2881; df6d7: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto a39b3; c69c5: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Ca689; F98a3: C678c: goto eaf73; dd9b7: $startDataDate->modify(sprintf("\53\x25\60\65\x64\40\155\x69\156\165\x74\x65\163", $minuteInterval)); goto C484f; a1da5: $categories[] = $categoryDateTime->format("\110\x3a\x69"); goto dd9b7; E7c2e: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto a1da5; eaf73: return $categories; goto Bee8b; Ca689: $categories = []; goto D5b13; Ef867: goto fc5a2; goto F98a3; b1f5a: $endDataDate = clone $startTime; goto d0163; D935e: if (!($endDataDate <= $endTime)) { goto C678c; } goto dc8d4; C484f: $endDataDate->modify(sprintf("\53\45\x30\x35\x64\x20\x6d\x69\x6e\165\x74\x65\163", $minuteInterval)); goto Ef867; D5b13: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\x35\144\40\155\151\156\165\164\145\163", $minuteInterval)); goto b1f5a; d0163: fc5a2: goto D935e; dc8d4: $categoryDateTime = clone $endDataDate; goto E7c2e; Bee8b: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Df6a9; f17b9: $startDataDate->modify(sprintf("\x2b\x25\60\x35\144\x20\x6d\x69\156\x75\164\x65\163", $minuteInterval)); goto Fc305; a2112: Af517: goto aad1b; bca3d: a8578: goto D1ac4; F81dc: $cpuData[] = $averageCpuValue; goto f17b9; Ada70: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\65\144\40\x6d\151\x6e\165\x74\x65\x73", $minuteInterval)); goto De849; e4400: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto F81dc; Df6a9: $cpuData = []; goto Ada70; De849: $endDataDate = clone $startTime; goto bca3d; A6081: goto a8578; goto a2112; D1ac4: if (!($endDataDate <= $endTime)) { goto Af517; } goto e4400; Fc305: $endDataDate->modify(sprintf("\53\x25\60\65\x64\40\x6d\x69\156\x75\x74\145\x73", $minuteInterval)); goto A6081; aad1b: return $cpuData; goto Ecf8b; Ecf8b: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto cf6c4; A82a9: return $memoryData; goto d551a; C8329: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto e70e8; e70e8: $memoryData[] = (int) $averageMemoryValue; goto bea8d; d6e5b: goto E6f7f; goto Adf5c; Adf5c: c05e9: goto A82a9; bea8d: $startDataDate->modify(sprintf("\x2b\45\60\65\x64\40\155\151\x6e\165\164\x65\163", $minuteInterval)); goto bd480; bd480: $endDataDate->modify(sprintf("\x2b\x25\x30\x35\144\40\x6d\151\156\x75\164\145\x73", $minuteInterval)); goto d6e5b; A5528: if (!($endDataDate <= $endTime)) { goto c05e9; } goto C8329; A2b47: $endDataDate = clone $startTime; goto f452a; cf6c4: $memoryData = []; goto Facc8; Facc8: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\60\x35\x64\40\x6d\151\156\x75\164\145\163", $minuteInterval)); goto A2b47; f452a: E6f7f: goto A5528; d551a: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto Ece58; cfa72: $endDataDate = clone $startTime; goto a2402; a2dc5: A6198: goto Acd64; a2402: Abdbd: goto c4cf4; af24e: foreach (["\x2f", "\x2f\x68\157\x6d\145"] as $disk) { goto db384; e9a71: $diskData["\162\x6f\157\164"][] = (int) $averageDiskSizeValue; goto b64a0; b9c3a: e3c7e: goto F850c; A3ae0: $diskData["\x68\157\x6d\145"][] = (int) $averageDiskSizeValue; goto cd893; b64a0: b0eb4: goto b9c3a; db384: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto a1cf6; cd893: goto b0eb4; goto Ec38f; Ec38f: E6c6e: goto e9a71; a1cf6: if ("\x2f" == $disk) { goto E6c6e; } goto A3ae0; F850c: } goto a2dc5; C8379: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\65\144\x20\155\151\156\165\x74\145\163", $minuteInterval)); goto cfa72; bb09f: goto Abdbd; goto d3570; D7c7c: return $diskData; goto bcf0e; db66a: $endDataDate->modify(sprintf("\x2b\45\60\x35\x64\40\155\x69\156\x75\164\x65\163", $minuteInterval)); goto bb09f; d3570: e5bc1: goto D7c7c; Acd64: $startDataDate->modify(sprintf("\x2b\x25\x30\65\144\x20\155\151\156\x75\164\x65\x73", $minuteInterval)); goto db66a; Ece58: $diskData = []; goto C8379; c4cf4: if (!($endDataDate <= $endTime)) { goto e5bc1; } goto af24e; bcf0e: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto B5ce0; f7353: goto e03cf; goto ac99e; cad9c: if (!($endDataDate <= $endTime)) { goto ad5fe; } goto d00bf; ac99e: ad5fe: goto a7833; Cdfcb: $endDataDate = clone $startTime; goto Ffb4a; d00bf: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto af22b; e5cb7: c5dfd: goto d9f74; eef78: $loadAverageData[$period][] = round($loadAverageValue, 2); goto e5cb7; af22b: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto eef78; d9f74: } goto Bf704; b806a: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\60\65\x64\x20\x6d\151\x6e\x75\x74\x65\x73", $minuteInterval)); goto Cdfcb; Ffb4a: e03cf: goto cad9c; a7833: return $loadAverageData; goto Cd4dd; d556a: $startDataDate->modify(sprintf("\53\x25\x30\x35\144\40\x6d\x69\x6e\165\x74\x65\163", $minuteInterval)); goto e82ae; Bf704: F2c5e: goto d556a; e82ae: $endDataDate->modify(sprintf("\53\x25\60\x35\x64\40\155\151\x6e\165\x74\145\x73", $minuteInterval)); goto f7353; B5ce0: $loadAverageData = []; goto b806a; Cd4dd: } }
