<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto Db2e3; f5cd0: $this->blockedBotEntityManager = $blockedBotEntityManager; goto e3199; a6b99: $this->databaseEntityManager = $databaseEntityManager; goto e00d6; b6cac: $this->ftpUserEntityManager = $ftpUserEntityManager; goto c2d60; Db2e3: $this->configManager = $configManager; goto Cadb7; e3199: $this->certificateEntityManager = $certificateEntityManager; goto c89dc; e00d6: $this->databaseUserEntityManager = $databaseUserEntityManager; goto d94e7; Cadb7: $this->siteEntityManager = $siteEntityManager; goto f50ae; adb63: parent::__construct($translator, $logger); goto B8563; d4559: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto b6cac; c89dc: $this->cronJobEntityManager = $cronJobEntityManager; goto a6b99; fa36b: $this->domainNameParser = $domainNameParser; goto adb63; d94e7: $this->databaseServerEntityManager = $databaseServerEntityManager; goto d4559; f164a: $this->blockedIpEntityManager = $blockedIpEntityManager; goto f5cd0; c2d60: $this->sshUserEntityManager = $sshUserEntityManager; goto fa36b; f50ae: $this->basicAuthEntityManager = $basicAuthEntityManager; goto f164a; B8563: } public function index(Request $request) : Response { goto a8a72; a8a72: $user = $this->getUser(); goto Ba4dd; edc4a: return $response; goto c6080; Ba4dd: $sites = $this->siteEntityManager->getUserSites($user, ["\x64\x6f\155\141\x69\x6e\x4e\x61\x6d\x65" => "\x61\163\143"]); goto C0602; C0602: $response = $this->render("\106\x72\157\x6e\164\145\156\144\x2f\x53\151\x74\x65\x2f\151\156\x64\x65\170\56\x68\164\x6d\x6c\56\x74\x77\151\x67", ["\165\x73\x65\x72" => $user, "\163\x69\x74\x65\163" => $sites]); goto edc4a; c6080: } public function fileManager(Request $request) : Response { goto Cc320; Ae052: $data = ["\165\x73\145\x72" => $siteUser, "\154\x6f\143\141\x6c\145" => $locale]; goto b4dd2; e53be: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\164\145\x73")); goto dfe61; c1618: $cookieExpirationDate->modify(sprintf("\x2b\x25\x73\x20\x68\157\x75\162\x73", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto Ae052; ac266: $response = $this->render("\106\x72\157\156\164\145\x6e\144\57\x53\151\164\145\57\x66\151\154\145\x2d\x6d\141\156\x61\x67\x65\162\56\x68\x74\x6d\x6c\x2e\164\167\151\147", ["\163\151\x74\x65" => $site, "\146\x69\154\145\115\141\156\x61\x67\x65\162\x55\162\x6c" => $fileManagerUrl, "\x66\157\162\155\105\x72\162\157\x72\163" => $this->formErrors]); goto C52b8; a42e9: C8159: goto Addc0; A1198: $cookieExpirationDate = new \DateTime("\x6e\157\x77"); goto c1618; af9c2: return $response; goto da158; dfe61: goto a6820; goto a42e9; c73e9: $fileManagerUrl = sprintf("\x25\x73\57\x66\151\154\145\55\155\x61\x6e\x61\x67\145\162\57", rtrim($request->getSchemeAndHttpHost(), "\57")); goto ac266; a226c: if (false === is_null($site)) { goto C8159; } goto e53be; Addc0: $siteUser = $site->getUser(); goto a742e; a742e: $session = $request->getSession(); goto Da6ca; b4dd2: $session->set("\x63\154\x70\x2d\146\151\154\145\55\155\x61\x6e\x61\147\x65\162", $data); goto c73e9; C52b8: a6820: goto af9c2; Da6ca: $locale = $request->getLocale(); goto A1198; Cc320: $site = $this->getSite($request); goto a226c; da158: } public function view(Request $request) : Response { goto aa9ba; F91e5: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\x65\137\163\x65\164\164\x69\156\147\x73", ["\144\x6f\155\x61\151\156\116\141\155\145" => $domainName])); goto a56d5; a56d5: return $response; goto A4d88; aa9ba: $domainName = $request->get("\x64\x6f\x6d\x61\151\156\116\x61\x6d\145"); goto F91e5; A4d88: } public function logs(Request $request) : Response { goto da8a8; F5a04: Bb933: goto Daacf; da8a8: $site = $this->getSite($request); goto Cef9a; D1d8a: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\x65\163")); goto d1bf5; Ee31b: $form = $this->createLogsForm($siteEntity); goto Df88f; Df88f: $response = $this->render("\x46\x72\157\x6e\x74\x65\156\x64\x2f\x53\151\x74\145\x2f\154\x6f\x67\163\x2e\x68\x74\x6d\154\56\164\x77\151\147", ["\x73\x69\164\145" => $site, "\146\157\162\155\105\162\x72\x6f\162\163" => $this->formErrors, "\x66\x6f\x72\x6d" => $form->createView()]); goto F5a04; f5a30: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ee31b; bf655: C23be: goto f5a30; d1bf5: goto Bb933; goto bf655; Cef9a: if (false === is_null($site)) { goto C23be; } goto D1d8a; Daacf: return $response; goto E114e; E114e: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto ebd8b; Fe326: $form->add("\x75\160\144\x61\x74\145", ButtonType::class, ["\x61\164\x74\x72" => ["\x63\x6c\141\163\163" => "\x62\x74\x6e\x20\142\x74\x6e\55\154\x67\40\x62\x74\x6e\55\142\154\165\145\x20\x62\164\156\55\x75\x70\144\x61\x74\145"], "\154\141\142\145\154" => "\125\160\144\x61\x74\x65"]); goto A18a9; A18a9: return $form; goto f6fc0; ebd8b: $form = $this->createForm("\x41\x70\160\x5c\x46\x6f\162\x6d\134\123\151\164\145\x4c\x6f\147\163\x54\171\x70\x65", [], ["\141\143\x74\151\x6f\156" => $this->generateUrl("\143\x6c\160\x5f\x73\x69\164\145\137\154\157\x67\x73", ["\x64\x6f\155\x61\x69\x6e\116\141\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\x65\x74\150\157\x64" => "\120\117\123\x54", "\141\x74\164\x72" => []]); goto Fe326; f6fc0: } public function logFileContent(Request $request, Twig $twig) : Response { goto E949a; Bae29: $numberOfLines = (int) $request->get("\156\165\x6d\142\145\x72\x4f\x66\x4c\151\x6e\145\x73"); goto A11cd; db1ea: $logfileName = trim($request->get("\x6c\157\147\106\151\x6c\x65")); goto Bae29; A11cd: if (!(false === empty($service) && false === empty($logfileName))) { goto b2d4a; } goto D0fd7; C9252: f2b95: goto a593f; D0fd7: try { goto c15d6; B8a08: $logMessagesHtml = $twig->render("\106\x72\157\x6e\164\145\x6e\144\x2f\123\151\164\145\57\x4c\x6f\147\x73\x2f\156\x67\x69\x6e\x78\55\x61\x63\x63\x65\163\163\x2d\x6c\157\x67\x2d\155\x65\x73\163\141\x67\x65\163\56\150\x74\x6d\154\x2e\x74\x77\x69\147", ["\x6c\157\x67\x4d\145\x73\x73\x61\147\x65\163" => $logMessages]); goto c0bd4; a3192: $logMessagesHtml = $twig->render("\x46\162\157\x6e\164\x65\156\x64\x2f\123\x69\164\145\x2f\x4c\x6f\147\x73\x2f\160\150\160\x2d\x66\x70\x6d\x2d\145\162\162\x6f\162\x2d\x6c\x6f\x67\x2d\x6d\x65\x73\163\141\x67\145\x73\56\x68\164\x6d\x6c\x2e\x74\x77\151\x67", ["\154\x6f\x67\x4d\x65\163\x73\x61\147\145\x73" => $logMessages]); goto Ebd94; fce0d: if ("\x61\143\x63\x65\x73\163\x2e\154\157\x67" == substr($logfileName, 0, 10)) { goto A4129; } goto Ed335; Ed335: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto adf0a; E58b9: $data["\154\x6f\147\x4d\145\x73\x73\141\147\145\163\110\164\x6d\154"] = $logMessagesHtml; goto c4f9d; ea4a6: $logLines = $logfileReader->getLines($numberOfLines); goto E83b9; E6302: $logfile = sprintf("\57\150\x6f\x6d\x65\57\45\x73\57\x6c\157\x67\x73\57\x25\163\57\45\163", $site->getUser(), $service, $logfileName); goto a80ad; db67f: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto d724f; c0bd4: c75d9: goto b5a93; E9011: if (!("\x70\150\160" == $service)) { goto d8816; } goto e00e0; F3f4b: $user = $this->getUser(); goto e8132; E83b9: $logMessagesHtml = ''; goto F3f4b; Ae8a3: $logMessages = $nginxAccessLogParser->parse(); goto B8a08; B98bc: goto c75d9; goto f95e8; e8132: if (!("\x6e\147\x69\156\x78" == $service)) { goto c342b; } goto A6e1e; adf0a: $logMessages = $nginxErrorLogParser->parse(); goto B6b8d; f95e8: A4129: goto db67f; a80ad: $logfileReader = new LogfileReader($logfile); goto ea4a6; d724f: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto Ae8a3; b5a93: c342b: goto E9011; F4e82: $logMessages = $phpFpmErrorLogParser->parse(); goto a3192; B6b8d: $logMessagesHtml = $twig->render("\x46\162\157\x6e\164\x65\x6e\x64\x2f\123\151\164\x65\x2f\x4c\157\147\163\x2f\x6e\147\151\156\x78\x2d\145\x72\162\157\x72\x2d\154\x6f\147\55\x6d\145\x73\163\x61\147\145\x73\x2e\150\x74\x6d\x6c\x2e\164\167\x69\147", ["\x6c\x6f\x67\115\x65\163\x73\141\147\x65\163" => $logMessages]); goto B98bc; A6e1e: $userTimezone = $user->getTimezone(); goto fce0d; Ebd94: d8816: goto E58b9; c15d6: $service = basename($service); goto E6302; e00e0: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto F4e82; c4f9d: } catch (\Exception $e) { $this->logger->exception($e); } goto E3406; Adfe4: if (!(false === is_null($site))) { goto f2b95; } goto becd8; E3406: b2d4a: goto C9252; A0102: $site = $this->getSite($request); goto Adfe4; E949a: $data = []; goto A0102; becd8: $service = trim($request->get("\x73\145\162\166\151\143\145")); goto db1ea; d0162: return $response; goto c4d86; a593f: $response = $this->json($data); goto d0162; c4d86: } public function loadLogfilesForService(Request $request) : Response { goto e4dfb; e4dfb: $data = []; goto b49e6; E6d78: $service = trim($request->get("\x73\x65\x72\166\x69\x63\145")); goto e25b9; d5d50: d3c9a: goto E2b62; b49e6: $site = $this->getSite($request); goto E9f74; Ee3d0: try { goto f980c; a2972: $logsFinder = new LogsFinder($logfilesDirectory); goto e7cf1; d073e: if (!(false === empty($logfiles))) { goto c7ad8; } goto a3328; D4974: c7ad8: goto Ffdaf; C5852: $logfilesDirectory = sprintf("\x2f\150\157\155\145\57\x25\163\x2f\154\x6f\147\163\57\45\163\x2f", $site->getUser(), $service); goto a2972; e7cf1: $logfiles = $logsFinder->getLogfiles(); goto d073e; f980c: $service = basename($service); goto C5852; a3328: $data["\x6c\x6f\x67\x66\x69\x6c\145\163"] = $logfiles; goto D4974; Ffdaf: } catch (\Exception $e) { $this->logger->exception($e); } goto d5d50; E2b62: b1897: goto fcc6a; e25b9: if (!(false === empty($service))) { goto d3c9a; } goto Ee3d0; F3c69: return $response; goto fd3e8; E9f74: if (!(false === is_null($site))) { goto b1897; } goto E6d78; fcc6a: $response = $this->json($data); goto F3c69; fd3e8: } public function cronJobs(Request $request) : Response { goto D2a4e; D86ee: Df21f: goto B7fa0; B7fa0: $response = $this->render("\106\162\157\x6e\x74\x65\x6e\x64\x2f\x53\151\x74\x65\x2f\x63\x72\157\x6e\55\152\x6f\x62\x73\x2e\150\164\155\154\56\164\x77\x69\147", ["\x73\151\164\145" => $site, "\x66\x6f\162\x6d\x45\162\x72\157\x72\x73" => $this->formErrors]); goto c29e9; D2a4e: $site = $this->getSite($request); goto af4b7; Ecbd1: goto b9ace; goto D86ee; f11c8: return $response; goto c74e4; c4d91: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\164\145\163")); goto Ecbd1; af4b7: if (false === is_null($site)) { goto Df21f; } goto c4d91; c29e9: b9ace: goto f11c8; c74e4: } public function newCronJob(Request $request) : Response { goto D4fc8; b5e12: $response = $this->render("\x46\x72\157\156\164\x65\156\144\x2f\123\151\164\x65\57\156\145\167\55\143\x72\157\x6e\x2d\152\157\x62\56\x68\164\155\154\x2e\164\x77\151\x67", ["\163\x69\164\x65" => $site, "\146\x6f\x72\x6d" => $form->createView(), "\x66\x6f\162\155\x45\x72\x72\157\162\163" => $this->formErrors]); goto fdca3; e10d1: fa373: goto B6c8c; Cf5e1: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto d4e10; dac69: if (!(false === is_null($response))) { goto fa373; } goto a3dfa; fdca3: Ea355: goto d6fc5; C8cfc: $form->handleRequest($request); goto B822c; d6fc5: return $response; goto b6d1c; D4fc8: $site = $this->getSite($request); goto E59ce; f6574: $response = $this->handleCronJobForm($request, $form, $site); goto dac69; D6c3a: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\145\x73")); goto E4e17; F9ff8: bdad0: goto b5e12; E59ce: if (false === is_null($site)) { goto c2e36; } goto D6c3a; fa286: $form = $this->createCronJobForm($cronJobEntity); goto Ad807; dbbb1: $cronJobEntity->setSite($siteEntity); goto fa286; Ad807: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto bdad0; } goto C8cfc; d4e10: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto dbbb1; B6c8c: b2600: goto F9ff8; E4e17: goto Ea355; goto ec9cb; a3dfa: return $response; goto e10d1; B822c: if (!(true === $form->isSubmitted())) { goto b2600; } goto f6574; ec9cb: c2e36: goto Cf5e1; b6d1c: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto A479f; A479f: $siteEntity = $cronJobEntity->getSite(); goto ca617; fda95: return $form; goto a554c; ca617: $form = $this->createForm("\x41\160\x70\x5c\x46\x6f\x72\155\x5c\x53\151\164\145\x43\x72\157\156\x4a\157\x62\x54\x79\x70\x65", $cronJobEntity, ["\141\143\164\x69\157\x6e" => $this->generateUrl("\143\154\160\x5f\163\x69\x74\145\137\x63\x72\157\x6e\137\152\x6f\142\137\156\x65\167", ["\144\x6f\155\141\151\x6e\116\x61\x6d\x65" => $siteEntity->getDomainName()]), "\155\145\164\150\x6f\x64" => "\120\x4f\x53\124", "\141\164\164\162" => []]); goto Cc1a5; Cc1a5: $form->add("\163\165\x62\155\151\164", SubmitType::class, ["\141\164\x74\x72" => ["\143\x6c\x61\163\163" => "\x62\164\x6e\x20\142\x74\156\x2d\142\x6c\x75\x65\x20\142\x74\x6e\x2d\x6c\x67"], "\154\x61\142\145\x6c" => "\x41\x64\144\40\103\162\x6f\156\40\112\157\142"]); goto fda95; a554c: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto cec26; cec26: if (true === $form->isValid()) { goto d23b3; } goto c6549; c6549: $this->formErrors = $this->getErrorMessages($form); goto c8e64; c8e64: goto F4368; goto f125d; Cf18a: try { goto fc540; Efc40: $siteUpdater = $this->getSiteUpdater($site); goto deda7; B5183: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\x73", $this->translator->trans("\x43\x72\157\156\x20\x4a\x6f\142\40\x68\141\x73\x20\x62\145\145\156\40\x61\144\x64\x65\144\56")); goto Fb211; B89ed: $cronJobEntity = $form->getData(); goto e7c7d; Dfec4: D71e7: goto b46f6; d8608: goto D71e7; goto C1f2f; e7c7d: $siteEntity->addCronJob($cronJobEntity); goto D81b8; de99a: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto B5183; a17b7: $this->siteEntityManager->updateEntity($siteEntity); goto Efc40; F0d52: $user = $this->getUser(); goto B89ed; C1f2f: C6907: goto F0d52; b46f6: return $response; goto Cdaa2; fc540: $session = $request->getSession(); goto cd934; cd934: $domainName = $site->getDomainName(); goto a0bdf; Fb211: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\145\x5f\143\x72\x6f\156\x5f\x6a\157\142\163", ["\144\157\155\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto Dfec4; c0132: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\145\163")); goto d8608; Fc5cf: $eventData = ["\163\151\164\x65" => $domainName, "\x63\162\157\x6e\164\141\x62\x45\x78\x70\x72\x65\163\163\x69\x6f\x6e" => $cronJobEntity->getCrontabExpression()]; goto de99a; deda7: $siteUpdater->updateUserCrontab(); goto Fc5cf; D81b8: $site->setCronJobs($siteEntity->getCronJobs()); goto a17b7; a0bdf: $siteEntity = $this->getSiteEntity($domainName); goto b0980; b0980: if (false === is_null($siteEntity)) { goto C6907; } goto c0132; Cdaa2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\x41\x6e\40\145\x72\x72\x6f\x72\40\x68\x61\x73\x20\157\143\x63\165\162\x72\145\144\54\x20\145\162\162\157\x72\40\155\145\x73\163\141\x67\145\72\40\x25\145\x72\162\157\x72\x4d\145\x73\x73\x61\147\x65\45", ["\x25\x65\x72\x72\157\162\115\145\x73\x73\x61\147\x65\x25" => $e->getMessage()])); } goto F592c; f125d: d23b3: goto Cf18a; F592c: F4368: goto D2bdb; D2bdb: } public function deleteCronJob(Request $request) : Response { goto efb15; C0fd3: if (!(false === is_null($site))) { goto ad8aa; } goto de789; efb15: $site = $this->getSite($request); goto Bd161; Bd161: $this->checkCsrfToken($request, "\x63\x72\157\x6e\152\157\142\x2d\x64\x65\x6c\145\164\x65"); goto C0fd3; de789: try { goto Fe5b7; D9e05: $domainName = $site->getDomainName(); goto d41cb; F0ab8: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\x5f\x63\162\157\x6e\137\152\157\142\x73", ["\144\157\155\141\x69\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto E7b49; d0c56: $id = (int) $request->get("\151\x64"); goto D9e05; bba28: $site->setCronJobs($siteEntity->getCronJobs()); goto F8e60; b19ab: $siteUpdater->updateUserCrontab(); goto c4289; d41cb: $siteEntity = $this->getSiteEntity($domainName); goto Abd36; ba550: $cronJobSiteEntity = $cronJobEntity->getSite(); goto ce509; c4289: $evenData = ["\x73\x69\164\145" => $domainName, "\143\157\x6d\155\141\156\x64" => $cronJobEntity->getCommand()]; goto C890d; b8a2b: $siteEntity->removeCronJob($cronJobEntity); goto bba28; E7b49: return $response; goto ed7a4; d7a72: $siteUpdater = $this->getSiteUpdater($site); goto b19ab; C890d: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto f5ff4; Abd36: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto bd01e; bd01e: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto F10ab; } goto ba550; ce509: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto C80f8; } goto b2554; b2554: $user = $this->getUser(); goto b8a2b; F8e60: $this->siteEntityManager->updateEntity($siteEntity); goto d7a72; ed7a4: C80f8: goto d2b96; d2b96: F10ab: goto c0942; f5ff4: $session->getFlashBag()->set("\x73\165\x63\143\x65\x73\163", $this->translator->trans("\x43\162\x6f\x6e\x20\x4a\157\142\x20\x68\x61\163\x20\x62\145\x65\x6e\x20\x64\x65\x6c\145\x74\x65\x64\x2e")); goto F0ab8; Fe5b7: $session = $request->getSession(); goto d0c56; c0942: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\162", $this->translator->trans("\101\156\x20\145\162\x72\157\162\x20\x68\x61\x73\x20\x6f\x63\143\165\x72\x72\x65\144\54\x20\145\162\162\157\162\x20\x6d\x65\x73\163\141\147\x65\72\x20\45\x65\162\162\x6f\162\x4d\x65\163\x73\x61\x67\x65\x25", ["\x25\145\x72\162\157\x72\115\x65\x73\163\x61\147\145\45" => $e->getMessage()])); } goto eb9d9; eb9d9: ad8aa: goto cf228; c0714: return $response; goto F4ec1; cf228: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\164\145\163")); goto c0714; F4ec1: } public function editCronJob(Request $request) : Response { goto D9546; D7af1: $response = $this->render("\106\x72\x6f\x6e\164\145\156\144\x2f\x53\x69\164\x65\57\x65\x64\151\164\x2d\143\x72\157\156\x2d\152\157\142\56\150\x74\155\154\x2e\x74\x77\x69\147", ["\x73\x69\164\145" => $site, "\x66\157\x72\155" => $form->createView(), "\146\x6f\162\x6d\x45\162\162\157\x72\x73" => $this->formErrors]); goto Cb62d; F00c6: $site = $this->getSite($request); goto Bb6df; A17c5: $form = $this->createCronJobEditForm($cronJobEntity); goto edc64; F0e15: if (!(false === is_null($response))) { goto ae936; } goto ab47e; D9546: $id = (int) $request->get("\x69\144"); goto F00c6; C957b: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\145\x73")); goto f8f16; cbe3d: ae936: goto F954d; Cb62d: D540a: goto aef44; F954d: B897d: goto a6f33; edc64: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto C644b; } goto Ddade; aef44: return $response; goto be081; ab47e: return $response; goto cbe3d; F719c: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto d7214; } goto C957b; ad8b6: if (!(true === $form->isSubmitted())) { goto B897d; } goto cddf3; cddf3: $response = $this->handleCronJobEditForm($request, $form, $site); goto F0e15; Ddade: $form->handleRequest($request); goto ad8b6; f8f16: goto D540a; goto d5ac0; d5ac0: d7214: goto A17c5; Bb6df: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto F719c; a6f33: C644b: goto D7af1; be081: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto aeba8; E0e2d: $form = $this->createForm("\x41\160\160\x5c\106\157\162\x6d\134\x53\151\x74\x65\x43\x72\157\x6e\x4a\x6f\142\x45\x64\151\x74\x54\x79\160\145", $cronJobEntity, ["\x61\x63\x74\151\157\x6e" => $this->generateUrl("\143\154\160\137\x73\151\164\x65\x5f\143\162\x6f\156\x5f\152\157\x62\137\145\144\151\x74", ["\144\x6f\155\x61\151\156\x4e\x61\x6d\x65" => $siteEntity->getDomainName(), "\x69\x64" => $cronJobEntity->getId()]), "\x6d\145\x74\x68\157\x64" => "\x50\x4f\x53\x54", "\141\x74\x74\x72" => []]); goto Ebbb5; Ebbb5: $form->add("\163\x75\x62\155\x69\164", SubmitType::class, ["\x61\x74\164\x72" => ["\143\154\141\163\x73" => "\x62\164\x6e\x20\142\x74\156\55\x62\x6c\165\145\x20\x62\164\x6e\55\154\147"], "\x6c\x61\142\x65\x6c" => "\x53\141\166\x65"]); goto E5c03; E5c03: return $form; goto eaccf; aeba8: $siteEntity = $cronJobEntity->getSite(); goto E0e2d; eaccf: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto C5906; aa40a: $this->formErrors = $this->getErrorMessages($form); goto Addf7; Dd55e: try { goto b4f2c; Fd0f1: if (false === is_null($siteEntity)) { goto Cb9ea; } goto Eaa3b; cc156: $site->setCronJobs($siteEntity->getCronJobs()); goto c1f33; d2604: goto d6027; goto Bb063; a805c: $siteEntity->addCronJob($cronJobEntity); goto cc156; b4f2c: $session = $request->getSession(); goto C0d05; E0fb1: $siteEntity = $this->getSiteEntity($domainName); goto Fd0f1; f0fe1: $eventData = ["\163\151\x74\145" => $domainName, "\143\x72\x6f\156\x74\x61\x62\105\x78\x70\162\x65\163\163\151\157\156" => $cronJobEntity->getCrontabExpression()]; goto Af094; c171c: $cronJobEntity = $form->getData(); goto a805c; Af094: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto Fc569; C0d05: $domainName = $site->getDomainName(); goto E0fb1; c1f33: $this->siteEntityManager->updateEntity($siteEntity); goto D7b24; B3d36: return $response; goto bf3c6; Fc569: $session->getFlashBag()->set("\163\x75\143\143\145\163\x73", $this->translator->trans("\103\162\x6f\156\x20\x4a\x6f\142\40\150\141\163\40\142\x65\x65\156\x20\163\141\166\x65\x64\56")); goto D4ed1; C1799: $siteUpdater->updateUserCrontab(); goto f0fe1; D7b24: $siteUpdater = $this->getSiteUpdater($site); goto C1799; d292e: $user = $this->getUser(); goto c171c; Eaa3b: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\145\163")); goto d2604; Bb063: Cb9ea: goto d292e; D4ed1: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\145\137\143\162\157\156\x5f\152\x6f\142\163", ["\x64\x6f\x6d\x61\x69\156\x4e\x61\155\145" => $site->getDomainName()])); goto C7878; C7878: d6027: goto B3d36; bf3c6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\x65\162\x72\157\x72\40\150\x61\163\40\x6f\x63\x63\x75\x72\162\x65\x64\54\40\145\162\x72\157\162\x20\155\145\x73\x73\x61\147\x65\72\40\45\x65\162\x72\157\x72\115\x65\x73\x73\141\x67\x65\x25", ["\45\x65\x72\x72\157\162\x4d\x65\x73\163\141\x67\x65\x25" => $e->getMessage()])); } goto ba1cb; f1675: B14c6: goto Dd55e; ba1cb: A66ca: goto dfd22; Addf7: goto A66ca; goto f1675; C5906: if (true === $form->isValid()) { goto B14c6; } goto aa40a; dfd22: } public function users(Request $request) : Response { goto c7a56; a2962: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\145\x73")); goto c3aa9; c3aa9: goto Fc75e; goto Ec40f; F0525: return $response; goto F7343; Ec40f: D3109: goto f3b28; c7a56: $site = $this->getSite($request); goto ae4e9; E7564: Fc75e: goto F0525; ae4e9: if (false === is_null($site)) { goto D3109; } goto a2962; f3b28: $response = $this->render("\x46\x72\x6f\x6e\x74\x65\156\x64\x2f\123\151\164\x65\x2f\165\x73\x65\x72\163\56\x68\x74\155\154\x2e\x74\x77\151\x67", ["\163\x69\x74\145" => $site, "\x66\157\162\x6d\x45\x72\x72\157\162\x73" => $this->formErrors]); goto E7564; F7343: } public function newFtpUser(Request $request) : Response { goto b369b; c073d: $form->handleRequest($request); goto Dcc73; Cd06d: fe778: goto C333a; D78cb: Fda0e: goto Ce31a; C73b9: goto Fda0e; goto Cd06d; B5674: if (false === is_null($site)) { goto fe778; } goto F30a2; C92a0: if (!(false === is_null($response))) { goto D190a; } goto D509b; C333a: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto E7caa; a5b8d: $ftpUserEntity->setSite($siteEntity); goto C0553; ed15c: $response = $this->handleFtpUserForm($request, $form, $site); goto C92a0; C0553: $form = $this->createFtpUserForm($ftpUserEntity); goto c8181; A3d37: Db848: goto bf61d; E7caa: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto a5b8d; Dcc73: if (!(true === $form->isSubmitted())) { goto Db848; } goto ed15c; c8181: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto f521e; } goto c073d; b369b: $site = $this->getSite($request); goto B5674; Ce31a: return $response; goto fe873; Aa53d: $response = $this->render("\106\x72\x6f\156\x74\x65\156\144\x2f\123\151\164\145\x2f\156\x65\x77\x2d\x66\164\x70\x2d\165\163\x65\162\56\x68\164\155\x6c\x2e\164\x77\x69\147", ["\x73\151\x74\x65" => $site, "\146\157\x72\x6d" => $form->createView(), "\146\x6f\x72\155\x45\162\162\157\x72\163" => $this->formErrors]); goto D78cb; F30a2: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\145\163")); goto C73b9; bf61d: f521e: goto Aa53d; D509b: return $response; goto f7a94; f7a94: D190a: goto A3d37; fe873: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto A36e9; b7e05: $form = $this->createForm("\101\x70\x70\x5c\x46\157\x72\x6d\134\x53\x69\x74\145\106\164\160\x55\x73\x65\x72\124\x79\160\x65", $ftpUserEntity, ["\141\x63\164\x69\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\x5f\x66\x74\x70\x5f\x75\163\x65\162\137\156\x65\x77", ["\x64\x6f\155\x61\151\156\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\164\x68\157\x64" => "\x50\117\x53\x54", "\141\x74\x74\162" => []]); goto e7679; Fbbe0: return $form; goto Fd113; e7679: $form->add("\163\x75\x62\x6d\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\x6c\141\163\163" => "\x62\x74\x6e\x20\142\164\x6e\x2d\x62\154\165\145\40\142\x74\156\55\x6c\147"], "\154\x61\x62\x65\x6c" => "\101\x64\x64\x20\125\163\145\x72"]); goto Fbbe0; A36e9: $siteEntity = $ftpUserEntity->getSite(); goto b7e05; Fd113: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto d7c4e; B3ee5: c3075: goto E35f1; E35f1: try { goto F2ff4; b3f84: $ftpUserEntity = $form->getData(); goto Bf67d; eed54: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto E3824; e30b7: ce9fb: goto Aa0dc; b639d: $eventData = ["\163\x69\x74\x65" => $domainName, "\x75\163\x65\162\116\x61\155\x65" => $ftpUserName, "\150\x6f\x6d\145\x44\x69\x72\x65\x63\164\157\162\171" => $ftpUserEntity->getHomeDirectory()]; goto eed54; F2ff4: $session = $request->getSession(); goto f0926; e75a2: $siteUpdater->createFtpUser($ftpUserEntity); goto b639d; Bd1c1: goto ce9fb; goto acc90; ccea8: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\145\163")); goto Bd1c1; Af5d7: $ftpUserEntity->setPassword($ftpUserPassword); goto Ec6d2; F2b20: $this->siteEntityManager->updateEntity($siteEntity); goto b31fa; f0926: $domainName = $site->getDomainName(); goto F1927; E3824: $session->getFlashBag()->set("\x73\165\143\x63\145\x73\163", $this->translator->trans("\125\x73\145\x72\x20\x68\141\x73\40\142\x65\145\156\40\141\144\144\145\x64\56")); goto E2af8; E2af8: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\x65\x5f\165\163\x65\162\x73", ["\x64\x6f\155\141\x69\156\116\x61\155\145" => $site->getDomainName()])); goto e30b7; cd0f0: $ftpUserPassword = $form->get("\160\141\x73\163\167\157\162\144")->getData(); goto Af5d7; F1927: $siteEntity = $this->getSiteEntity($domainName); goto Eb187; Ec6d2: $siteEntity->addFtpUser($ftpUserEntity); goto F2b20; Eb187: if (false === is_null($siteEntity)) { goto A8407; } goto ccea8; C5474: $user = $this->getUser(); goto b3f84; b31fa: $siteUpdater = $this->getSiteUpdater($site); goto e75a2; acc90: A8407: goto C5474; Aa0dc: return $response; goto Ff7c7; Bf67d: $ftpUserName = $ftpUserEntity->getUserName(); goto cd0f0; Ff7c7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\101\156\40\x65\162\162\157\x72\40\150\x61\x73\x20\x6f\x63\143\165\x72\162\x65\x64\x2c\40\x65\x72\x72\157\162\x20\155\x65\163\x73\141\147\x65\72\40\x25\x65\162\x72\x6f\162\115\145\x73\163\141\x67\145\x25", ["\x25\x65\162\162\157\x72\115\x65\163\163\x61\x67\x65\x25" => $e->getMessage()])); } goto C4924; dd750: goto d1d68; goto B3ee5; B75f3: $this->formErrors = $this->getErrorMessages($form); goto dd750; d7c4e: if (true === $form->isValid()) { goto c3075; } goto B75f3; C4924: d1d68: goto A39d7; A39d7: } public function editFtpUser(Request $request) : Response { goto e8cba; Aca85: if (!(false === is_null($response))) { goto cbd90; } goto Bf813; Cb87f: $response = $this->handleFtpUserEditForm($request, $form, $site); goto Aca85; dc0ff: f5393: goto B2173; e5d79: ce1ee: goto b2a06; da383: $site = $this->getSite($request); goto f3be2; Df001: $form->handleRequest($request); goto B636e; e8cba: $userName = $request->get("\x75\x73\145\162\x4e\141\x6d\x65"); goto da383; f3be2: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto e7ac7; B5baa: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\x65\163")); goto A2198; Baf07: a0de7: goto E61aa; b1dc5: cbd90: goto Baf07; E61aa: A1ac6: goto Ecd6b; e7ac7: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto ce1ee; } goto B5baa; Ecd6b: $response = $this->render("\x46\162\157\x6e\x74\x65\156\144\57\x53\x69\164\145\57\145\144\151\164\x2d\x66\x74\160\55\165\x73\145\x72\x2e\x68\x74\x6d\154\56\x74\167\151\147", ["\x73\151\x74\145" => $site, "\146\x6f\x72\155" => $form->createView(), "\146\157\x72\155\105\162\x72\x6f\x72\x73" => $this->formErrors]); goto dc0ff; A2198: goto f5393; goto e5d79; B636e: if (!(true === $form->isSubmitted())) { goto a0de7; } goto Cb87f; b2a06: $form = $this->createFtpUserEditForm($ftpUserEntity); goto b8aab; B2173: return $response; goto e4c74; b8aab: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto A1ac6; } goto Df001; Bf813: return $response; goto b1dc5; e4c74: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto a23d1; E52a7: $form->add("\x73\165\142\x6d\x69\164", SubmitType::class, ["\141\x74\x74\162" => ["\x63\x6c\x61\163\163" => "\x62\x74\156\x20\x62\x74\156\x2d\x62\x6c\x75\145\x20\x62\x74\156\x2d\154\147"], "\154\x61\142\145\x6c" => "\x53\x61\166\145"]); goto Ede75; a23d1: $siteEntity = $ftpUserEntity->getSite(); goto db6a0; Ede75: return $form; goto Cabb1; db6a0: $form = $this->createForm("\x41\x70\160\x5c\106\157\162\155\x5c\x53\151\164\145\106\x74\x70\125\x73\x65\x72\x45\x64\x69\164\x54\171\x70\x65", $ftpUserEntity, ["\141\143\164\151\157\156" => $this->generateUrl("\143\154\x70\137\163\x69\164\145\137\146\x74\x70\x5f\165\x73\145\162\x5f\x65\x64\151\164", ["\x64\157\x6d\141\151\x6e\116\141\155\x65" => $siteEntity->getDomainName(), "\x75\163\145\162\116\141\155\145" => $ftpUserEntity->getUserName()]), "\155\x65\x74\150\157\144" => "\120\x4f\x53\x54", "\141\x74\164\x72" => []]); goto E52a7; Cabb1: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto c3351; eb302: try { goto B1781; bcc27: c20ea: goto c98c3; D7939: $this->siteEntityManager->updateEntity($siteEntity); goto ac51f; C9e92: $ftpUserName = $ftpUserEntity->getUserName(); goto Ef227; ac51f: $siteUpdater = $this->getSiteUpdater($site); goto a731a; eb78e: Df3a7: goto B3bc5; ac25a: $ftpUserEntity = $form->getData(); goto C9e92; Ec54b: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\164\x65\x73")); goto Bf4e2; Bcf43: if (!(false === empty($ftpUserPassword))) { goto Df3a7; } goto e3fdd; e3fdd: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto eb78e; Bf4e2: goto Eb1c7; goto bcc27; a19c9: return $response; goto Bb1cc; B3bc5: $eventData = ["\x73\151\164\x65" => $domainName, "\x75\163\145\162\x4e\141\155\145" => $ftpUserName, "\150\x6f\x6d\x65\x44\151\x72\145\143\x74\157\162\x79" => $ftpUserHomeDirectory]; goto D87ca; c4ec8: $domainName = $site->getDomainName(); goto f0e82; B1781: $session = $request->getSession(); goto c4ec8; eae6c: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto D7939; c98c3: $user = $this->getUser(); goto ac25a; E6c32: if (false === is_null($siteEntity)) { goto c20ea; } goto Ec54b; Ef227: $ftpUserPassword = $form->get("\160\x61\163\163\x77\x6f\162\x64")->getData(); goto eae6c; Ab20b: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\164\145\137\x75\163\x65\162\x73", ["\x64\x6f\155\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto B5095; B5095: Eb1c7: goto a19c9; D87ca: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto C893f; f0e82: $siteEntity = $this->getSiteEntity($domainName); goto E6c32; a731a: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto Bcf43; C893f: $session->getFlashBag()->set("\x73\x75\143\143\145\163\x73", $this->translator->trans("\x55\163\145\162\x20\150\x61\163\x20\142\145\145\x6e\x20\x73\141\166\145\144\56")); goto Ab20b; Bb1cc: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\101\x6e\40\145\162\162\157\162\x20\150\141\x73\40\157\x63\143\165\162\x72\145\144\54\x20\145\162\162\157\162\40\x6d\x65\x73\163\x61\147\145\x3a\x20\x25\x65\162\162\157\x72\x4d\145\163\163\x61\x67\x65\45", ["\45\145\x72\x72\157\x72\x4d\145\163\163\141\x67\x65\45" => $e->getMessage()])); } goto d915f; c3351: if (true === $form->isValid()) { goto D7b2e; } goto A759e; d915f: b8d4b: goto F13fa; A759e: $this->formErrors = $this->getErrorMessages($form); goto aa8d8; Dca39: D7b2e: goto eb302; aa8d8: goto b8d4b; goto Dca39; F13fa: } public function deleteFtpUser(Request $request) : Response { goto C9237; bb08b: return $response; goto e0b92; C458f: $this->checkCsrfToken($request, "\165\163\145\162\x2d\144\145\154\145\164\x65"); goto Dba7d; bb037: eb99e: goto cef17; bef2c: try { goto Ddc77; Fbe86: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\164\x65\137\x75\x73\x65\162\x73", ["\x64\x6f\155\141\x69\156\116\141\155\x65" => $site->getDomainName()])); goto dd160; E1b85: Fdbc6: goto B2075; bcf0d: $this->siteEntityManager->updateEntity($siteEntity); goto Fd60d; Fd60d: $siteUpdater = $this->getSiteUpdater($site); goto c29e4; F0322: $userName = $ftpUserEntity->getUserName(); goto E88e6; B2075: b7c93: goto C1069; dd160: return $response; goto E1b85; E5837: $user = $this->getUser(); goto F0322; c7ece: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto f730b; f730b: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto b7c93; } goto De6e6; E88e6: $siteEntity->removeFtpUser($ftpUserEntity); goto bcf0d; a310a: $siteEntity = $this->getSiteEntity($domainName); goto c7ece; De6e6: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto aa38e; ffede: $userName = $request->get("\x75\x73\145\162\116\141\x6d\145"); goto aae47; aa38e: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto Fdbc6; } goto E5837; c29e4: $siteUpdater->deleteUser($userName, false); goto cb0a1; aae47: $domainName = $site->getDomainName(); goto a310a; Ddc77: $session = $request->getSession(); goto ffede; F86f3: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\163", $this->translator->trans("\x55\163\x65\162\x20\150\141\x73\x20\x62\x65\x65\156\40\x64\x65\x6c\x65\x74\145\144\56")); goto Fbe86; cb0a1: $evenData = ["\x73\151\164\x65" => $domainName, "\x75\163\x65\x72\x4e\141\x6d\x65" => $userName]; goto B6e57; B6e57: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto F86f3; C1069: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\101\156\x20\145\162\162\x6f\162\40\150\x61\x73\x20\x6f\x63\143\x75\162\x72\145\x64\x2c\40\x65\x72\x72\x6f\x72\40\155\x65\163\x73\141\x67\x65\x3a\x20\45\x65\162\x72\x6f\162\115\145\163\163\141\x67\145\x25", ["\x25\145\162\x72\x6f\162\x4d\x65\x73\163\141\147\x65\45" => $e->getMessage()])); } goto bb037; C9237: $site = $this->getSite($request); goto C458f; cef17: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\145\x73")); goto bb08b; Dba7d: if (!(false === is_null($site))) { goto eb99e; } goto bef2c; e0b92: } public function newSshUser(Request $request) : Response { goto b32b5; B966e: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto a5a84; b6f57: $form = $this->createSshUserForm($sshUserEntity); goto B85da; E7992: b8a0b: goto A60b9; D8d95: if (!(true === $form->isSubmitted())) { goto Fa62e; } goto f1863; a6209: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\x65\x73")); goto E9d0a; D4e94: if (!(false === is_null($response))) { goto Eaf47; } goto ca918; ca918: return $response; goto fe74c; f1863: $response = $this->handleSshUserForm($request, $form, $site); goto D4e94; c6b2b: Fa62e: goto D84e2; de1f9: Df173: goto fbc0b; a5a84: $sshUserEntity->setSite($siteEntity); goto b6f57; fbc0b: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto B966e; Ca75c: $response = $this->render("\x46\162\157\x6e\x74\x65\x6e\144\57\x53\x69\x74\145\x2f\156\145\x77\55\x73\163\x68\55\165\x73\x65\162\56\150\x74\155\154\x2e\164\167\151\x67", ["\x73\151\164\x65" => $site, "\146\x6f\162\x6d" => $form->createView(), "\x66\157\x72\x6d\105\x72\162\157\x72\x73" => $this->formErrors]); goto E7992; B85da: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto Ca6a3; } goto Bdfcc; D84e2: Ca6a3: goto Ca75c; fe74c: Eaf47: goto c6b2b; d1f89: if (false === is_null($site)) { goto Df173; } goto a6209; Bdfcc: $form->handleRequest($request); goto D8d95; A60b9: return $response; goto Cb65d; b32b5: $site = $this->getSite($request); goto d1f89; E9d0a: goto b8a0b; goto de1f9; Cb65d: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto c6015; Ab7ea: $form = $this->createForm("\x41\160\x70\x5c\106\157\162\155\134\x53\x69\x74\145\x53\x73\x68\x55\x73\145\x72\x54\171\160\x65", $sshUserEntity, ["\141\x63\x74\x69\157\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\163\151\164\145\137\163\x73\x68\137\x75\x73\145\x72\137\x6e\x65\x77", ["\144\x6f\x6d\141\151\156\116\141\155\145" => $siteEntity->getDomainName()]), "\155\145\164\x68\x6f\x64" => "\120\x4f\123\124", "\141\x74\164\x72" => []]); goto c7dee; c7dee: $form->add("\163\165\x62\155\x69\164", SubmitType::class, ["\141\x74\164\x72" => ["\x63\154\x61\163\x73" => "\142\x74\156\40\142\164\156\55\x62\x6c\x75\145\40\142\164\x6e\55\154\147"], "\x6c\141\142\x65\x6c" => "\x41\144\144\x20\125\163\x65\162"]); goto Db02b; c6015: $siteEntity = $sshUserEntity->getSite(); goto Ab7ea; Db02b: return $form; goto b8153; b8153: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto Fa2a8; Fa2a8: if (true === $form->isValid()) { goto e4bfd; } goto fac74; B4213: goto b7577; goto f77ee; f77ee: e4bfd: goto c6cc2; C9e57: b7577: goto f7092; fac74: $this->formErrors = $this->getErrorMessages($form); goto B4213; c6cc2: try { goto c31a4; c31a4: $session = $request->getSession(); goto dbe95; c6876: $siteUpdater = $this->getSiteUpdater($site); goto f7191; b7710: $sshUserPassword = $form->get("\x70\x61\x73\x73\167\x6f\x72\x64")->getData(); goto a3b72; B2db1: $user = $this->getUser(); goto C720c; F7046: $siteEntity->addSshUser($sshUserEntity); goto Fa323; Fa323: $this->siteEntityManager->updateEntity($siteEntity); goto c6876; Fd4c9: return $response; goto b772b; cf4bf: $session->getFlashBag()->set("\163\165\x63\x63\145\163\x73", $this->translator->trans("\125\x73\145\162\x20\x68\141\163\40\x62\x65\145\x6e\x20\x61\144\x64\145\x64\56")); goto E350b; E9a0a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\x65\x73")); goto F1a14; f7191: $siteUpdater->createSshUser($sshUserEntity); goto Cbbc9; F1a14: goto ca288; goto d05b9; d05b9: cec4f: goto B2db1; D65bb: $sshKeys = $sshUserEntity->getSshKeys(); goto F7046; dbe95: $domainName = $site->getDomainName(); goto bf0f2; F2fbb: ca288: goto Fd4c9; a3b72: $sshUserEntity->setPassword($sshUserPassword); goto D65bb; E6600: $sshUserName = $sshUserEntity->getUserName(); goto b7710; C720c: $sshUserEntity = $form->getData(); goto E6600; fe0b1: if (false === is_null($siteEntity)) { goto cec4f; } goto E9a0a; Cbbc9: if (!(false === empty($sshKeys))) { goto F7c44; } goto C7ee5; E350b: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\137\165\x73\145\x72\x73", ["\144\157\x6d\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto F2fbb; B9aef: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto cf4bf; cb287: $eventData = ["\x73\151\164\x65" => $domainName, "\165\x73\x65\x72\116\x61\x6d\x65" => $sshUserName, "\x73\x73\x68\x4b\x65\171\x73" => $sshKeys]; goto B9aef; bf0f2: $siteEntity = $this->getSiteEntity($domainName); goto fe0b1; cef0e: F7c44: goto cb287; C7ee5: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto cef0e; b772b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\101\x6e\40\x65\x72\x72\157\162\x20\x68\141\x73\x20\157\x63\143\165\162\x72\145\144\54\x20\145\162\x72\x6f\162\x20\155\145\163\163\141\147\x65\72\x20\x25\x65\x72\162\157\162\x4d\145\x73\x73\x61\147\145\45", ["\45\145\162\x72\157\162\115\x65\x73\163\x61\147\145\x25" => $e->getMessage()])); } goto C9e57; f7092: } public function editSshUser(Request $request) : Response { goto C3d45; f2c3f: $form = $this->createSshUserEditForm($sshUserEntity); goto E7c6a; E4a98: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\145\163")); goto c5fbf; fdc8d: $form->handleRequest($request); goto e399c; E7c6a: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto aac81; } goto fdc8d; feb60: fecec: goto D3209; F99c4: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto d0a3e; b0269: $response = $this->handleSshUserEditForm($request, $form, $site); goto adc4e; f8770: B956d: goto B299d; d6613: return $response; goto b1c64; b1c64: dbf1f: goto f8770; a6c0b: $site = $this->getSite($request); goto F99c4; A7eb1: Cd36c: goto f2c3f; adc4e: if (!(false === is_null($response))) { goto dbf1f; } goto d6613; B299d: aac81: goto Ee414; e399c: if (!(true === $form->isSubmitted())) { goto B956d; } goto b0269; D3209: return $response; goto A0d38; c5fbf: goto fecec; goto A7eb1; Ee414: $response = $this->render("\106\x72\157\156\x74\x65\x6e\144\57\123\x69\x74\x65\57\145\x64\x69\x74\x2d\x73\163\150\x2d\x75\163\145\162\56\150\x74\155\154\x2e\164\x77\151\x67", ["\x73\x69\x74\x65" => $site, "\146\157\x72\x6d" => $form->createView(), "\x66\157\x72\x6d\105\162\x72\x6f\162\x73" => $this->formErrors]); goto feb60; d0a3e: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto Cd36c; } goto E4a98; C3d45: $userName = $request->get("\x75\163\x65\x72\x4e\141\x6d\145"); goto a6c0b; A0d38: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto fff6d; Cba4a: $form = $this->createForm("\101\x70\160\134\x46\x6f\x72\x6d\134\123\151\x74\x65\123\x73\150\x55\163\x65\162\105\x64\x69\x74\124\171\x70\145", $sshUserEntity, ["\x61\143\164\x69\157\x6e" => $this->generateUrl("\x63\x6c\160\137\x73\151\164\x65\137\x73\163\x68\x5f\x75\x73\x65\x72\x5f\x65\144\x69\164", ["\144\157\x6d\141\151\156\x4e\141\x6d\145" => $siteEntity->getDomainName(), "\x75\x73\145\162\116\x61\x6d\145" => $sshUserEntity->getUserName()]), "\155\x65\x74\x68\x6f\144" => "\x50\x4f\x53\124", "\x61\x74\x74\162" => []]); goto Ba667; E4d06: return $form; goto c655c; fff6d: $siteEntity = $sshUserEntity->getSite(); goto Cba4a; Ba667: $form->add("\x73\x75\142\155\x69\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\x6c\x61\x73\x73" => "\x62\x74\x6e\40\142\164\156\x2d\x62\x6c\165\145\40\x62\164\x6e\55\x6c\x67"], "\154\141\x62\x65\154" => "\123\141\166\145"]); goto E4d06; c655c: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto ac9f4; cade5: B7570: goto d930a; bb048: c41ed: goto c6968; c6968: try { goto F3cf7; D155d: a761a: goto Af1e2; d514f: $siteEntity = $this->getSiteEntity($domainName); goto ede36; eb3aa: $user = $this->getUser(); goto Ba605; ac2a6: B56c9: goto e082f; F3cf7: $session = $request->getSession(); goto E0130; Bc7a0: if (!(false === empty($sshUserPassword))) { goto B56c9; } goto Bf0a4; Fde56: F7e9a: goto eb3aa; E67cc: $sshUserPassword = $form->get("\x70\x61\163\163\167\157\162\x64")->getData(); goto c319f; Ba605: $sshUserEntity = $form->getData(); goto e4d89; Bf0a4: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto ac2a6; F9ddd: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\164\x65\x73")); goto c8823; Af1e2: return $response; goto C32d9; E0130: $domainName = $site->getDomainName(); goto d514f; ad94c: $eventData = ["\x73\151\164\145" => $domainName, "\x75\x73\145\162\116\x61\155\x65" => $sshUserName, "\x73\163\x68\113\145\x79\x73" => $sshKeys]; goto e5a47; c319f: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto f44a2; e4d89: $sshUserName = $sshUserEntity->getUserName(); goto E67cc; dcbaf: $siteUpdater = $this->getSiteUpdater($site); goto Bc7a0; Ff30b: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\163", $this->translator->trans("\x55\163\x65\162\x20\x68\141\x73\40\142\x65\145\x6e\x20\163\141\x76\x65\144\56")); goto F4c53; c8823: goto a761a; goto Fde56; e082f: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto ad94c; e5a47: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto Ff30b; ede36: if (false === is_null($siteEntity)) { goto F7e9a; } goto F9ddd; f44a2: $this->siteEntityManager->updateEntity($siteEntity); goto dcbaf; F4c53: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\164\145\x5f\x75\x73\x65\162\x73", ["\144\x6f\x6d\141\151\156\x4e\141\x6d\145" => $site->getDomainName()])); goto D155d; C32d9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\162", $this->translator->trans("\101\156\40\145\162\x72\157\x72\x20\150\x61\163\40\x6f\x63\x63\165\162\162\x65\144\54\x20\145\162\x72\157\162\x20\x6d\145\x73\x73\x61\x67\145\72\x20\45\x65\x72\162\157\x72\x4d\145\163\163\x61\x67\x65\x25", ["\x25\x65\x72\162\157\x72\115\145\163\163\x61\147\x65\45" => $e->getMessage()])); } goto cade5; ac9f4: if (true === $form->isValid()) { goto c41ed; } goto D62cb; D62cb: $this->formErrors = $this->getErrorMessages($form); goto a6a7d; a6a7d: goto B7570; goto bb048; d930a: } public function deleteSshUser(Request $request) : Response { goto Eac72; Eac72: $site = $this->getSite($request); goto c1858; addcc: return $response; goto e2df2; F048a: ee1e8: goto eff0a; c1858: $this->checkCsrfToken($request, "\165\x73\145\162\x2d\144\x65\x6c\145\x74\145"); goto ca2d8; eff0a: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\x74\x65\x73")); goto addcc; ca2d8: if (!(false === is_null($site))) { goto ee1e8; } goto A345e; A345e: try { goto ddb94; Be93e: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto A7728; } goto E1b7e; F6dd9: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\164\145\x5f\x75\163\145\x72\x73", ["\144\157\155\x61\151\156\116\141\155\145" => $site->getDomainName()])); goto D79e0; e6291: $userName = $sshUserEntity->getUserName(); goto B2897; Ef5d5: $domainName = $site->getDomainName(); goto Eaf73; F6487: $siteUpdater->deleteUser($userName, true); goto E75b3; F7015: A7728: goto d10ce; ded27: c10b1: goto F7015; ddb94: $session = $request->getSession(); goto d8fbc; e5213: $user = $this->getUser(); goto e6291; f7187: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto Be93e; D79e0: return $response; goto ded27; F594c: $this->siteEntityManager->updateEntity($siteEntity); goto e3bae; E75b3: $evenData = ["\163\x69\164\145" => $domainName, "\x75\163\145\x72\x4e\141\x6d\x65" => $userName]; goto Da012; e3bae: $siteUpdater = $this->getSiteUpdater($site); goto F6487; Da012: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto Ccfda; Ccfda: $session->getFlashBag()->set("\163\165\x63\143\x65\x73\163", $this->translator->trans("\x55\x73\x65\162\x20\x68\x61\x73\x20\x62\145\145\x6e\x20\144\145\x6c\x65\x74\145\144\56")); goto F6dd9; B2897: $siteEntity->removeSshUser($sshUserEntity); goto F594c; b928b: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto c10b1; } goto e5213; d8fbc: $userName = $request->get("\x75\163\x65\162\x4e\x61\x6d\145"); goto Ef5d5; Eaf73: $siteEntity = $this->getSiteEntity($domainName); goto f7187; E1b7e: $sshUserSiteEntity = $sshUserEntity->getSite(); goto b928b; d10ce: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\x72", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\x6f\162\40\x68\x61\163\40\157\x63\x63\165\162\x72\x65\x64\54\40\145\x72\162\x6f\162\40\155\x65\x73\163\x61\147\x65\x3a\40\45\x65\x72\162\157\x72\x4d\x65\163\x73\x61\147\x65\x25", ["\x25\145\x72\162\x6f\162\x4d\145\163\x73\x61\147\145\x25" => $e->getMessage()])); } goto F048a; e2df2: } public function security(Request $request) : Response { goto db562; D52a8: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto e37ee; bf7b6: B7c33: goto B8198; E57a7: e2236: goto Bf2de; d2021: goto ddce3; goto E57a7; D8cea: if (!(false === is_null($response))) { goto e679c; } goto Ca9c7; f313d: $cloudflareData = ["\141\154\x6c\x6f\167\x54\162\141\146\146\x69\143\106\x72\x6f\155\x43\x6c\157\165\x64\x66\154\141\x72\145\x4f\x6e\x6c\x79" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto A2a55; e37ee: if (!(false === is_null($response))) { goto F4679; } goto E9704; A2a55: $blockedBots = $site->getBlockedBots(); goto Aed65; f9e49: cade9: goto C3671; C3671: if (!(true === $cloudflareForm->isSubmitted())) { goto d8998; } goto D52a8; D428b: $cloudflareForm->handleRequest($request); goto Abc33; Aed65: $blockedIps = $site->getBlockedIps(); goto Fe65f; Fe65f: $basicAuthEntity = $site->getBasicAuth(); goto db3f5; f7500: return $response; goto F4182; d34de: d8998: goto C2f35; F7d65: F4679: goto d34de; ea6a9: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto Aee46; } goto Db81a; db562: $site = $this->getSite($request); goto A901c; A901c: if (false === is_null($site)) { goto e2236; } goto C2790; E9704: return $response; goto F7d65; Abc33: if (!(true === $basicAuthForm->isSubmitted())) { goto cade9; } goto d1984; C2790: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\145\x73")); goto d2021; db3f5: if (!(true === is_null($basicAuthEntity))) { goto B7c33; } goto Cf4cb; B8198: $basicAuthEntity->setSite($siteEntity); goto a4616; b5fd2: e679c: goto f9e49; a4616: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto c0c86; c0c86: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto ea6a9; Cf4cb: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto bf7b6; Db81a: $basicAuthForm->handleRequest($request); goto D428b; Ca9c7: return $response; goto b5fd2; c07d9: $response = $this->render("\x46\x72\157\x6e\x74\x65\156\144\57\x53\x69\164\x65\x2f\163\x65\143\x75\162\x69\x74\171\x2e\150\x74\x6d\154\x2e\164\x77\x69\x67", ["\163\151\x74\145" => $site, "\x62\x6c\x6f\143\153\x65\x64\x49\160\x73" => $blockedIps, "\142\154\x6f\143\x6b\145\144\102\157\x74\x73" => $blockedBots, "\x62\x61\x73\x69\x63\101\x75\164\x68\x46\157\x72\155" => $basicAuthForm->createView(), "\x63\154\x6f\165\144\x66\154\x61\162\145\x46\157\x72\x6d" => $cloudflareForm->createView(), "\x66\157\162\155\105\162\162\157\x72\163" => $this->formErrors]); goto e15f1; d1984: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto D8cea; C2f35: Aee46: goto c07d9; Bf2de: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto f313d; e15f1: ddce3: goto f7500; F4182: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto D950a; F9135: return $form; goto Be827; A4db5: $form->add("\x73\165\x62\x6d\151\x74", SubmitType::class, ["\141\164\164\162" => ["\143\154\x61\x73\163" => "\x62\x74\156\x20\142\x74\x6e\x2d\x62\154\165\x65\40\x62\x74\156\x2d\x6c\x67"], "\154\x61\x62\x65\154" => "\123\x61\x76\145"]); goto F9135; D950a: $form = $this->createForm("\x41\x70\x70\134\x46\157\x72\155\x5c\123\x69\164\145\103\x6c\157\165\144\x66\154\141\162\145\x54\x79\160\145", $data, ["\x61\x63\x74\151\x6f\156" => $this->generateUrl("\x63\154\x70\137\x73\151\x74\145\x5f\163\x65\143\x75\x72\x69\x74\x79", ["\144\x6f\x6d\x61\151\156\116\141\x6d\145" => $siteEntity->getDomainName()]), "\155\145\x74\x68\x6f\x64" => "\120\x4f\x53\x54", "\141\164\164\162" => []]); goto A4db5; Be827: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto Ea302; Ea302: $siteEntity = $basicAuthEntity->getSite(); goto b52a8; C45a4: $form->add("\x73\165\142\x6d\151\164", SubmitType::class, ["\x61\164\164\162" => ["\x63\154\x61\163\163" => "\142\x74\x6e\x20\x62\164\156\55\142\x6c\x75\145\40\x62\x74\x6e\x2d\x6c\147"], "\x6c\141\142\145\154" => "\123\141\x76\x65"]); goto Dd18b; b52a8: $form = $this->createForm("\x41\160\160\134\x46\157\162\x6d\134\123\151\164\145\102\141\x73\151\x63\101\x75\164\x68\124\x79\x70\x65", $basicAuthEntity, ["\x61\143\164\151\x6f\x6e" => $this->generateUrl("\143\154\x70\x5f\163\x69\164\x65\137\163\x65\x63\165\162\x69\164\171", ["\144\157\155\141\151\x6e\x4e\141\155\x65" => $siteEntity->getDomainName()]), "\155\145\164\150\x6f\144" => "\120\x4f\x53\124", "\141\x74\164\x72" => []]); goto C45a4; Dd18b: return $form; goto Edcc9; Edcc9: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto Ce8c0; C3fff: goto c3202; goto ffc68; ce0dd: c3202: goto E9f0f; Ce8c0: if (true === $form->isValid()) { goto A21a2; } goto d01d2; ffc68: A21a2: goto e771e; e771e: try { goto bd13a; Ed96b: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\x65\x73")); goto cad31; bd13a: $session = $request->getSession(); goto a3c0e; c86b1: $siteUpdater->updateNginxVhost(); goto F6537; E53a4: $basicAuthEntity = $form->getData(); goto a491b; a491b: $siteEntity->setBasicAuth($basicAuthEntity); goto a9771; cad31: goto d9afe; goto fd80f; fd80f: Ee7a5: goto d8c9a; Cfaba: $siteUpdater = $this->getSiteUpdater($site); goto eccfb; c0a28: $session->getFlashBag()->set("\163\165\x63\143\x65\163\163", $this->translator->trans("\102\x61\163\x69\143\x20\x41\165\x74\x68\x65\156\164\x69\x63\141\164\151\157\156\40\163\x65\x74\164\x69\x6e\x67\163\x20\x68\141\x76\x65\x20\142\145\x65\156\x20\x73\x61\x76\x65\x64\x2e")); goto De1e0; d8c9a: $user = $this->getUser(); goto E53a4; Cbd41: return $response; goto A699c; b1b9c: $siteEntity = $this->getSiteEntity($domainName); goto B6229; a3c0e: $domainName = $site->getDomainName(); goto b1b9c; a9771: $site->setBasicAuth($basicAuthEntity); goto E4067; eccfb: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto c86b1; A9327: $eventData = ["\163\x69\x74\x65" => $domainName, "\x61\143\164\151\166\x65" => true === $basicAuthEntity->getIsActive() ? "\61" : "\60", "\165\163\x65\x72\x4e\x61\155\x65" => $basicAuthEntity->getUserName(), "\x77\x68\x69\164\x65\154\151\x73\x74\145\144\x49\160\x73" => $basicAuthEntity->getWhitelistedIps()]; goto A55df; A55df: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto c0a28; F6537: $siteUpdater->reloadNginxService(); goto A9327; De1e0: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\145\x5f\x73\x65\x63\165\162\x69\164\x79", ["\144\157\x6d\x61\151\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto acf21; E4067: $this->siteEntityManager->updateEntity($siteEntity); goto Cfaba; acf21: d9afe: goto Cbd41; B6229: if (false === is_null($siteEntity)) { goto Ee7a5; } goto Ed96b; A699c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\x72", $this->translator->trans("\101\x6e\x20\x65\162\162\x6f\x72\40\150\x61\x73\x20\157\x63\x63\x75\x72\x72\145\144\x2c\x20\145\162\x72\157\x72\40\155\x65\163\x73\x61\147\x65\72\x20\45\x65\x72\x72\x6f\x72\115\x65\x73\163\141\147\145\45", ["\45\x65\x72\x72\x6f\x72\x4d\x65\x73\x73\141\147\145\45" => $e->getMessage()])); } goto ce0dd; d01d2: $this->formErrors = $this->getErrorMessages($form); goto C3fff; E9f0f: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto e138f; af33c: goto ffe63; goto E500f; E500f: e31ce: goto fab27; e138f: if (true === $form->isValid()) { goto e31ce; } goto Bfbeb; Bfbeb: $this->formErrors = $this->getErrorMessages($form); goto af33c; De00b: ffe63: goto c573b; fab27: try { goto b3b8b; A4bd7: $user = $this->getUser(); goto F681b; b3b8b: $session = $request->getSession(); goto Ffd39; ab01b: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\145\137\x73\145\143\x75\162\x69\x74\171", ["\x64\x6f\x6d\x61\151\156\x4e\141\155\145" => $site->getDomainName()])); goto a7e43; f977b: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\145\163")); goto c20a5; D2267: return $response; goto Cde2e; A5fe7: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto D9a8d; fe31a: $eventData = ["\x73\151\164\145" => $domainName, "\141\x6c\154\157\x77\x54\162\141\x66\146\x69\x63\106\162\157\155\x43\154\157\165\x64\x66\x6c\x61\162\145\x4f\x6e\154\x79" => true === $allowTrafficFromCloudflareOnly ? "\x31" : "\x30"]; goto A5fe7; Ffd39: $domainName = $site->getDomainName(); goto D9006; efeee: if (false === is_null($siteEntity)) { goto fbd7e; } goto f977b; c20a5: goto d9ecd; goto C330e; C95e4: $this->siteEntityManager->updateEntity($siteEntity); goto D230e; a7e43: d9ecd: goto D2267; c91f6: $siteUpdater->reloadNginxService(); goto fe31a; cd168: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto C95e4; D230e: $siteUpdater = $this->getSiteUpdater($site); goto dfec6; dfec6: $siteUpdater->updateNginxVhost(); goto c91f6; d907c: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto cd168; D9a8d: $session->getFlashBag()->set("\163\165\143\143\x65\163\163", $this->translator->trans("\103\x6c\157\x75\x64\x66\x6c\141\162\145\x20\163\145\x74\x74\151\156\147\x73\x20\150\141\x76\x65\40\142\145\145\156\40\x73\141\166\x65\x64\x2e")); goto ab01b; F681b: $allowTrafficFromCloudflareOnly = $form->get("\x61\x6c\x6c\157\x77\124\x72\141\x66\x66\x69\143\106\162\157\x6d\103\x6c\157\165\x64\x66\x6c\x61\x72\145\x4f\156\154\x79")->getData(); goto d907c; D9006: $siteEntity = $this->getSiteEntity($domainName); goto efeee; C330e: fbd7e: goto A4bd7; Cde2e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\162", $this->translator->trans("\x41\x6e\x20\x65\162\x72\x6f\x72\x20\150\141\163\x20\x6f\x63\143\165\162\162\x65\144\54\40\145\x72\162\x6f\x72\x20\155\145\163\x73\141\147\145\72\40\x25\145\162\162\x6f\x72\115\x65\163\x73\x61\147\x65\x25", ["\45\x65\x72\x72\157\x72\115\145\163\x73\141\147\145\x25" => $e->getMessage()])); } goto De00b; c573b: } public function newBlockedIp(Request $request) : Response { goto eb7de; Ca402: cf721: goto e19e0; ccb20: return $response; goto cbadd; F7dc2: return $response; goto db600; Faf0f: if (!(false === is_null($response))) { goto e089c; } goto ccb20; e19e0: $response = $this->render("\106\162\157\x6e\164\x65\156\x64\x2f\x53\151\x74\x65\57\x6e\x65\x77\55\x62\x6c\x6f\x63\x6b\x65\x64\55\151\160\56\150\164\155\154\56\x74\x77\151\147", ["\x73\x69\164\x65" => $site, "\146\157\x72\x6d" => $form->createView(), "\146\157\162\155\x45\x72\x72\157\x72\x73" => $this->formErrors]); goto B4cd7; C7f56: if (false === is_null($site)) { goto E45b8; } goto E8ab8; cbadd: e089c: goto B5903; Da3cc: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto c3c6d; A2a14: $response = $this->handleBlockedIpForm($request, $form, $site); goto Faf0f; Fe23c: goto A3ecc; goto D4d02; D260c: if (!(true === $request->isMethod("\120\117\123\124"))) { goto cf721; } goto Fe424; c3c6d: $blockedIpEntity->setSite($siteEntity); goto ac1a6; B4cd7: A3ecc: goto F7dc2; eb7de: $site = $this->getSite($request); goto C7f56; D4d02: E45b8: goto b09a3; B5903: B1a10: goto Ca402; ac1a6: $form = $this->createBlockedIpForm($blockedIpEntity); goto D260c; fca09: if (!(true === $form->isSubmitted())) { goto B1a10; } goto A2a14; Fe424: $form->handleRequest($request); goto fca09; b09a3: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Da3cc; E8ab8: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\x73")); goto Fe23c; db600: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto E401c; ab935: return $form; goto B55f4; A91d8: $form->add("\163\x75\142\x6d\x69\164", SubmitType::class, ["\141\164\164\162" => ["\143\x6c\x61\x73\x73" => "\142\x74\156\40\142\164\156\x2d\142\x6c\165\x65\40\x62\x74\x6e\55\154\147"], "\154\x61\142\x65\154" => "\x41\144\x64\40\x49\120"]); goto ab935; E401c: $siteEntity = $blockedIpEntity->getSite(); goto Ca043; Ca043: $form = $this->createForm("\101\x70\x70\x5c\106\x6f\x72\155\134\x53\x69\164\x65\102\x6c\157\143\153\145\144\111\120\124\171\160\145", $blockedIpEntity, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\x63\154\160\137\163\151\x74\x65\x5f\163\145\143\x75\x72\x69\164\x79\137\x62\154\x6f\x63\x6b\x65\144\137\x69\x70\137\156\145\x77", ["\144\x6f\x6d\141\151\156\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\x65\x74\x68\x6f\x64" => "\x50\117\x53\x54", "\x61\x74\164\x72" => []]); goto A91d8; B55f4: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto F2edf; F2edf: if (true === $form->isValid()) { goto efa43; } goto bab7b; bab7b: $this->formErrors = $this->getErrorMessages($form); goto B5d4b; c9609: F9daa: goto E984f; Bc654: efa43: goto B7885; B7885: try { goto Cd541; B052a: $session->getFlashBag()->set("\163\165\x63\143\145\x73\163", $this->translator->trans("\111\x50\40\x68\141\163\x20\x62\145\x65\x6e\40\141\144\144\x65\144\x2e")); goto fe81a; a19db: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto B052a; Fb48e: $siteUpdater->reloadNginxService(); goto deb47; fe81a: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\145\137\163\x65\143\x75\x72\151\164\x79", ["\144\x6f\155\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto a1b59; Ca978: $siteEntity = $this->getSiteEntity($domainName); goto bf62c; a1450: $domainName = $site->getDomainName(); goto Ca978; bf62c: if (false === is_null($siteEntity)) { goto f24fb; } goto a2796; a6753: goto c550b; goto ae7b7; a2796: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\x65\x73")); goto a6753; Cd541: $session = $request->getSession(); goto a1450; ae7b7: f24fb: goto c4363; B23e3: $siteUpdater->updateNginxVhost(); goto Fb48e; a0760: $blockedIp = $form->getData(); goto e81be; a1b59: c550b: goto b096d; A59fb: $this->siteEntityManager->updateEntity($siteEntity); goto Ecd48; e81be: $siteEntity->addBlockedIp($blockedIp); goto A59fb; deb47: $eventData = ["\163\x69\164\x65" => $domainName, "\151\x70" => $blockedIp->getIp()]; goto a19db; Ecd48: $siteUpdater = $this->getSiteUpdater($site); goto B23e3; c4363: $user = $this->getUser(); goto a0760; b096d: return $response; goto De2dd; De2dd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\x72", $this->translator->trans("\x41\x6e\40\145\162\x72\157\162\x20\150\x61\163\x20\157\143\x63\x75\162\162\145\144\54\x20\145\x72\x72\157\162\40\x6d\x65\163\163\x61\x67\145\x3a\x20\45\x65\162\x72\157\x72\x4d\145\x73\163\x61\x67\x65\45", ["\x25\145\x72\x72\x6f\162\x4d\x65\163\163\x61\x67\x65\45" => $e->getMessage()])); } goto c9609; B5d4b: goto F9daa; goto Bc654; E984f: } public function deleteBlockedIp(Request $request) : Response { goto bb1b7; B838b: return $response; goto c2ab9; bb1b7: $site = $this->getSite($request); goto b4641; Cbbdf: F386d: goto aac40; Eeae5: if (!(false === is_null($site))) { goto F386d; } goto B77eb; B77eb: try { goto ed9d8; Ac777: $siteUpdater->reloadNginxService(); goto F63b7; ccbd7: return $response; goto f53b2; d4a3b: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto f3e1d; } goto f617a; f617a: $user = $this->getUser(); goto Ed178; f53b2: f3e1d: goto B1dd7; ce300: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\x65\137\163\145\143\165\162\151\164\171", ["\x64\157\x6d\x61\x69\156\116\141\155\x65" => $site->getDomainName()])); goto ccbd7; dcd95: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\x73", $this->translator->trans("\x49\x50\x20\x68\x61\163\40\142\x65\145\156\40\x64\145\154\x65\x74\x65\x64\56")); goto ce300; d2300: $this->siteEntityManager->updateEntity($siteEntity); goto F8627; C13b1: $siteUpdater->updateNginxVhost(); goto Ac777; ed9d8: $session = $request->getSession(); goto F3dac; bd916: $domainName = $site->getDomainName(); goto F3cb3; F63b7: $eventData = ["\x73\x69\x74\145" => $domainName, "\151\x70" => $blockedIpEntity->getIp()]; goto b6a67; cd813: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto d4a3b; F3cb3: $siteEntity = $this->getSiteEntity($domainName); goto cd813; F8627: $siteUpdater = $this->getSiteUpdater($site); goto C13b1; b6a67: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto dcd95; Ed178: $siteEntity->removeBlockedIp($blockedIpEntity); goto d2300; F3dac: $id = (int) $request->get("\x69\144"); goto bd916; B1dd7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\x72", $this->translator->trans("\x41\156\40\x65\x72\x72\157\x72\40\x68\x61\x73\40\x6f\143\143\x75\162\x72\145\144\x2c\40\145\x72\x72\x6f\x72\40\155\145\x73\163\141\x67\x65\72\40\45\145\x72\162\x6f\x72\115\x65\x73\163\141\147\x65\45", ["\45\145\162\162\x6f\x72\x4d\x65\163\163\141\x67\x65\45" => $e->getMessage()])); } goto Cbbdf; b4641: $this->checkCsrfToken($request, "\x69\160\55\x64\x65\x6c\145\164\145"); goto Eeae5; aac40: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\145\x73")); goto B838b; c2ab9: } public function newBlockedBot(Request $request) : Response { goto B54e7; e2c6c: if (!(false === is_null($response))) { goto Ef697; } goto f4ae1; B9bdb: return $response; goto b6bf8; D88dc: $form = $this->createBlockedBotForm($blockedBotEntity); goto B8b83; Be737: $response = $this->render("\x46\162\157\x6e\164\x65\x6e\144\57\123\151\164\x65\x2f\x6e\x65\x77\x2d\x62\x6c\157\143\153\145\144\x2d\142\x6f\x74\x2e\x68\164\155\154\x2e\164\167\151\x67", ["\x73\x69\164\x65" => $site, "\x66\157\162\x6d" => $form->createView(), "\x66\x6f\162\x6d\x45\162\162\x6f\x72\x73" => $this->formErrors]); goto a9c96; B3497: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\x65\163")); goto A4104; A7e2b: B5701: goto Be737; D9303: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto ce727; B8b83: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto B5701; } goto E7216; A4104: goto a2c0f; goto ff599; E7216: $form->handleRequest($request); goto a98f6; ce727: $blockedBotEntity->setSite($siteEntity); goto D88dc; f4ae1: return $response; goto c8517; c8517: Ef697: goto da26d; Afa81: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto D9303; B54e7: $site = $this->getSite($request); goto C739f; a9c96: a2c0f: goto B9bdb; da26d: e5894: goto A7e2b; e338b: $response = $this->handleBlockedBotForm($request, $form, $site); goto e2c6c; C739f: if (false === is_null($site)) { goto D3a61; } goto B3497; a98f6: if (!(true === $form->isSubmitted())) { goto e5894; } goto e338b; ff599: D3a61: goto Afa81; b6bf8: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto e4bc3; B49af: return $form; goto eb30b; bb23c: $form->add("\163\x75\142\155\151\x74", SubmitType::class, ["\141\x74\164\x72" => ["\x63\x6c\x61\163\x73" => "\142\x74\156\x20\142\164\x6e\55\142\154\x75\145\x20\x62\164\x6e\x2d\x6c\x67"], "\154\141\142\145\154" => "\x41\x64\x64\x20\102\x6f\164"]); goto B49af; B95f4: $form = $this->createForm("\x41\160\x70\134\106\157\x72\x6d\x5c\123\x69\164\x65\x42\154\x6f\143\153\x65\x64\x42\x6f\164\124\x79\160\145", $blockedBotEntity, ["\141\x63\164\x69\157\156" => $this->generateUrl("\x63\x6c\160\x5f\163\151\164\x65\137\x73\145\x63\165\x72\151\x74\171\x5f\142\x6c\x6f\x63\153\145\x64\137\x62\x6f\164\x5f\156\145\167", ["\144\157\155\141\151\x6e\x4e\141\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\164\x68\x6f\144" => "\120\117\x53\124", "\141\x74\164\x72" => []]); goto bb23c; e4bc3: $siteEntity = $blockedBotEntity->getSite(); goto B95f4; eb30b: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto edc0c; cdaff: C7d95: goto C532a; C532a: try { goto af25f; F0900: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto b6817; b22e9: $blockedBot = $form->getData(); goto c23c7; a3d60: if (false === is_null($siteEntity)) { goto B3dbe; } goto bb4c6; a79d3: B3dbe: goto Aec7a; A1085: return $response; goto db831; b451e: $this->siteEntityManager->updateEntity($siteEntity); goto ea233; fbb56: $siteUpdater->updateNginxVhost(); goto b38de; A5d1d: $eventData = ["\163\x69\164\x65" => $domainName, "\156\141\x6d\x65" => $blockedBot->getName()]; goto F0900; Aec7a: $user = $this->getUser(); goto b22e9; c23c7: $siteEntity->addBlockedBot($blockedBot); goto b451e; B460e: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\145\x5f\x73\145\x63\x75\162\x69\x74\x79", ["\144\x6f\x6d\x61\x69\156\x4e\x61\155\145" => $site->getDomainName()])); goto C2b00; ea233: $siteUpdater = $this->getSiteUpdater($site); goto fbb56; E5494: $siteEntity = $this->getSiteEntity($domainName); goto a3d60; C2b00: A0e0e: goto A1085; bb4c6: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\x73")); goto bd5c2; bd5c2: goto A0e0e; goto a79d3; b6817: $session->getFlashBag()->set("\163\x75\143\x63\x65\x73\163", $this->translator->trans("\x42\x6f\x74\40\x68\x61\163\40\x62\145\145\156\40\141\144\144\x65\x64\56")); goto B460e; b38de: $siteUpdater->reloadNginxService(); goto A5d1d; c545d: $domainName = $site->getDomainName(); goto E5494; af25f: $session = $request->getSession(); goto c545d; db831: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\101\x6e\40\x65\x72\x72\157\x72\40\150\141\x73\x20\x6f\143\x63\165\x72\162\145\144\x2c\40\145\x72\162\157\x72\40\155\145\x73\163\x61\x67\x65\x3a\40\x25\x65\162\x72\157\x72\x4d\x65\163\163\141\147\145\45", ["\x25\145\x72\162\x6f\162\115\x65\163\x73\x61\147\145\x25" => $e->getMessage()])); } goto b7d74; edc0c: if (true === $form->isValid()) { goto C7d95; } goto Cb4d8; b7d74: F3e81: goto D6c1e; D722e: goto F3e81; goto cdaff; Cb4d8: $this->formErrors = $this->getErrorMessages($form); goto D722e; D6c1e: } public function deleteBlockedBot(Request $request) : Response { goto E7be7; F9b71: $this->checkCsrfToken($request, "\x62\157\x74\x2d\144\x65\x6c\x65\x74\145"); goto d780d; d780d: if (!(false === is_null($site))) { goto eb4a9; } goto e106b; Ddd85: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\164\x65\x73")); goto be008; e106b: try { goto b900e; F7792: $session->getFlashBag()->set("\x73\x75\x63\143\x65\x73\x73", $this->translator->trans("\102\x6f\x74\40\150\141\163\40\142\x65\x65\x6e\40\144\x65\x6c\x65\164\145\x64\x2e")); goto d2e90; d2e90: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\x65\x5f\163\x65\143\165\162\151\x74\171", ["\x64\157\x6d\141\151\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto Ac4c3; Efbd9: $siteUpdater = $this->getSiteUpdater($site); goto Fa4f3; Ff7a2: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto B901d; d43a6: $user = $this->getUser(); goto C6fa0; a9017: $id = (int) $request->get("\151\x64"); goto D4880; d3756: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto F7792; b900e: $session = $request->getSession(); goto a9017; C6fa0: $siteEntity->removeBlockedBot($blockedBotEntity); goto ddfa4; D4880: $domainName = $site->getDomainName(); goto C7cdd; C7cdd: $siteEntity = $this->getSiteEntity($domainName); goto Ff7a2; Ac4c3: return $response; goto c9c4f; Fa4f3: $siteUpdater->updateNginxVhost(); goto b61ee; ddfa4: $this->siteEntityManager->updateEntity($siteEntity); goto Efbd9; Ab3e9: $eventData = ["\163\151\164\x65" => $domainName, "\156\141\155\x65" => $blockedBotEntity->getName()]; goto d3756; c9c4f: B0197: goto C8eb9; b61ee: $siteUpdater->reloadNginxService(); goto Ab3e9; B901d: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto B0197; } goto d43a6; C8eb9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\101\156\40\145\162\x72\157\x72\40\150\141\163\x20\x6f\x63\143\x75\x72\x72\145\x64\x2c\x20\x65\x72\162\157\x72\x20\x6d\145\163\163\x61\x67\145\x3a\40\45\145\162\162\157\x72\115\x65\163\x73\141\x67\145\45", ["\x25\145\162\162\157\162\x4d\145\x73\163\x61\147\145\45" => $e->getMessage()])); } goto fb16c; E7be7: $site = $this->getSite($request); goto F9b71; fb16c: eb4a9: goto Ddd85; be008: return $response; goto e1435; e1435: } public function certificates(Request $request) : Response { goto Becfc; F1971: $response = $this->render("\x46\x72\157\x6e\164\x65\156\x64\x2f\123\x69\164\x65\57\x63\x65\162\x74\151\x66\151\143\x61\164\x65\163\x2e\x68\x74\x6d\154\x2e\x74\x77\151\147", ["\x73\x69\164\145" => $site, "\151\156\163\164\x61\154\x6c\145\144\103\145\x72\164\151\146\x69\143\141\x74\145" => $installedCertificate, "\x63\145\x72\x74\x69\x66\151\143\141\164\x65\163" => $certificates]); goto C7a68; E051b: $certificates = $site->getCertificates(); goto F1971; a5c17: if (false === is_null($site)) { goto Fc827; } goto e0721; e8169: return $response; goto f5462; Bf514: goto Fcc51; goto d2d8f; Becfc: $site = $this->getSite($request); goto a5c17; e0721: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\163")); goto Bf514; C7a68: Fcc51: goto e8169; d2d8f: Fc827: goto Ecfea; Ecfea: $installedCertificate = $site->getCertificate(); goto E051b; f5462: } public function importCertificate(Request $request) : Response { goto E4eff; C6183: if (!(false === is_null($response))) { goto Babba; } goto a0f2b; B494c: $form = $this->createImportCertificateForm($certificateEntity); goto Eeeab; b4541: if (!(true === $form->isSubmitted())) { goto Ac114; } goto B9ebb; B427e: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\145\x73")); goto f8a9c; E1cef: $certificateEntity = $this->certificateEntityManager->createEntity(); goto A9d13; b6f26: $response = $this->render("\106\162\x6f\x6e\x74\145\156\x64\x2f\x53\151\x74\145\57\151\155\160\157\162\164\x2d\x63\x65\x72\164\x69\146\x69\143\141\164\145\56\x68\164\155\154\x2e\x74\x77\151\147", ["\x73\151\x74\145" => $site, "\x66\157\x72\x6d" => $form->createView(), "\146\157\162\x6d\x45\x72\x72\x6f\x72\163" => $this->formErrors]); goto A42e9; Affcd: Ac114: goto D76cd; A4597: $form->handleRequest($request); goto b4541; Bed68: if (false === is_null($site)) { goto e9ac4; } goto B427e; A9d13: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto Fbe78; A4472: return $response; goto Fbf45; a0f2b: return $response; goto B677c; f8a9c: goto b9925; goto Fe30e; Fe30e: e9ac4: goto a979f; B677c: Babba: goto Affcd; E4eff: $site = $this->getSite($request); goto Bed68; B9ebb: $response = $this->handleImportCertificateForm($request, $form, $site); goto C6183; D76cd: Aabdf: goto b6f26; a979f: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto E1cef; Fbe78: $certificateEntity->setSite($siteEntity); goto B494c; Eeeab: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto Aabdf; } goto A4597; A42e9: b9925: goto A4472; Fbf45: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto C62ee; F3e15: $form->add("\x73\x75\142\x6d\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\154\141\x73\x73" => "\x62\x74\156\x20\x62\x74\x6e\x2d\142\x6c\165\145\x20\142\x74\156\x2d\x6c\147"], "\x6c\x61\142\145\154" => "\x49\155\160\157\162\164\x20\x61\x6e\144\40\x49\x6e\x73\164\x61\x6c\x6c"]); goto c3aa4; d2218: $form = $this->createForm("\101\160\160\134\x46\157\x72\155\x5c\123\151\164\x65\111\155\x70\x6f\162\164\x43\x65\162\x74\x69\x66\x69\143\x61\x74\x65\x54\x79\x70\x65", $certificateEntity, ["\x61\x63\x74\151\157\156" => $this->generateUrl("\143\x6c\x70\x5f\x73\151\164\145\x5f\143\x65\162\164\x69\146\151\143\141\164\145\137\x69\155\160\157\162\x74", ["\144\157\x6d\x61\x69\156\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\x6f\144" => "\x50\x4f\123\x54", "\141\164\164\162" => []]); goto F3e15; c3aa4: return $form; goto d0791; C62ee: $siteEntity = $certificateEntity->getSite(); goto d2218; d0791: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto f76a7; f76a7: if (true === $form->isValid()) { goto C22e4; } goto A6500; e2a6b: goto Af180; goto a7313; a7313: C22e4: goto e96a3; e96a3: try { goto ef4d3; bb61a: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto Daaa1; e4515: $siteEntity = $this->getSiteEntity($domainName); goto Eb312; Ab962: $siteUpdater->installCertificate($certificateEntity); goto c4323; E5a94: $siteEntity->addCertificate($certificateEntity); goto Ff1cc; Eb312: if (false === is_null($siteEntity)) { goto Dcb44; } goto a2a2b; B7b8f: $domainName = $site->getDomainName(); goto e4515; c70d1: goto Ad131; goto Cb9a3; a2a2b: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\145\163")); goto c70d1; Ec692: $user = $this->getUser(); goto ccaa4; D97a1: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\x65\x5f\143\145\x72\x74\151\x66\x69\x63\x61\x74\x65\163", ["\x64\x6f\155\x61\151\156\x4e\141\x6d\145" => $site->getDomainName()])); goto a0a15; Daaa1: $session->getFlashBag()->set("\163\x75\x63\x63\x65\x73\x73", $this->translator->trans("\x43\x65\x72\x74\151\146\x69\143\x61\164\145\x20\150\141\163\x20\x62\x65\145\156\x20\x69\x6e\163\x74\141\154\154\145\x64\56")); goto D97a1; ef4d3: $session = $request->getSession(); goto B7b8f; a253f: $siteUpdater = $this->getSiteUpdater($site); goto Ab962; F47e9: return $response; goto f78d7; ed833: $evenData = ["\163\x69\164\x65" => $domainName]; goto bb61a; Cb9a3: Dcb44: goto Ec692; c4323: $siteEntity->setCertificate($certificateEntity); goto E5a94; ccaa4: $certificateEntity = $form->getData(); goto a253f; a0a15: Ad131: goto F47e9; Ff1cc: $this->siteEntityManager->updateEntity($siteEntity); goto ed833; f78d7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\x41\156\x20\x65\162\162\x6f\x72\x20\150\141\x73\40\x6f\143\143\x75\162\162\145\x64\x2c\40\145\162\x72\157\x72\x20\x6d\145\163\x73\141\147\x65\x3a\40\45\x65\x72\162\157\x72\115\145\x73\x73\141\147\145\45", ["\x25\145\x72\x72\x6f\x72\115\x65\x73\x73\141\147\x65\x25" => $e->getMessage()])); } goto e0db1; A6500: $this->formErrors = $this->getErrorMessages($form); goto e2a6b; e0db1: Af180: goto c813f; c813f: } public function newLetsEncryptCertificate(Request $request) : Response { goto a8124; f3df1: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto B27ab; B17f1: $domains = array_unique($domains); goto f3df1; D5a09: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto A544f; A2ed0: A4554: goto C0cbd; Bfd5e: goto f0995; goto A2ed0; a87e1: goto ee588; goto d53ce; cd9d1: if (!(true === $form->isSubmitted())) { goto e9f50; } goto b07c4; C0059: return $response; goto Dfba0; a3246: $domains = []; goto Db8c7; d53ce: E33e5: goto b6831; C0cbd: $domains = [$registrableDomain, sprintf("\x77\167\167\x2e\45\163", $registrableDomain)]; goto D2c04; eb734: $form->handleRequest($request); goto cd9d1; Dc346: $subdomain = $resolvedDomainName->subDomain()->toString(); goto ec8fc; Dca48: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto c1694; b6831: $domainName = $site->getDomainName(); goto a8ff4; Fc9a8: D14c7: goto F20f6; F20f6: $response = $this->render("\x46\x72\157\156\x74\x65\156\144\57\x53\x69\x74\x65\57\x6e\145\167\55\154\x65\x74\163\55\x65\156\143\162\x79\x70\x74\x2d\143\x65\x72\164\x69\x66\151\143\141\164\145\56\150\164\x6d\154\x2e\164\x77\151\x67", ["\x73\151\x74\145" => $site, "\x64\157\155\141\x69\156\163" => $domains, "\x66\157\x72\155" => $form->createView(), "\146\x6f\162\155\x45\x72\x72\157\162\x73" => $this->formErrors]); goto A1113; c1694: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Dc346; a8124: $site = $this->getSite($request); goto A2f58; Bf6b1: F7a1f: goto eb734; B27ab: if (!(false === is_null($response))) { goto Da5cc; } goto Eb32c; ef276: $domains = [$domainName]; goto Bfd5e; db023: goto D14c7; goto Bf6b1; C9a0a: if (true === is_null($subdomain) || "\x77\x77\167" == $subdomain) { goto A4554; } goto ef276; A323e: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\145\163")); goto a87e1; D2c04: f0995: goto db023; A2f58: if (false === is_null($site)) { goto E33e5; } goto A323e; b07c4: $domains = (array) $request->get("\144\x6f\155\141\x69\x6e\163"); goto D5a09; ec8fc: $subdomain = false === empty($subdomain) ? $subdomain : null; goto C9a0a; Eb32c: return $response; goto Fc328; Db8c7: if (true === $request->isMethod("\x50\x4f\123\124")) { goto F7a1f; } goto Dca48; Fc328: Da5cc: goto d3c13; A544f: $domains = array_map("\164\x72\x69\x6d", $domains); goto B17f1; A1113: ee588: goto C0059; d3c13: e9f50: goto Fc9a8; a8ff4: $form = $this->createLetsEncryptCertificateForm($domainName); goto a3246; Dfba0: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto ebbc1; C718c: $form->add("\x73\165\x62\155\151\164", SubmitType::class, ["\x61\164\x74\x72" => ["\143\x6c\x61\x73\163" => "\142\x74\156\x20\x62\164\x6e\55\142\154\x75\x65\x20\142\x74\156\55\x6c\147"], "\154\x61\142\x65\x6c" => "\x43\x72\x65\141\164\x65\40\141\x6e\144\40\111\x6e\163\x74\x61\154\154"]); goto d445b; ebbc1: $form = $this->createForm("\x41\160\160\x5c\106\x6f\x72\155\x5c\123\151\164\x65\x4c\145\164\x73\x45\156\x63\162\x79\160\x74\x43\145\x72\x74\x69\x66\151\143\x61\x74\145\124\171\x70\145", [], ["\x61\x63\x74\151\157\x6e" => $this->generateUrl("\143\x6c\160\137\x73\151\x74\x65\x5f\154\x65\x74\x73\x5f\x65\x6e\143\x72\x79\x70\164\x5f\143\145\162\164\151\x66\x69\143\x61\x74\x65\x5f\x6e\x65\x77", ["\x64\x6f\155\x61\x69\x6e\116\141\x6d\x65" => $domainName]), "\x6d\145\x74\150\157\144" => "\120\x4f\123\124", "\141\164\164\x72" => ["\x69\x64" => "\x63\162\x65\141\164\145\55\x6c\x65\x74\x73\x2d\145\x6e\x63\x72\x79\x70\x74\55\x63\145\162\164\x69\x66\x69\x63\x61\164\x65\x2d\146\x6f\162\155"]]); goto C718c; d445b: return $form; goto b423a; b423a: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto C04ee; B1878: A710b: goto A5b6c; E964f: try { goto e38aa; bd2d5: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto fcd91; b6f5f: fa115: goto d2341; B0fc3: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto A8efd; Cfeda: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto bd2d5; Cdde0: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto c4f03; Cf834: return $response; goto Ff4fa; eb8b8: $rsaKeyGenerator = new RsaKeyGenerator(); goto Cfeda; d7cff: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto A3434; eea86: $evenData = ["\163\151\164\x65" => $domainName]; goto D4d37; C1476: $siteEntity->addCertificate($certificateEntity); goto C1d85; e1e77: $domainName = $site->getDomainName(); goto D8690; F4fe1: $certificateEntity->setSite($siteEntity); goto Ecef9; D1388: b1b71: goto A52ad; Ec342: A862d: goto A5655; B8463: if (false === is_null($siteEntity)) { goto fa115; } goto Ca151; f1a1e: $siteUpdater = $this->getSiteUpdater($site); goto Ff7f6; a6bb2: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto f1a1e; D2058: goto Bf0de; goto Ec342; F3d87: $letsEncryptClient = new LetsEncryptClient($privateKey); goto B6761; b3da5: $letsEncryptClient->registerAccount(); goto Cdde0; A3434: $siteUpdater = $this->getSiteUpdater($site); goto e9797; a9058: Bf0de: goto D1388; D8c8a: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto eb8b8; bdcad: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto Fa0fb; c45c2: $letsEncryptClient->registerAccount(); goto d7cff; Ff4fa: goto b1b71; goto b6f5f; Ab578: $siteEntity->setCertificate($certificateEntity); goto C1476; f1932: $letsEncryptClient = new LetsEncryptClient($privateKey); goto b3da5; a663b: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\163\72\40\x25\x73", $domain, $validationErrorMessage))); B5bfc: } goto b60af; bb438: $certificateEntity->setCertificate($certificate->getCertificate()); goto a6bb2; Fa0fb: a35b0: goto c377f; B6761: $letsEncryptClient->setDryRun(true); goto c45c2; ee781: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto bdcad; C83c8: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto ee781; Ff7f6: $siteUpdater->installCertificate($certificateEntity); goto Ab578; D8690: $siteEntity = $this->getSiteEntity($domainName); goto B8463; c4f03: $siteUpdater = $this->getSiteUpdater($site); goto C83c8; Ecef9: $certificateEntity->setCsr($certificate->getCsr()); goto e10b8; e38aa: $session = $request->getSession(); goto e1e77; d2341: $user = $this->getUser(); goto e34e7; a6db1: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto F3d87; Fb9f4: $certificateEntity = $this->certificateEntityManager->createEntity(); goto f25a7; e9d45: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto B0fc3; A5655: $distinguishedNameDomains = $domains; goto Efeeb; fb18d: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\163", $this->translator->trans("\x43\x65\x72\x74\151\x66\151\x63\x61\164\145\40\150\x61\163\40\x62\145\x65\156\40\151\156\x73\164\141\x6c\x6c\x65\x64\x2e")); goto A457a; c377f: if (true === empty($validationErrors)) { goto A862d; } goto a663b; fcd91: $csr = $csrGenerator->generate(); goto Dbb07; D4d37: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto fb18d; C1d85: $this->siteEntityManager->updateEntity($siteEntity); goto eea86; e34e7: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\137\x70\162\151\x76\141\164\x65\137\x6b\x65\x79"); goto a6db1; A8efd: if (!(true === empty($validationErrors))) { goto a35b0; } goto f1932; f25a7: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto F4fe1; e10b8: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto bb438; b60af: C70e5: goto D2058; E42d3: return $response; goto a9058; Dbb07: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto Fb9f4; A457a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\164\x65\137\x63\x65\x72\x74\x69\x66\x69\143\141\164\x65\x73", ["\144\157\x6d\141\x69\x6e\x4e\141\155\145" => $site->getDomainName()])); goto E42d3; e9797: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto e9d45; Ca151: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\164\x65\163")); goto Cf834; Efeeb: $commonName = array_shift($distinguishedNameDomains); goto D8c8a; A52ad: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\101\156\40\x65\162\162\157\x72\x20\150\x61\163\40\x6f\x63\x63\165\x72\162\x65\144\x2c\x20\145\162\x72\x6f\x72\40\155\x65\163\x73\x61\147\145\x3a\x20\x25\145\162\162\157\x72\x4d\145\x73\x73\141\147\x65\x25", ["\x25\x65\x72\162\x6f\162\115\145\163\x73\x61\147\145\x25" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto f8da2; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); f8da2: } goto B1878; C04ee: if (!(true === $form->isValid())) { goto A710b; } goto E964f; A5b6c: $this->formErrors = $this->getErrorMessages($form); goto D932d; D932d: } public function installCertificate(Request $request) : Response { goto da387; A60ee: if (!(false === is_null($site))) { goto F02e1; } goto F2b04; bd791: return $response; goto E0d7c; da387: $site = $this->getSite($request); goto A60ee; F2b04: try { goto F71b9; f5cc2: return $response; goto F72f9; A5c17: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto C2ed7; } goto Fb60b; D1107: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\x65\137\x63\x65\x72\164\151\146\x69\x63\x61\164\145\163", ["\144\157\155\141\151\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto f5cc2; ffe5d: $session->getFlashBag()->set("\163\165\x63\x63\145\163\163", $this->translator->trans("\103\145\162\x74\151\146\151\143\141\164\145\40\x68\x61\x73\x20\142\x65\145\156\40\x69\156\x73\164\141\154\154\x65\x64\x2e")); goto D1107; b24f1: C2ed7: goto D9c4b; Fb60b: $certificateSiteEntity = $certificateEntity->getSite(); goto D5339; d2d7f: $siteUpdater->installCertificate($certificateEntity); goto bdb28; D6566: $domainName = $site->getDomainName(); goto a3f7a; F71b9: $session = $request->getSession(); goto F04e0; aaf8f: $siteUpdater = $this->getSiteUpdater($site); goto d2d7f; F72f9: B250b: goto b24f1; e33db: $user = $this->getUser(); goto aaf8f; F04e0: $uid = $request->get("\x75\x69\x64"); goto D6566; a3f7a: $siteEntity = $this->getSiteEntity($domainName); goto d146a; Dd794: $this->siteEntityManager->updateEntity($siteEntity); goto Dc12a; Dc12a: $evenData = ["\163\151\x74\145" => $domainName]; goto A2478; A2478: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto ffe5d; d146a: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto A5c17; bdb28: $siteEntity->setCertificate($certificateEntity); goto Dd794; D5339: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto B250b; } goto e33db; D9c4b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\162", $this->translator->trans("\101\x6e\x20\145\x72\162\157\x72\40\x68\x61\x73\x20\157\143\x63\165\162\162\x65\144\54\x20\x65\162\x72\x6f\x72\x20\155\x65\x73\x73\x61\147\x65\72\40\45\145\x72\x72\157\x72\x4d\x65\163\163\x61\x67\145\x25", ["\45\145\x72\162\x6f\162\x4d\x65\163\x73\x61\x67\145\45" => $e->getMessage()])); } goto Fb71f; Fb71f: F02e1: goto b0859; b0859: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\145\x73")); goto bd791; E0d7c: } public function deleteCertificate(Request $request) : Response { goto Bea93; Bea93: $site = $this->getSite($request); goto a8c52; a8c52: $this->checkCsrfToken($request, "\143\x65\162\164\151\x66\151\143\141\164\x65\x2d\144\x65\x6c\145\164\145"); goto C555a; B0bcc: return $response; goto D0dee; C41a9: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\145\163")); goto B0bcc; C555a: if (!(false === is_null($site))) { goto E4ffe; } goto D55d9; fb309: E4ffe: goto C41a9; D55d9: try { goto Ce68d; d87b9: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto Ba1ec; bf723: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto e0d82; } goto Cbf4d; f6943: $uid = $request->get("\x75\151\144"); goto B47a2; D04b0: $siteEntity = $this->getSiteEntity($domainName); goto d87b9; B8b55: fe4cb: goto Ad380; Dfe27: return $response; goto D8c77; D5058: $certificateSiteEntity = $certificateEntity->getSite(); goto bf723; Ba1ec: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto fe4cb; } goto D5058; B47a2: $domainName = $site->getDomainName(); goto D04b0; e4256: $session->getFlashBag()->set("\x73\165\x63\143\x65\163\x73", $this->translator->trans("\x43\x65\x72\x74\x69\x66\x69\x63\x61\164\145\40\150\x61\163\x20\142\145\145\156\x20\144\x65\154\145\x74\145\x64\56")); goto cb94c; Ce68d: $session = $request->getSession(); goto f6943; cb94c: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\x65\x5f\x63\145\162\164\x69\146\151\143\141\x74\x65\x73", ["\144\157\155\141\151\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto Dfe27; D8c77: e0d82: goto B8b55; B3c34: $this->siteEntityManager->updateEntity($siteEntity); goto dbda0; dbda0: $evenData = ["\163\x69\x74\145" => $domainName]; goto A88d2; Cbf4d: $user = $this->getUser(); goto F80ec; A88d2: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto e4256; F80ec: $siteEntity->removeCertificate($certificateEntity); goto B3c34; Ad380: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\x72", $this->translator->trans("\101\x6e\x20\145\x72\162\x6f\x72\x20\150\141\x73\40\x6f\x63\143\165\162\x72\x65\144\54\x20\145\162\162\x6f\162\x20\x6d\x65\163\x73\141\147\x65\72\x20\x25\145\x72\162\x6f\x72\115\x65\163\x73\x61\147\145\x25", ["\x25\x65\162\162\157\x72\x4d\x65\x73\x73\x61\147\145\x25" => $e->getMessage()])); } goto fb309; D0dee: } public function databases(Request $request) : Response { goto F54c0; c5506: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto ceff8; Ece6f: Eaf12: goto c28bb; Df8b7: $response = $this->render("\106\162\x6f\156\164\145\156\144\x2f\x53\x69\x74\x65\x2f\144\141\x74\141\x62\x61\x73\145\x73\56\150\164\155\154\56\x74\x77\151\x67", ["\163\x69\x74\x65" => $site, "\x64\141\x74\x61\142\x61\x73\x65\163" => $databases, "\x6e\x75\x6d\x62\x65\162\117\146\104\x61\164\141\142\x61\163\145\x55\163\x65\x72\163" => $numberOfDatabaseUsers, "\144\141\164\141\142\141\163\145\x53\x65\162\166\145\x72" => $databaseServerEntity]); goto Ece6f; aff25: if (false === is_null($site)) { goto D3ce7; } goto Fc3ad; Fc3ad: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\x65\163")); goto e859e; Eea80: $databases = $site->getDatabases(); goto c5506; e6460: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); C7e94: } goto df604; df604: Fd5c1: goto Df8b7; F54c0: $site = $this->getSite($request); goto aff25; e8ec2: D3ce7: goto Eea80; ceff8: $numberOfDatabaseUsers = 0; goto e6460; c28bb: return $response; goto d5ead; e859e: goto Eaf12; goto e8ec2; d5ead: } public function newDatabase(Request $request) : Response { goto ac36d; A2f8b: Ffbad: goto f8a61; eb74f: $response = $this->handleDatabaseForm($request, $form, $site); goto A616e; a673e: return $response; goto f995c; F250a: $form = $this->createDatabaseForm($site, $databaseEntity); goto B6792; E1b9e: if (false === is_null($site)) { goto Ffbad; } goto Bf017; A616e: if (!(false === is_null($response))) { goto bb9b7; } goto a673e; b01f7: return $response; goto A6448; c329d: goto Ad008; goto A2f8b; B6792: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto fe54f; } goto D4c90; d6a55: $response = $this->render("\106\162\157\x6e\x74\x65\156\144\57\123\x69\164\145\57\x6e\145\167\55\144\x61\x74\x61\142\x61\163\145\56\x68\164\x6d\x6c\56\164\x77\151\x67", ["\x73\x69\x74\145" => $site, "\x66\x6f\x72\155" => $form->createView(), "\x66\x6f\x72\155\x45\162\162\157\x72\163" => $this->formErrors]); goto c5518; c5518: Ad008: goto b01f7; Aaf14: $databaseEntity = $this->databaseEntityManager->createEntity(); goto a5e00; e4109: b5e61: goto A344a; Bf017: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\164\x65\163")); goto c329d; ac36d: $site = $this->getSite($request); goto E1b9e; B8e46: if (!(true === $form->isSubmitted())) { goto b5e61; } goto eb74f; D4c90: $form->handleRequest($request); goto B8e46; a5e00: $databaseEntity->setSite($siteEntity); goto F250a; f995c: bb9b7: goto e4109; f8a61: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Aaf14; A344a: fe54f: goto d6a55; A6448: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto a01d6; a01d6: $form = $this->createForm("\x41\160\160\x5c\106\x6f\x72\x6d\134\123\151\164\x65\104\x61\x74\141\x62\x61\x73\x65\x54\171\160\145", $databaseEntity, ["\141\143\164\x69\x6f\x6e" => $this->generateUrl("\143\x6c\x70\x5f\163\151\164\x65\x5f\x64\x61\x74\x61\142\141\x73\x65\x5f\x6e\x65\167", ["\x64\157\x6d\x61\x69\x6e\116\141\x6d\145" => $site->getDomainName()]), "\155\x65\x74\x68\157\x64" => "\120\x4f\x53\x54", "\x61\164\x74\162" => []]); goto ceb49; B3ac6: return $form; goto Ce57f; ceb49: $form->add("\x73\x75\142\155\151\164", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\x6c\x61\163\163" => "\142\x74\x6e\40\x62\164\x6e\55\x62\x6c\165\x65\40\x62\x74\156\55\154\x67"], "\x6c\x61\142\145\x6c" => "\x41\x64\144\40\104\141\164\141\142\x61\163\x65"]); goto B3ac6; Ce57f: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto dae77; Fe2a0: ec7d4: goto e3f04; Eb737: $this->formErrors = $this->getErrorMessages($form); goto c8b58; d3313: try { goto De09f; ec177: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto A32dc; fece4: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\163", $this->translator->trans("\104\x61\x74\141\142\141\163\x65\x20\150\141\163\40\x62\145\145\156\x20\141\x64\x64\x65\144\x2e")); goto Df5da; F9293: $databaseUserName = $form->get("\165\x73\x65\162\x4e\x61\155\x65")->getData(); goto Ae1d6; De09f: $user = $this->getUser(); goto f4390; ef7df: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto C90d3; Fdddb: $databaseEntity->addUser($databaseUserEntity); goto Aaeed; Aa195: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto Cebf7; C90d3: $databaseEntity->setSite($siteEntity); goto F9293; C7f78: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto ef7df; Ae1d6: $databaseUserPassword = $form->get("\165\163\145\x72\x50\x61\163\x73\167\x6f\162\x64")->getData(); goto Aa195; Aaeed: $siteEntity->addDatabase($databaseEntity); goto f35ba; A32dc: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto e6f67; f35ba: $databaseManager->createDatabase($databaseEntity); goto e7909; e7909: $databaseManager->createUser($databaseUserEntity); goto F5bba; Dfba8: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\x74\145\x5f\144\141\x74\x61\142\x61\163\x65\x5f\x6e\x65\x77", ["\144\x6f\155\x61\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto F8bb1; Cc14d: $siteEntity = $this->getSiteEntity($domainName); goto D74e1; F5bba: $this->siteEntityManager->updateEntity($siteEntity); goto a7189; Aae99: $domainName = $site->getDomainName(); goto Cc14d; Bca6b: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto C7f78; a7189: $eventData = ["\x73\151\164\x65" => $domainName, "\144\x61\164\141\x62\141\x73\145" => $databaseEntity->getName(), "\x64\141\x74\x61\x62\141\x73\x65\x55\163\145\x72\116\141\155\145" => $databaseUserEntity->getUserName()]; goto Ef119; bab60: $databaseEntity = $form->getData(); goto Bca6b; D74e1: if (false === is_null($siteEntity)) { goto a4d84; } goto Dfba8; Df5da: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\145\x5f\x64\x61\x74\x61\142\141\x73\145\x73", ["\x64\x6f\x6d\x61\151\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto baa2c; Ef119: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto fece4; f4390: $session = $request->getSession(); goto Aae99; A4ce1: return $response; goto acb4c; baa2c: C4879: goto A4ce1; F8bb1: goto C4879; goto ab705; ab705: a4d84: goto bab60; e6f67: $databaseUserEntity->setDatabase($databaseEntity); goto Fdddb; Cebf7: $databaseUserEntity->setUserName($databaseUserName); goto ec177; acb4c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\40\145\x72\162\x6f\x72\40\x68\141\163\40\x6f\143\x63\x75\x72\x72\x65\144\x2c\40\145\x72\x72\157\x72\x20\155\145\163\163\141\x67\x65\x3a\x20\x25\x65\x72\x72\157\x72\x4d\145\163\163\x61\147\145\45", ["\45\145\x72\x72\x6f\162\x4d\x65\163\163\141\147\x65\45" => $e->getMessage()])); } goto Fe2a0; dae77: if (true === $form->isValid()) { goto e3586; } goto Eb737; E60f5: e3586: goto d3313; c8b58: goto ec7d4; goto E60f5; e3f04: } public function deleteDatabase(Request $request) : Response { goto E6713; fce29: return $response; goto Eed3f; Cf643: if (!(false === is_null($site))) { goto E0d01; } goto D4616; D4616: $databaseName = $request->get("\144\141\164\141\x62\141\163\145\x4e\141\155\145"); goto ce32d; Eed3f: e40c8: goto F76b9; E26be: try { goto fd9f4; E1861: $databaseManager->deleteDatabase($databaseEntity, true); goto d0d40; fd9f4: $user = $this->getUser(); goto Ab862; Cbf9d: $domainName = $site->getDomainName(); goto d4acb; Ae631: $databaseManager = new DatabaseManager($databaseServerEntity); goto E1861; d4acb: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto Ae631; d0d40: $siteEntity->removeDatabase($databaseEntity); goto D67e1; Cf89d: $session->getFlashBag()->set("\x73\165\x63\143\x65\163\x73", $this->translator->trans("\x44\141\164\x61\142\x61\163\x65\40\x68\141\x73\40\x62\145\145\x6e\x20\x64\x65\x6c\145\x74\x65\144\56")); goto B0c4c; F2aa5: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto Cf89d; D0cc9: $eventData = ["\x73\x69\x74\145" => $domainName, "\x64\x61\x74\141\142\141\163\145" => $databaseEntity->getName()]; goto F2aa5; Ab862: $session = $request->getSession(); goto Cbf9d; D67e1: $this->siteEntityManager->updateEntity($siteEntity); goto D0cc9; B0c4c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\x72", $this->translator->trans("\101\x6e\x20\145\162\x72\x6f\x72\x20\x68\141\163\x20\157\x63\143\165\x72\x72\x65\144\54\40\145\x72\x72\x6f\162\40\x6d\145\163\x73\141\x67\x65\x3a\x20\45\x65\162\162\x6f\162\x4d\x65\163\163\141\147\x65\45", ["\45\x65\x72\x72\x6f\x72\x4d\x65\163\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto C76b0; a3474: $this->checkCsrfToken($request, "\x64\x61\x74\141\142\141\x73\x65\x2d\x64\x65\x6c\145\x74\145"); goto Cf643; F06ee: return $response; goto d5b6a; fe156: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\x65\x73")); goto F06ee; E6713: $site = $this->getSite($request); goto a3474; C76b0: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\145\137\x64\141\164\141\142\x61\163\145\x73", ["\144\157\155\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto fce29; A5daa: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto b5de1; b5de1: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto e40c8; } goto E26be; ce32d: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto A5daa; F76b9: E0d01: goto fe156; d5b6a: } public function phpMyAdmin(Request $request) : Response { goto be43c; cf53a: $phpMyAdminUrl = sprintf("\150\x74\x74\x70\163\72\x2f\57\45\x73\x3a\45\163\57\160\150\160\155\x79\141\144\155\151\x6e\x2f\154\x6f\147\151\156\x2e\160\x68\160", $request->getHost(), $request->getPort()); goto Ce27f; E2975: $response->headers->clearCookie("\x63\x6c\x70\x2d\x70\155\x61"); goto E36cf; e9a75: return $response; goto E72f9; B2a65: fbadd: goto E9a74; Ca7e6: f4cdf: goto d9860; ad28e: $response = new RedirectResponse($phpMyAdminUrl); goto E2975; A0de2: $databaseEntity = $databaseUserEntity->getDatabase(); goto Ec90a; ef2ed: $site = $this->getSite($request); goto a4bc0; C3317: a45b5: goto ef2ed; bd77d: $phpMyAdminUrl = sprintf("\150\164\164\160\x73\72\x2f\57\x25\163\72\x25\x73\x2f\160\x68\160\155\171\x61\144\155\151\156\x2f\154\x6f\x67\x69\156\56\x70\150\x70", $request->getHost(), $request->getPort()); goto Ccaf7; F055f: $session = $request->getSession(); goto a1c78; d9860: goto f4fa2; goto C3317; a35c5: if (!(false === is_null($activeDatabaseServerEntity))) { goto f4cdf; } goto bd77d; E9a74: f4fa2: goto d7b98; d7b98: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\x65\163")); goto A1894; Dd37e: $databaseUserName = $request->get("\144\141\x74\x61\x62\x61\163\145\125\x73\145\x72\116\141\x6d\x65"); goto ab622; ceec8: df7a8: goto B2a65; f881a: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto df7a8; } goto A0de2; B5bb3: $response = new RedirectResponse($phpMyAdminUrl); goto e9a75; E72f9: d76f2: goto ceec8; A042c: $response->headers->clearCookie("\x70\155\x61\x41\165\x74\x68\55\x31\137\150\164\164\x70\x73"); goto B3b1e; A1894: return $response; goto f60ce; c8221: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto a35c5; f72ff: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto f881a; a1c78: if (false === is_null($domainName)) { goto a45b5; } goto c8221; be43c: $domainName = $request->get("\144\x6f\155\141\151\156\x4e\141\x6d\145"); goto F055f; ab622: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto f72ff; Ce27f: $data = ["\150\x6f\x73\x74" => $activeDatabaseServerEntity->getHost(), "\165\163\145\x72\116\x61\155\145" => $databaseUserEntity->getUserName(), "\x70\141\x73\x73\x77\157\162\144" => $databaseUserEntity->getDecryptedPassword(), "\x70\157\x72\164" => $activeDatabaseServerEntity->getPort()]; goto Deb26; Deb26: $session->set("\x63\x6c\x70\x2d\x70\x6d\141", $data); goto B5bb3; a4bc0: if (!(false === is_null($site))) { goto fbadd; } goto Dd37e; dac2d: $session->set("\143\x6c\160\x2d\x70\155\141", $data); goto ad28e; Fb731: return $response; goto Ca7e6; Ccaf7: $data = ["\x68\x6f\163\x74" => $activeDatabaseServerEntity->getHost(), "\160\157\162\x74" => $activeDatabaseServerEntity->getPort()]; goto dac2d; Ec90a: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto d76f2; } goto cf53a; E36cf: $response->headers->clearCookie("\160\150\x70\x4d\x79\101\x64\155\151\156\137\x68\164\164\x70\x73"); goto A042c; B3b1e: $response->headers->clearCookie("\x53\x69\147\156\157\x6e\x53\x65\163\163\x69\157\156"); goto Fb731; f60ce: } public function phpMyAdminLogout(Request $request) { goto fc59f; Da1f1: $response->headers->clearCookie("\143\x6c\160\55\x70\x6d\x61"); goto d01a8; d01a8: $response->headers->clearCookie("\160\x68\160\x4d\x79\x41\x64\155\x69\156\x5f\150\x74\x74\160\163"); goto D9072; fc59f: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\x65\163")); goto Da1f1; fd09d: return $response; goto aabd8; c43cf: $response->headers->clearCookie("\x53\x69\147\x6e\x6f\156\x53\x65\x73\x73\x69\157\x6e"); goto fd09d; D9072: $response->headers->clearCookie("\x70\x6d\x61\x41\x75\164\150\x2d\61\x5f\150\x74\x74\x70\163"); goto c43cf; aabd8: } public function newDatabaseUser(Request $request) : Response { goto b5d72; A80c9: $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\116\157\40\x64\141\x74\x61\142\141\x73\x65\40\146\157\x75\156\144\73\x20\143\162\145\141\164\145\x20\x61\40\144\x61\x74\141\x62\141\163\145\40\146\x69\162\x73\x74\x2e")); goto Ccd48; C9db5: C5c9d: goto C44b9; A1ee4: $databases = $site->getDatabases(); goto Afdd4; f2766: if (!(true === $form->isSubmitted())) { goto c4e0e; } goto daa2d; a8e81: if (false === is_null($site)) { goto bedfc; } goto e7fe5; F41ca: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto E9666; } goto C781e; C44b9: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto Be2b7; D96ad: A0be4: goto a7176; Bdb1d: if (count($databases) && false === is_null($siteEntity)) { goto C5c9d; } goto c35af; bb9bf: cc331: goto ec2a4; d624a: if (!(false === is_null($response))) { goto A0be4; } goto db32b; Be2b7: $databaseUserEntity->setSite($siteEntity); goto Dd52f; ec2a4: eb0c8: goto f7460; f7460: return $response; goto F6fa0; c35af: $session = $request->getSession(); goto A80c9; Eef96: bedfc: goto A1ee4; b5d72: $site = $this->getSite($request); goto a8e81; E158d: goto eb0c8; goto Eef96; d5bf4: E9666: goto aa323; e7fe5: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\x65\x73")); goto E158d; C781e: $form->handleRequest($request); goto f2766; Da8ef: goto cc331; goto C9db5; aa323: $response = $this->render("\x46\162\x6f\156\x74\145\x6e\x64\x2f\123\151\164\145\x2f\x6e\145\x77\x2d\144\141\164\141\142\141\x73\145\x2d\165\163\145\162\x2e\x68\164\155\x6c\x2e\164\167\x69\147", ["\163\151\x74\x65" => $site, "\x64\141\x74\x61\x62\141\x73\145\x55\163\x65\x72" => $databaseUserEntity, "\x64\141\164\141\x62\x61\x73\145\163" => $databases, "\146\x6f\162\x6d" => $form->createView(), "\x66\157\x72\x6d\105\x72\162\x6f\162\163" => $this->formErrors]); goto bb9bf; Dd52f: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto F41ca; a7176: c4e0e: goto d5bf4; db32b: return $response; goto D96ad; daa2d: $response = $this->handleDatabaseUserForm($request, $form, $site); goto d624a; Ccd48: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\x65\137\x64\x61\x74\x61\x62\x61\x73\x65\x73", ["\144\157\155\141\151\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto Da8ef; Cba3e: $siteEntity = $this->getSiteEntity($domainName); goto Bdb1d; Afdd4: $domainName = $site->getDomainName(); goto Cba3e; F6fa0: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto db038; db038: $form = $this->createForm("\x41\x70\x70\134\106\x6f\x72\x6d\x5c\123\x69\x74\145\x44\x61\164\141\x62\141\x73\x65\x55\163\145\162\x54\x79\160\x65", $databaseUserEntity, ["\141\x63\x74\x69\157\156" => $this->generateUrl("\x63\x6c\x70\137\163\x69\164\x65\137\144\141\x74\141\142\141\x73\x65\137\x75\x73\x65\x72\x5f\156\x65\x77", ["\x64\157\155\141\x69\156\x4e\x61\x6d\145" => $site->getDomainName()]), "\155\145\x74\150\157\x64" => "\120\117\x53\x54", "\x61\164\164\x72" => []]); goto A5f46; Df613: return $form; goto D1c61; A5f46: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\141\x74\x74\162" => ["\x63\154\141\x73\x73" => "\x62\164\156\x20\x62\x74\x6e\x2d\142\154\165\x65\x20\142\x74\x6e\55\x6c\147"], "\154\x61\142\145\154" => "\x41\x64\144\x20\x44\x61\x74\x61\142\x61\x73\145\40\x55\163\x65\x72"]); goto Df613; D1c61: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto b1ab5; e4f68: goto d06e8; goto f8fcd; Ea486: d06e8: goto E3935; d20ec: $this->formErrors = $this->getErrorMessages($form); goto e4f68; f8fcd: aff42: goto A0f23; A0f23: try { goto Fe9fe; D874b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\145\x5f\144\x61\164\141\x62\x61\x73\145\x5f\165\163\145\x72\x5f\156\145\x77", ["\144\x6f\155\141\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto e5172; Daeeb: Ad103: goto be9f9; ff613: A19fa: goto e9553; a18d1: if (false === is_null($siteEntity)) { goto A19fa; } goto D874b; fe1ed: $eventData = ["\x73\x69\164\145" => $domainName, "\x64\141\164\141\x62\x61\163\x65\x55\x73\145\x72\x4e\x61\x6d\145" => $databaseUserEntity->getUserName(), "\x70\x65\x72\x6d\x69\163\x73\x69\157\156\x73" => $databaseUserEntity->getPermissions(), "\x64\x61\164\x61\x62\141\x73\145" => $databaseName]; goto A85c4; Cf118: $session->getFlashBag()->set("\163\165\143\143\145\163\163", $this->translator->trans("\x44\141\164\x61\x62\141\x73\145\x20\x55\x73\145\162\x20\150\x61\x73\40\x62\145\145\156\x20\141\144\144\x65\x64\56")); goto c33fe; dba56: $domainName = $site->getDomainName(); goto d8997; c33fe: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\145\137\144\x61\x74\141\142\141\x73\145\163", ["\144\x6f\x6d\141\151\156\116\141\155\x65" => $site->getDomainName()])); goto Daeeb; b91d6: $session = $request->getSession(); goto dba56; e59d6: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto a0a35; e5172: goto Ad103; goto ff613; De7ac: $databaseUserEntity->setPassword($encryptedPassword); goto a58ca; A85c4: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto Cf118; a0a35: $databaseEntity = $databaseUserEntity->getDatabase(); goto D5166; a58ca: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Fdca2; B6102: $databaseManager->createUser($databaseUserEntity); goto e59d6; D5166: $databaseName = $databaseEntity->getName(); goto fe1ed; B6b6e: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto De7ac; Fdca2: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto B6102; e9553: $databaseUserEntity = $form->getData(); goto B6b6e; be9f9: return $response; goto b0ef4; d8997: $siteEntity = $this->getSiteEntity($domainName); goto a18d1; Fe9fe: $user = $this->getUser(); goto b91d6; b0ef4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\x72", $this->translator->trans("\101\156\40\x65\162\x72\157\x72\40\150\x61\163\x20\x6f\143\143\x75\x72\x72\145\144\x2c\40\145\162\x72\157\x72\40\x6d\145\x73\163\141\147\145\x3a\40\45\x65\162\x72\157\162\115\x65\x73\x73\141\x67\x65\x25", ["\45\x65\162\x72\x6f\162\x4d\145\x73\x73\x61\147\x65\45" => $e->getMessage()])); } goto Ea486; b1ab5: if (true === $form->isValid()) { goto aff42; } goto d20ec; E3935: } public function editDatabaseUser(Request $request) : Response { goto F9457; b88c9: if (!(true === $form->isSubmitted())) { goto B1acb; } goto Cc9f3; Ad357: edca1: goto Af887; A1c40: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto eb5de; D402e: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\145\x5f\144\x61\164\141\x62\141\x73\145\x73", ["\x64\x6f\155\x61\151\156\116\141\x6d\145" => $site->getDomainName()])); goto af353; D4478: F66d4: goto B84b0; eb5de: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto d8d13; } goto d5720; C2104: Bc29d: goto a9b5a; Bc992: $session = $request->getSession(); goto c9535; C7f7c: $domainName = $site->getDomainName(); goto D4e6b; A85eb: $response = $this->render("\x46\x72\157\x6e\x74\x65\x6e\x64\x2f\123\x69\x74\145\x2f\x65\x64\151\x74\55\x64\141\x74\141\142\141\163\x65\55\165\163\145\x72\56\150\x74\x6d\x6c\56\164\167\151\147", ["\163\151\164\145" => $site, "\x64\141\164\141\142\141\x73\145\125\163\x65\162" => $databaseUserEntity, "\146\x6f\162\x6d" => $form->createView(), "\x66\157\162\x6d\x45\162\162\157\x72\x73" => $this->formErrors]); goto D4478; dfb03: return $response; goto Ad357; D4e6b: $siteEntity = $this->getSiteEntity($domainName); goto f07e5; e347a: if (!(false === is_null($response))) { goto edca1; } goto dfb03; Af010: e1aa7: goto b9994; af353: goto a8672; goto a615e; a29d6: $databaseUserName = $request->get("\144\x61\164\141\x62\x61\x73\x65\125\163\x65\x72\x4e\x61\155\x65"); goto f9646; ab618: if (!(false === is_null($databaseUserEntity))) { goto F66d4; } goto c5825; Af887: B1acb: goto F4442; F4442: d8d13: goto A85eb; Be49e: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\145\163")); goto b0c6c; F3db7: if (false === is_null($site)) { goto e1aa7; } goto Be49e; a9b5a: return $response; goto e8718; d5720: $form->handleRequest($request); goto b88c9; F9457: $site = $this->getSite($request); goto F3db7; B84b0: a8672: goto C2104; f07e5: if (count($databases) && false === is_null($siteEntity)) { goto be24b; } goto Bc992; a615e: be24b: goto a29d6; b9994: $databases = $site->getDatabases(); goto C7f7c; f9646: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto ab618; Cc9f3: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto e347a; b0c6c: goto Bc29d; goto Af010; c5825: $databaseUserEntity->setPassword(''); goto A1c40; c9535: $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\x4e\157\40\144\141\x74\x61\x62\141\x73\x65\40\146\157\165\156\144\73\x20\x63\x72\145\141\x74\x65\x20\141\x20\144\141\x74\x61\142\x61\163\145\x20\x66\151\x72\163\x74\56")); goto D402e; e8718: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto Bb256; fa85f: return $form; goto adb07; Bb256: $form = $this->createForm("\101\160\160\x5c\106\157\x72\155\x5c\x53\151\164\145\x44\x61\x74\x61\142\141\x73\145\x55\163\x65\x72\x45\x64\x69\x74\x54\x79\160\x65", $databaseUserEntity, ["\x61\143\164\x69\157\156" => $this->generateUrl("\x63\154\160\137\163\x69\x74\x65\x5f\144\x61\164\x61\142\x61\x73\x65\x5f\x75\x73\x65\162\137\145\x64\151\x74", ["\144\157\x6d\x61\x69\x6e\x4e\x61\x6d\x65" => $site->getDomainName(), "\x64\141\164\141\x62\x61\x73\145\125\163\x65\x72\x4e\141\x6d\145" => $databaseUserEntity->getUserName()]), "\x6d\145\x74\150\x6f\x64" => "\x50\117\x53\x54", "\141\164\x74\x72" => []]); goto Fdef6; Fdef6: $form->add("\x73\x75\x62\x6d\x69\x74", SubmitType::class, ["\141\x74\x74\162" => ["\x63\154\x61\x73\x73" => "\x62\164\156\40\x62\164\x6e\x2d\x62\x6c\x75\145\40\x62\x74\x6e\55\154\147"], "\x6c\x61\x62\145\x6c" => "\123\141\x76\x65"]); goto fa85f; adb07: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto a870f; F1568: Cb5b6: goto A7780; a870f: if (true === $form->isValid()) { goto Cb5b6; } goto c4308; Ce84c: goto Dafa4; goto F1568; A7780: try { goto a6da4; B4689: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto df535; b89c8: $databaseUserEntity->setPassword($encryptedPassword); goto ae934; d4db7: goto A5cd3; goto bfae6; B645a: return $response; goto Fb7f0; ae934: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto B4689; d69d8: $databaseName = $databaseEntity->getName(); goto Daa26; f7f60: $databaseEntity = $databaseUserEntity->getDatabase(); goto d69d8; Aada7: $siteEntity = $this->getSiteEntity($domainName); goto bdfe4; df535: $databaseManager->createUser($databaseUserEntity); goto f8415; Edcfa: $session->getFlashBag()->set("\163\x75\143\143\145\163\163", $this->translator->trans("\x44\141\x74\x61\142\141\x73\145\40\x55\163\x65\x72\x20\150\141\x73\x20\x62\x65\145\x6e\x20\x75\x70\144\x61\x74\x65\144\x2e")); goto Af9b6; e8c46: A5cd3: goto B645a; a6da4: $user = $this->getUser(); goto E3044; a0377: $domainName = $site->getDomainName(); goto Aada7; Daa26: $eventData = ["\163\151\164\145" => $domainName, "\144\141\x74\x61\142\141\x73\x65\125\x73\145\162\x4e\x61\155\145" => $databaseUserEntity->getUserName(), "\160\145\162\x6d\151\163\163\151\157\156\x73" => $databaseUserEntity->getPermissions(), "\144\141\x74\141\x62\x61\163\x65" => $databaseName]; goto bf155; bf155: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto Edcfa; c006b: $databaseUserEntity = $form->getData(); goto C037b; f8415: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto f7f60; bfae6: eee8e: goto c006b; C86e2: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\145\x5f\x64\141\164\x61\142\141\x73\x65\x5f\165\x73\x65\162\x5f\x6e\145\167", ["\144\157\155\141\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto d4db7; bdfe4: if (false === is_null($siteEntity)) { goto eee8e; } goto C86e2; C037b: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto b89c8; Af9b6: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\137\144\x61\x74\x61\x62\x61\163\145\163", ["\x64\x6f\x6d\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto e8c46; E3044: $session = $request->getSession(); goto a0377; Fb7f0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\101\x6e\40\x65\162\x72\157\162\40\x68\141\163\40\x6f\143\x63\165\162\x72\145\144\54\x20\x65\x72\162\x6f\162\x20\x6d\145\163\163\x61\147\145\72\40\45\x65\162\162\x6f\x72\x4d\145\x73\x73\x61\147\145\45", ["\x25\x65\x72\162\x6f\x72\x4d\x65\x73\163\141\147\145\45" => $e->getMessage()])); } goto f15ad; f15ad: Dafa4: goto Cbfe1; c4308: $this->formErrors = $this->getErrorMessages($form); goto Ce84c; Cbfe1: } public function deleteDatabaseUser(Request $request) : Response { goto Eb011; e22f4: Ce97e: goto C2db5; bcfe5: if (!(false === is_null($databaseUserEntity))) { goto Ba57a; } goto C618c; B90f8: $databaseUserName = $request->get("\144\x61\x74\141\x62\141\x73\145\125\x73\145\162\116\x61\x6d\145"); goto Ed068; C618c: try { goto b092a; b092a: $databaseEntity = $databaseUserEntity->getDatabase(); goto F99ff; C0cd6: Eccc2: goto d81ae; F8f95: $eventData = ["\x73\151\x74\145" => $domainName, "\144\x61\164\x61\142\141\x73\145\x55\x73\x65\x72\x4e\141\x6d\x65" => $databaseUserName]; goto f131b; ddf61: $databaseManager->deleteUser($databaseUserEntity); goto e2f65; Ae620: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto ddf61; f3c16: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Ae620; c89b1: $user = $this->getUser(); goto Fe02f; e2f65: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto Df28d; de6a7: $session = $request->getSession(); goto f3c16; Fe02f: $domainName = $site->getDomainName(); goto de6a7; Df28d: $session->getFlashBag()->set("\163\x75\x63\x63\145\x73\163", $this->translator->trans("\x44\141\x74\x61\x62\141\163\145\40\x55\x73\x65\x72\x20\150\141\x73\x20\142\x65\x65\156\40\x64\145\154\x65\164\145\x64\x2e")); goto F8f95; f131b: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto C0cd6; F99ff: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto Eccc2; } goto c89b1; d81ae: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\x41\156\x20\x65\162\x72\157\x72\40\x68\x61\x73\40\157\x63\x63\165\162\162\x65\144\x2c\40\145\162\162\x6f\162\40\x6d\x65\163\163\141\x67\x65\72\x20\45\145\162\162\x6f\x72\x4d\x65\x73\x73\141\x67\145\45", ["\x25\145\162\162\x6f\x72\x4d\145\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto d8f51; A94fd: if (!(false === is_null($site))) { goto Ce97e; } goto B90f8; ae457: return $response; goto d2d1b; C2db5: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\164\145\x73")); goto ae457; Ed068: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto bcfe5; Eb011: $site = $this->getSite($request); goto ef976; a52e0: return $response; goto a6e1b; d8f51: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\x74\x65\x5f\x64\x61\164\141\x62\141\x73\x65\163", ["\144\x6f\x6d\141\x69\156\116\x61\x6d\x65" => $site->getDomainName()])); goto a52e0; ef976: $this->checkCsrfToken($request, "\144\141\x74\x61\x62\141\163\145\55\165\163\145\162\55\144\x65\x6c\x65\x74\145"); goto A94fd; a6e1b: Ba57a: goto e22f4; d2d1b: } public function varnishCache(Request $request) : Response { goto bb5ae; Eebb7: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto abe10; cfb7b: return $response; goto A9705; C1396: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto c1e9b; D9112: E3b04: goto A19c1; bac8c: Da6b0: goto cfb7b; A07e6: Ba0b5: goto e559e; d34a9: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\x74\x65\163")); goto E4b1e; B541f: $varnishCacheSettingsData = ["\151\x73\105\x6e\x61\x62\x6c\145\144" => true === isset($varnishCacheSettings["\145\x6e\x61\142\x6c\x65\144"]) && true === $varnishCacheSettings["\145\156\141\x62\154\x65\x64"] ? true : false, "\163\x65\162\166\145\162" => true === isset($varnishCacheSettings["\x73\x65\162\166\x65\162"]) ? $varnishCacheSettings["\x73\145\x72\166\x65\x72"] : "\61\62\x37\x2e\60\56\60\56\x31\x3a\x36\x30\x38\61", "\143\x61\143\150\x65\x54\x61\147\x50\162\145\146\151\170" => true === isset($varnishCacheSettings["\143\141\x63\x68\x65\124\141\147\120\x72\145\146\x69\170"]) ? $varnishCacheSettings["\143\x61\x63\x68\x65\124\x61\x67\x50\x72\145\x66\151\x78"] : substr(md5(time()), 0, 4), "\x63\141\143\150\x65\114\x69\x66\x65\164\x69\x6d\145" => true === isset($varnishCacheSettings["\143\x61\143\150\x65\114\x69\146\145\x74\151\155\145"]) ? $varnishCacheSettings["\143\x61\143\150\145\114\x69\x66\145\164\x69\x6d\x65"] : "\x36\60\64\x38\x30\x30", "\x65\x78\143\x6c\x75\144\145\x64\120\141\x72\x61\x6d\163" => true === isset($varnishCacheSettings["\x65\170\x63\x6c\x75\x64\145\144\120\141\x72\141\x6d\x73"]) ? implode("\54", $varnishCacheSettings["\x65\x78\143\x6c\165\144\x65\x64\x50\x61\162\141\x6d\163"]) : "\137\x5f\x53\x49\x44\x2c\156\x6f\x43\141\143\x68\145\x2c", "\x65\170\x63\154\165\x64\x65\x73" => true === isset($varnishCacheSettings["\145\x78\143\x6c\x75\144\x65\163"]) ? implode(PHP_EOL, $varnishCacheSettings["\x65\170\x63\154\x75\x64\x65\163"]) : '']; goto Cc17c; Da4f2: if (!(true === $settingsForm->isSubmitted())) { goto Dad5f; } goto f6f08; f6f08: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto cada4; bb5ae: $site = $this->getSite($request); goto ec1d5; Cc17c: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto Eebb7; ec1d5: if (false === is_null($site) && true === $site->getVarnishCache()) { goto E3b04; } goto d34a9; Fdb25: e8b18: goto A07e6; e99cc: return $response; goto Fdb25; cada4: if (!(false === is_null($response))) { goto Bd3cc; } goto C6422; e559e: Aafea: goto dd304; A19c1: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto B541f; abe10: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto Aafea; } goto e2e78; Df42a: Bd3cc: goto c64d7; e2e78: $settingsForm->handleRequest($request); goto a05c7; E4b1e: goto Da6b0; goto D9112; a05c7: $purgeCacheForm->handleRequest($request); goto Da4f2; d11d8: if (!(true === $purgeCacheForm->isSubmitted())) { goto Ba0b5; } goto C1396; C6422: return $response; goto Df42a; c64d7: Dad5f: goto d11d8; c1e9b: if (!(false === is_null($response))) { goto e8b18; } goto e99cc; dd304: $response = $this->render("\106\162\x6f\x6e\x74\x65\156\x64\57\123\x69\x74\x65\57\166\141\162\x6e\151\163\150\55\x63\x61\143\150\145\x2e\x68\x74\x6d\154\x2e\164\x77\x69\147", ["\x73\x69\x74\145" => $site, "\163\x65\x74\x74\151\x6e\x67\163\106\x6f\x72\x6d" => $settingsForm->createView(), "\x70\x75\x72\147\145\103\x61\143\150\145\x46\x6f\x72\x6d" => $purgeCacheForm->createView(), "\146\157\162\x6d\x45\162\x72\157\162\163" => $this->formErrors]); goto bac8c; A9705: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto D81fb; E5b0d: return $form; goto ba936; D81fb: $form = $this->createForm("\101\160\x70\x5c\x46\x6f\x72\155\x5c\123\x69\x74\145\126\141\x72\x6e\151\x73\150\103\141\x63\150\x65\123\145\x74\164\151\x6e\147\x73\124\171\x70\145", $data, ["\x61\x63\164\151\x6f\x6e" => $this->generateUrl("\143\x6c\160\137\163\151\164\x65\x5f\x76\x61\x72\x6e\x69\163\150\x5f\x63\141\143\150\x65", ["\144\x6f\155\x61\x69\x6e\116\141\x6d\x65" => $site->getDomainName()]), "\x6d\145\164\150\157\144" => "\x50\117\123\124", "\141\164\164\x72" => []]); goto e3bbd; e3bbd: $form->add("\163\x75\x62\155\x69\x74", SubmitType::class, ["\x61\x74\164\x72" => ["\143\x6c\141\x73\163" => "\142\x74\x6e\x20\142\164\x6e\x2d\142\154\x75\145\40\142\x74\x6e\55\x6c\147"], "\154\x61\x62\x65\x6c" => "\123\141\166\x65"]); goto E5b0d; ba936: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto aa787; Bb8a0: return $form; goto C51ba; aa787: $form = $this->createForm("\x41\x70\x70\x5c\x46\157\162\x6d\134\x53\151\x74\x65\x56\x61\162\x6e\151\163\x68\103\x61\143\150\145\120\165\162\x67\x65\x43\x61\143\150\x65\124\171\160\x65", ["\x73\151\x74\145" => $site], ["\141\x63\164\151\x6f\156" => $this->generateUrl("\143\154\x70\137\x73\151\x74\145\137\x76\141\162\156\x69\x73\x68\x5f\143\x61\x63\x68\x65", ["\144\x6f\x6d\141\151\156\116\141\x6d\x65" => $site->getDomainName()]), "\x6d\x65\x74\150\x6f\144" => "\x50\x4f\123\x54", "\141\164\x74\162" => []]); goto F8ae4; F8ae4: $form->add("\x73\x75\142\155\x69\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\x6c\141\163\x73" => "\x62\x74\156\x20\x62\x74\156\x2d\x62\154\x75\145\40\x62\x74\x6e\55\154\x67"], "\x6c\141\142\x65\x6c" => "\x50\x75\162\x67\x65\x20\x43\x61\x63\x68\145"]); goto Bb8a0; C51ba: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto A64c4; ce507: $this->formErrors = $this->getErrorMessages($form); goto da2f6; A64c4: if (true === $form->isValid()) { goto Bc07c; } goto ce507; f6a33: a6a2f: goto f4a2a; da2f6: goto a6a2f; goto F7d8b; dfff0: try { goto d7497; c125f: $cacheTagPrefix = $form->get("\x63\141\143\150\145\124\x61\147\x50\x72\145\146\151\170")->getData(); goto b719c; f3f6a: $session->getFlashBag()->set("\163\165\143\143\145\163\x73", $this->translator->trans("\x56\141\162\156\151\x73\150\x20\103\x61\143\150\145\40\123\x65\164\x74\x69\156\x67\163\40\150\x61\166\145\40\x62\x65\145\156\40\163\141\166\145\144\56")); goto B60ae; fd0bc: $domainName = $site->getDomainName(); goto a8092; B60ae: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\x5f\x76\x61\x72\x6e\x69\163\x68\137\x63\x61\143\x68\145", ["\144\157\x6d\x61\151\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto bc1c7; b719c: $excludedParams = array_map("\x74\162\151\x6d", array_filter(explode("\x2c", trim($form->get("\x65\x78\143\x6c\x75\144\x65\144\120\x61\x72\x61\x6d\163")->getData())))); goto f72be; B5a01: $eventData = ["\163\151\x74\x65" => $domainName, "\166\141\162\x6e\x69\x73\x68\103\141\x63\150\x65\105\156\141\142\154\145\x64" => $isEnabled, "\163\145\x72\166\145\162" => $server, "\x63\x61\x63\x68\145\x54\141\147\x50\162\145\146\x69\x78" => $cacheTagPrefix, "\143\x61\143\150\x65\x4c\151\146\145\x74\x69\x6d\x65" => $cacheLifetime, "\x65\x78\x63\154\165\x64\145\163" => $excludes, "\x65\170\x63\x6c\165\144\x65\x64\x50\141\x72\x61\155\163" => $excludedParams]; goto dff95; A217f: Ef876: goto Cd01e; d310a: $siteUpdater = $this->getSiteUpdater($site); goto ff055; a8092: $siteEntity = $this->getSiteEntity($domainName); goto c58a3; c58a3: if (false === is_null($siteEntity)) { goto Ef876; } goto C3a0e; D7e7c: $server = $form->get("\x73\145\x72\x76\145\x72")->getData(); goto c5ada; bc1c7: b8c4e: goto Bd4bf; F4553: goto b8c4e; goto A217f; B13ce: $varnishCacheSettings = ["\x65\x6e\141\142\154\x65\x64" => $isEnabled, "\163\x65\162\x76\x65\x72" => $server, "\143\x61\x63\x68\145\124\141\x67\120\162\x65\146\151\170" => $cacheTagPrefix, "\x63\141\143\x68\x65\114\151\x66\x65\x74\x69\155\145" => $cacheLifetime, "\x65\170\143\x6c\165\x64\x65\x73" => $excludes, "\x65\x78\143\154\165\144\145\144\x50\141\x72\x61\x6d\163" => $excludedParams]; goto e9e48; C3a0e: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\164\x65\x73")); goto F4553; dff95: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto f3f6a; ff055: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto Aa9d1; Aa9d1: $siteUpdater->phpSettings(); goto B5a01; Bd4bf: return $response; goto Acac2; c5ada: $cacheLifetime = $form->get("\x63\141\x63\150\145\114\x69\x66\x65\164\151\x6d\145")->getData(); goto c125f; d7497: $session = $request->getSession(); goto fd0bc; Cd01e: $user = $this->getUser(); goto Eadc7; f72be: $excludes = array_map("\164\x72\x69\155", array_filter(explode(PHP_EOL, trim($form->get("\x65\x78\x63\x6c\x75\144\145\163")->getData())))); goto B13ce; Eadc7: $isEnabled = $form->get("\x69\x73\105\x6e\141\x62\154\145\x64")->getData(); goto D7e7c; e9e48: $site->setVarnishCacheSettings($varnishCacheSettings); goto d310a; Acac2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\x72", $this->translator->trans("\x41\156\40\145\x72\x72\157\162\x20\150\x61\163\40\x6f\143\x63\165\x72\162\x65\x64\54\x20\145\162\x72\157\x72\x20\155\x65\163\163\x61\147\145\x3a\x20\45\x65\x72\x72\157\x72\115\145\x73\163\x61\x67\145\45", ["\x25\x65\x72\162\157\162\115\x65\x73\163\x61\147\x65\x25" => $e->getMessage()])); } goto f6a33; F7d8b: Bc07c: goto dfff0; f4a2a: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto C09f4; c8238: goto ed584; goto C1dfb; f784e: $this->formErrors = $this->getErrorMessages($form); goto c8238; C1dfb: a0bef: goto D9b17; ee763: ed584: goto Fb243; D9b17: try { goto d3970; e3e75: $domainName = $site->getDomainName(); goto aa997; Fdf7e: return $response; goto A2c14; C1169: $varnishCacheClient = new VarnishCacheClient(); goto Db3fe; Cda75: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\163", $this->translator->trans("\x56\141\162\x6e\x69\x73\x68\x20\103\x61\143\150\145\40\x68\141\x73\x20\x62\145\145\x6e\40\160\165\162\147\145\x64\x2e")); goto f2700; d4890: $user = $this->getUser(); goto d64fc; b56c5: if (false === is_null($siteEntity)) { goto e235f; } goto C04d2; Bd3e6: goto a203c; goto F3b73; F3b73: b06be: goto C1169; bf36e: throw new \Exception("\126\141\162\156\x69\x73\x68\x20\x43\141\143\x68\x65\40\123\145\164\x74\x69\156\147\x73\40\143\x61\x6e\x6e\x6f\x74\x20\142\x65\x20\x65\155\x70\x74\x79\x2e"); goto Bd3e6; d64fc: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto e0f49; f9cb0: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\163\x65\162\166\x65\x72"]) && false === empty($varnishCacheSettings["\163\145\x72\166\145\162"])) { goto b06be; } goto bf36e; Dea9b: b3bcc: goto a9d57; a9d57: a203c: goto A85f2; A85f2: $eventData = ["\x73\x69\164\x65" => $domainName, "\166\141\154\x75\x65\163" => implode("\x2c", $purgeValues)]; goto F95c9; aa997: $siteEntity = $this->getSiteEntity($domainName); goto b56c5; Db3fe: $varnishCacheClient->setServer($varnishCacheSettings["\163\145\x72\x76\x65\x72"]); goto Cb12e; d3970: $session = $request->getSession(); goto e3e75; F1ae1: c7d05: goto Fdf7e; Cb12e: foreach ($purgeValues as $purgeValue) { goto D2908; C20ca: $varnishCacheClient->purgeTag($purgeValue); goto F5805; a6222: if (!(false === empty($purgeValue))) { goto e62f2; } goto f6e84; D2908: $purgeValue = trim($purgeValue); goto a6222; B964d: $varnishCacheClient->purgeUrl($purgeValue); goto B8d85; Ca2c3: C8812: goto A93d8; D5cd5: e62f2: goto Ca2c3; B8d85: Aad76: goto D5cd5; f6e84: if (true === str_starts_with($purgeValue, "\x68\164\x74\160")) { goto E1d19; } goto C20ca; F5805: goto Aad76; goto Ee0ed; Ee0ed: E1d19: goto B964d; A93d8: } goto Dea9b; F95c9: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto Cda75; f2700: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\x65\137\x76\141\x72\156\x69\163\150\137\143\141\x63\150\x65", ["\144\x6f\155\x61\151\156\116\x61\155\145" => $site->getDomainName()])); goto F1ae1; C04d2: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\x65\163")); goto eed09; e0f49: $purgeValues = array_map("\164\x72\x69\x6d", array_filter(explode("\54", trim($form->get("\x76\x61\x6c\165\x65")->getData())))); goto f9cb0; bc48e: e235f: goto d4890; eed09: goto c7d05; goto bc48e; A2c14: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\x72", $this->translator->trans("\x41\156\x20\x65\162\162\x6f\162\40\x68\141\163\40\157\143\x63\x75\162\162\145\144\54\40\145\162\x72\x6f\162\x20\155\145\163\163\x61\x67\145\72\40\x25\x65\x72\162\x6f\x72\115\x65\x73\163\141\x67\145\45", ["\45\x65\x72\x72\157\162\115\x65\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto ee763; C09f4: if (true === $form->isValid()) { goto a0bef; } goto f784e; Fb243: } public function purgeVarnishCache(Request $request) : Response { goto F1897; a593e: goto eb7e8; goto C6441; F483d: return $response; goto fcbbf; a62ba: eb7e8: goto F483d; C6441: aef8d: goto D6862; A9531: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\x65\x5f\166\141\x72\x6e\x69\x73\x68\x5f\x63\x61\143\150\145", ["\144\x6f\155\x61\151\x6e\x4e\141\155\145" => $site->getDomainName()])); goto F4722; D6862: try { goto b2d42; afb25: $varnishCacheClient->purgeTag($cacheTagPrefix); goto Aaf0f; D1d77: $session = $request->getSession(); goto Ab64b; b6d7a: $eventData = ["\x73\151\x74\145" => $domainName, "\x70\165\x72\x67\x65" => "\x66\165\154\x6c"]; goto D9e64; b2d42: $user = $this->getUser(); goto D1d77; a56aa: if (!(true === isset($varnishCacheSettings["\x73\145\x72\166\x65\x72"]) && true === isset($varnishCacheSettings["\x63\141\143\x68\x65\x54\x61\x67\x50\x72\x65\x66\x69\170"]) && false === empty($varnishCacheSettings["\143\x61\143\x68\145\124\x61\x67\x50\162\x65\146\x69\170"]))) { goto ce566; } goto cac77; d88fe: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto a56aa; D9e64: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto Ea5a9; c02c4: ce566: goto b6d7a; D123c: $varnishCacheClient->setServer($varnishCacheSettings["\163\x65\x72\166\x65\x72"]); goto afb25; Ab64b: $domainName = $site->getDomainName(); goto d88fe; Aaf0f: $varnishCacheClient->purgeHost($domainName); goto c02c4; D59c6: $varnishCacheClient = new VarnishCacheClient(); goto D123c; Ea5a9: $session->getFlashBag()->set("\x73\x75\x63\143\x65\x73\x73", $this->translator->trans("\x56\141\x72\156\x69\x73\150\40\103\x61\143\x68\145\x20\150\x61\163\40\142\145\145\x6e\x20\x70\165\x72\x67\145\x64\56")); goto E1f2b; cac77: $cacheTagPrefix = $varnishCacheSettings["\143\x61\x63\x68\x65\x54\x61\147\x50\x72\x65\x66\x69\170"]; goto D59c6; E1f2b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\x72", $this->translator->trans("\101\x6e\x20\145\162\x72\x6f\x72\x20\x68\141\x73\40\157\x63\143\x75\x72\x72\145\x64\54\x20\x65\162\162\x6f\162\x20\x6d\145\x73\163\141\147\145\72\40\45\x65\162\x72\x6f\x72\x4d\145\x73\163\141\147\145\x25", ["\x25\x65\x72\162\157\162\x4d\x65\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto A9531; F4722: return $response; goto a62ba; F1052: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\x74\145\x73")); goto a593e; c2776: if (false === is_null($site)) { goto aef8d; } goto F1052; F1897: $site = $this->getSite($request); goto c2776; fcbbf: } public function vhost(Request $request) : Response { goto d664b; Ad39d: return $response; goto b6005; fc413: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\145\163")); goto e7762; a917e: $response = $this->render("\x46\162\157\156\164\x65\156\x64\57\x53\x69\x74\x65\57\x76\150\157\163\164\56\x68\164\x6d\x6c\x2e\164\167\x69\x67", ["\163\151\164\145" => $site]); goto b9e3b; a2bb4: if (false === is_null($site)) { goto Ab805; } goto fc413; c8c1c: $isCsrfTokenValid = $this->isCsrfTokenValid("\x76\150\x6f\163\x74\x2d\165\x70\x64\141\164\x65", (string) $request->get("\x74\157\153\x65\x6e")); goto E4e64; ffa2d: if (!(false === empty($vhostTemplate))) { goto bf28a; } goto e470c; e7762: goto fcb48; goto ffafa; ffafa: Ab805: goto d5f09; b9e3b: fcb48: goto bfd97; d664b: $site = $this->getSite($request); goto a2bb4; b6005: Fcd1e: goto E4051; f2048: $siteEntity = $this->getSiteEntity($domainName); goto E5509; E4e64: if (!(false === $isCsrfTokenValid)) { goto Dff9b; } goto B5fe5; d5f09: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto Aa9ed; } goto c8c1c; B32e7: $site->setVhostTemplate($vhostTemplate); goto c68f9; A779f: $vhostTemplate = trim($request->get("\166\x68\157\163\x74\x2d\x74\145\155\160\x6c\141\x74\x65")); goto ffa2d; e470c: $domainName = $site->getDomainName(); goto f2048; c1ee1: Dff9b: goto A779f; bfd97: return $response; goto C630f; E5509: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto B32e7; Bc755: if (!(false === is_null($response))) { goto Fcd1e; } goto Ad39d; E4051: bf28a: goto De33b; B5fe5: throw new InvalidCsrfTokenException("\124\150\145\40\103\x53\122\106\x20\x74\157\153\x65\x6e\x20\151\163\40\x69\156\166\x61\x6c\x69\x64\56"); goto c1ee1; c68f9: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto Bc755; De33b: Aa9ed: goto a917e; C630f: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto Dcff7; d7f01: if (!(true === str_contains($site->getVhostTemplate(), "\144\x69\x73\141\x62\154\145\x5f\163\x79\x6d\x6c\x69\x6e\x6b\163"))) { goto Df384; } goto b9441; Fddb1: $siteUpdater = $this->getSiteUpdater($site); goto f8c6e; A99da: $this->siteEntityManager->updateEntity($siteEntity); goto dbe9a; B3a6c: $vhostTemplate = $site->getVhostTemplate(); goto Fddb1; E5740: Df384: goto Ca0d6; B074f: $siteEntity->setVhostTemplate($vhostTemplate); goto A99da; b9441: throw new InvalidVhostException("\144\x69\163\141\142\154\145\137\163\x79\x6d\154\151\x6e\153\x73\x20\x69\163\40\156\x6f\164\40\x61\154\154\x6f\167\x65\x64\x2e"); goto E5740; Dcff7: $user = $this->getUser(); goto A1bf4; f8c6e: $siteUpdater->updateNginxVhostWithRollback(); goto B074f; Ed1e2: $eventData = ["\x73\151\x74\145" => $domainName, "\x76\150\x6f\163\164" => $vhostTemplate, "\x6f\154\144\x56\150\157\x73\x74" => $oldVhostTemplate]; goto Ec9b4; Ec9b4: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto Db724; Ca0d6: $domainName = $site->getDomainName(); goto B3a6c; Db724: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\164\x65\137\166\150\157\x73\164", ["\x64\x6f\x6d\141\151\x6e\116\141\x6d\x65" => $domainName])); goto a0d29; A1bf4: $session = $request->getSession(); goto d7f01; a0d29: return $response; goto e4a4f; dbe9a: $session->getFlashBag()->set("\163\165\x63\143\145\163\x73", $this->translator->trans("\126\x68\157\x73\164\40\x68\x61\163\40\x62\x65\x65\156\x20\x73\141\x76\145\144\56")); goto Ed1e2; e4a4f: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\x61\x6e\x67\145\162", $this->translator->trans("\x56\150\157\x73\x74\40\151\163\x20\x6e\x6f\164\x20\166\141\154\151\x64\x2c\40\x65\x72\x72\x6f\x72\40\155\x65\x73\163\141\x67\145\x3a\40\x25\145\x72\x72\157\x72\x4d\x65\x73\163\x61\147\145\x25", ["\x25\x65\x72\162\x6f\x72\115\x65\163\x73\141\147\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\162", $this->translator->trans("\101\156\40\x65\162\162\157\162\x20\150\x61\x73\x20\x6f\x63\143\x75\x72\x72\145\144\54\x20\145\162\x72\x6f\162\x20\155\x65\163\x73\x61\147\x65\72\x20\x25\x65\x72\162\157\162\115\145\x73\163\141\x67\x65\x25", ["\x25\x65\162\162\157\x72\115\x65\163\163\x61\147\x65\45" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto A8e74; F5069: f18c7: goto C82f5; e84fd: $phpSettingsForm->handleRequest($request); goto fca1a; eb029: $pageSpeedSettingsData = ["\x69\163\105\156\x61\142\154\145\144" => $site->getPageSpeedEnabled(), "\163\145\164\x74\x69\x6e\x67\163" => $site->getPageSpeedSettings()]; goto e4209; e8848: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto e3358; a22b2: return $response; goto f9588; f7063: $siteUserSettingsForm->handleRequest($request); goto fd61a; Dd1bb: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\145\163")); goto c2ad7; A877f: d9704: goto c2db8; E7476: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto A0da3; } goto b514c; Eb080: if (!(true === $siteDeleteForm->isSubmitted())) { goto D4f4b; } goto e6281; ac9c3: Ef6eb: goto Cd65e; B0ba2: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto Bcad2; } goto d923f; Dae34: unset($parameters["\x70\141\x67\145\123\x70\145\x65\144\123\x65\x74\x74\151\x6e\x67\163\x46\157\162\x6d"]); goto c3cd2; fa010: return $response; goto F39c0; e3358: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto b4f2b; c2db8: $parameters = ["\163\151\x74\x65" => $site, "\x64\x6f\x6d\141\x69\156\x53\x65\164\164\x69\x6e\x67\163\x46\x6f\162\155" => $domainSettingsForm->createView(), "\x73\x69\x74\145\x55\x73\x65\x72\x53\145\164\164\x69\x6e\147\x73\x46\157\162\x6d" => $siteUserSettingsForm->createView(), "\x70\x61\147\145\x53\x70\145\x65\x64\x53\145\x74\x74\x69\x6e\x67\x73\106\157\x72\155" => $pageSpeedSettingsForm->createView(), "\163\x69\x74\x65\x44\x65\154\145\164\145\106\x6f\x72\155" => $siteDeleteForm->createView()]; goto B3f1e; d7022: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto B0ba2; a4cd1: return $response; goto Aaf00; a822a: $nodejsSettingsForm->handleRequest($request); goto b3d72; dd0c9: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto Bed58; fca1a: if (!(true === $phpSettingsForm->isSubmitted())) { goto bd30a; } goto cc876; fa162: cad34: goto Ce1b5; f327f: return $response; goto C72c0; c3015: if (false === is_null($site)) { goto ec0f2; } goto Dd1bb; cf79d: $reverseProxySettingsForm->handleRequest($request); goto Fe2c6; f3a9c: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto c2598; } goto C6a23; D6058: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto f62ec; c64e4: A0da3: goto Eb080; E761f: ec0f2: goto a96c5; Bab5f: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto a7adb; fd61a: $siteDeleteForm->handleRequest($request); goto abdae; ffa36: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto C0189; } goto A0fbf; b3bd3: $response = null; goto E73db; Df8dd: Eed7c: goto fa162; be530: $phpSettings = $site->getPhpSettings(); goto d8e9b; Af418: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto d6557; dabb6: B5f6d: goto b7bfd; bd230: return $response; goto B5975; f4a12: Abdf9: goto a5c8c; Ca160: return $response; goto ac9c3; f62ec: if (!(false === is_null($response))) { goto D6138; } goto a22b2; A8b04: Aaa1d: goto ca1d4; B8272: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto B5f6d; } goto e1f3c; d4f4e: D4f4b: goto ab873; d6557: if (!(false === is_null($response))) { goto D86a3; } goto f327f; C82f5: $parameters["\x6e\157\x64\145\152\163\x53\145\x74\164\x69\156\x67\x73\x46\157\162\x6d"] = $nodejsSettingsForm->createView(); goto E59d1; ab873: if (!(false === is_null($response))) { goto e8f0a; } goto a4cd1; a96c5: $domainSettingsData = ["\144\x6f\x6d\x61\151\156\x4e\141\x6d\x65" => $site->getDomainName(), "\162\157\x6f\164\x44\x69\x72\145\x63\164\x6f\x72\171" => $site->getRootDirectory()]; goto d898c; a7adb: Ccd0a: goto E7476; b7bfd: $parameters["\x70\150\x70\123\x65\164\164\151\156\147\x73\x46\x6f\162\x6d"] = $phpSettingsForm->createView(); goto D03f4; d8e9b: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto B8272; ca1d4: Bcad2: goto Ec916; C6a23: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto e2a74; F39c0: f1a0c: goto Ffdd3; af114: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto Ccd0a; } goto Bab5f; cc876: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto e47e9; e4209: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto cce39; Cd65e: f7cb4: goto F5069; B3f1e: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto Abdf9; } goto d6980; Da7cd: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto F0177; E59d1: unset($parameters["\160\141\147\x65\x53\160\x65\145\144\x53\145\x74\164\151\156\x67\x73\x46\x6f\x72\155"]); goto f4a12; Aaf00: e8f0a: goto A877f; D440a: $response = $this->render("\106\x72\x6f\156\x74\x65\156\144\x2f\x53\151\164\145\x2f\x73\x65\164\x74\x69\x6e\x67\163\56\150\x74\x6d\154\56\x74\x77\151\x67", $parameters); goto E7eae; a5c8c: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto ea9ed; } goto be530; Ebab1: if (!(true === $pythonSettingsForm->isSubmitted())) { goto Aaa1d; } goto D6058; d6980: $nodejsSettings = $site->getNodejsSettings(); goto dd0c9; f9588: D6138: goto A8b04; D5847: a2616: goto af114; e47e9: if (!(false === is_null($response))) { goto f1a0c; } goto fa010; cce39: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto e8848; b4f2b: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto d9704; } goto ad942; b514c: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto c64e4; e1f3c: $currentPhpSettings = clone $phpSettings; goto e84fd; E73db: if (!(true === $domainSettingsForm->isSubmitted())) { goto a2616; } goto d7f14; d923f: $pythonSettingsForm->handleRequest($request); goto Ebab1; Ec916: $parameters["\x70\171\x74\150\x6f\x6e\123\145\x74\164\151\156\x67\x73\106\x6f\x72\155"] = $pythonSettingsForm->createView(); goto B3dba; Ffdd3: bd30a: goto dabb6; A0fbf: $pythonSettings = $site->getPythonSettings(); goto d7022; abdae: $pageSpeedSettingsForm->handleRequest($request); goto b3bd3; c2ad7: goto A9d3b; goto E761f; c3cd2: c2598: goto e5f87; F2e6a: $currentNodeSettings = clone $nodejsSettings; goto a822a; e2a74: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto cad34; } goto cf79d; F0177: if (!(false === is_null($response))) { goto Ef6eb; } goto Ca160; b3d72: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto f7cb4; } goto Da7cd; ad942: $domainSettingsForm->handleRequest($request); goto f7063; E7eae: A9d3b: goto bd230; e6281: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto d4f4e; e5f87: $parameters["\146\x6f\162\x6d\x45\x72\x72\x6f\162\x73"] = $this->formErrors; goto D440a; e24a3: $siteDeleteData = ["\x64\x6f\155\x61\151\x6e\116\x61\155\145" => $site->getDomainName()]; goto eb029; B3dba: C0189: goto f3a9c; A8e74: $site = $this->getSite($request); goto c3015; D03f4: ea9ed: goto ffa36; Ce1b5: $parameters["\162\x65\x76\x65\162\163\145\x50\x72\x6f\x78\171\123\x65\x74\164\x69\x6e\147\163\x46\x6f\162\x6d"] = $reverseProxySettingsForm->createView(); goto Dae34; d898c: $siteUserSettingsData = ["\x73\151\x74\x65\125\163\145\162" => $site->getUser(), "\x73\163\x68\x4b\x65\171\163" => $site->getSshKeys()]; goto e24a3; Bed58: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto f18c7; } goto F2e6a; C72c0: D86a3: goto Df8dd; Fe2c6: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto Eed7c; } goto Af418; d7f14: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto D5847; B5975: } public function purgePageSpeedCache(Request $request) : Response { goto f89d3; f89d3: $site = $this->getSite($request); goto c0fd9; A0cfc: return $response; goto b5282; caab0: Cf92a: goto A0cfc; d13a7: return $response; goto caab0; A6bbc: try { goto B6f03; B6f03: $user = $this->getUser(); goto e9f0e; Ba3b2: $eventData = ["\x73\151\164\145" => $site->getDomainName()]; goto d691b; c3a77: $siteUpdater = $this->getSiteUpdater($site); goto f0502; Bba29: $session->getFlashBag()->set("\163\165\143\x63\145\163\163", $this->translator->trans("\120\x61\x67\145\x20\123\160\145\145\144\x20\x43\141\x63\x68\145\40\x68\x61\x73\x20\x62\x65\145\156\40\160\165\x72\x67\x65\144\x2e")); goto B5703; e9f0e: $session = $request->getSession(); goto c3a77; f0502: $siteUpdater->purgePageSpeedCache(); goto Ba3b2; d691b: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto Bba29; B5703: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\101\x6e\x20\145\162\x72\x6f\x72\40\150\x61\163\x20\157\143\143\x75\162\x72\145\x64\54\40\145\x72\x72\157\x72\40\x6d\x65\163\x73\x61\147\145\72\40\45\x65\162\x72\157\x72\x4d\x65\x73\163\141\x67\145\x25", ["\x25\x65\162\162\x6f\x72\115\145\163\163\141\147\x65\x25" => $e->getMessage()])); } goto F2356; c0fd9: if (false === is_null($site)) { goto D20a3; } goto d2c3e; d2c3e: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\164\x65\163")); goto C3d05; C3d05: goto Cf92a; goto D944f; F2356: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\145\137\x73\x65\x74\164\151\x6e\x67\163", ["\x64\x6f\155\x61\x69\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto d13a7; D944f: D20a3: goto A6bbc; b5282: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto Ff60f; Ff60f: $form = $this->createForm("\101\160\x70\x5c\106\x6f\x72\x6d\x5c\123\x69\164\145\104\x6f\155\x61\x69\156\123\x65\164\164\151\156\x67\x73\124\171\160\145", $data, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\143\154\160\137\163\151\x74\145\x5f\x73\x65\x74\164\151\x6e\x67\x73", ["\144\157\x6d\x61\x69\156\116\x61\x6d\145" => $site->getDomainName()]), "\x6d\x65\x74\x68\157\144" => "\x50\117\123\x54", "\x61\164\164\x72" => []]); goto c0de8; d5dbc: return $form; goto Adfcd; c0de8: $form->add("\163\165\142\155\151\164", SubmitType::class, ["\x61\x74\164\x72" => ["\143\x6c\141\163\163" => "\142\164\x6e\40\142\x74\x6e\x2d\142\154\165\x65\x20\142\164\156\55\154\x67"], "\154\141\142\x65\x6c" => "\123\141\x76\145"]); goto d5dbc; Adfcd: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto C1282; C1282: $form = $this->createForm("\101\160\160\x5c\x46\157\x72\155\134\x53\x69\164\x65\125\x73\x65\x72\x53\145\x74\x74\151\x6e\x67\x73\124\171\160\x65", $data, ["\141\143\164\x69\157\x6e" => $this->generateUrl("\x63\x6c\x70\137\163\x69\164\145\x5f\163\145\164\164\x69\156\147\163", ["\x64\x6f\155\x61\x69\156\116\141\x6d\145" => $site->getDomainName()]), "\x6d\145\164\150\x6f\x64" => "\120\117\x53\x54", "\141\164\x74\x72" => []]); goto f1c1b; f1c1b: $form->add("\163\165\142\x6d\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\143\154\141\x73\163" => "\x62\164\x6e\x20\142\164\156\55\142\154\165\145\x20\x62\164\156\55\154\147"], "\x6c\x61\x62\x65\x6c" => "\x53\141\166\145"]); goto bf759; bf759: return $form; goto A99a4; A99a4: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto Eeb43; Eeb43: $form = $this->createForm("\x41\160\160\134\106\x6f\162\155\x5c\123\151\164\145\x50\x61\147\145\x53\x70\x65\145\144\x53\x65\164\x74\x69\156\147\x73\x54\x79\x70\145", $data, ["\x61\x63\x74\x69\157\156" => $this->generateUrl("\x63\154\160\x5f\x73\x69\x74\145\137\163\x65\x74\x74\x69\156\x67\x73", ["\144\157\x6d\141\x69\x6e\x4e\141\155\145" => $site->getDomainName()]), "\155\145\164\150\157\144" => "\x50\x4f\123\124", "\x61\164\164\162" => []]); goto f937a; f937a: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\x61\x74\164\x72" => ["\143\x6c\x61\163\x73" => "\x62\x74\156\x20\x62\x74\156\55\142\154\165\x65\x20\142\x74\156\x2d\154\x67"], "\154\x61\142\x65\154" => "\123\141\x76\145"]); goto F4577; F4577: return $form; goto a08d2; a08d2: } private function createReverseProxySettingsForm(Site $site) : Form { goto C65b4; D9ba5: return $form; goto fec6c; bd21e: $form = $this->createForm("\101\160\x70\x5c\x46\157\x72\155\134\x53\x69\x74\x65\122\x65\166\x65\x72\163\x65\x50\x72\x6f\x78\x79\x53\x65\164\x74\151\x6e\x67\x73\124\x79\x70\x65", $data, ["\141\x63\164\151\x6f\156" => $this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\x65\x5f\x73\145\x74\164\151\156\x67\163", ["\x64\157\155\141\151\x6e\116\x61\155\x65" => $site->getDomainName()]), "\x6d\145\164\x68\x6f\144" => "\x50\x4f\x53\x54", "\x61\x74\164\x72" => ["\151\144" => "\162\x65\166\x65\162\x73\x65\55\x70\162\157\x78\171\55\163\145\164\x74\x69\156\x67\163\x2d\146\157\162\155"]]); goto c7c43; c7c43: $form->add("\163\x75\142\155\151\164", SubmitType::class, ["\x61\164\164\162" => ["\x63\x6c\x61\x73\x73" => "\x62\x74\156\40\x62\x74\x6e\x2d\x62\154\165\x65\40\x62\x74\156\55\154\147"], "\154\x61\142\145\154" => "\x53\141\x76\145"]); goto D9ba5; C65b4: $data = ["\x72\x65\x76\145\162\x73\145\120\162\x6f\x78\x79\125\x72\154" => $site->getReverseProxyUrl()]; goto bd21e; fec6c: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto E1dc9; af015: $form->add("\163\165\142\x6d\151\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\143\x6c\141\x73\x73" => "\x62\164\156\x20\x62\x74\156\55\142\x6c\165\145\x20\142\164\156\55\x6c\147"], "\x6c\x61\142\145\x6c" => "\123\x61\166\145"]); goto b400d; E1dc9: $form = $this->createForm("\101\160\160\x5c\x46\157\x72\x6d\x5c\123\x69\164\x65\116\157\x64\145\152\163\123\145\x74\x74\x69\156\x67\163\124\171\160\x65", $nodejsSettings, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\x63\154\x70\137\x73\151\164\x65\137\x73\x65\164\164\151\156\147\x73", ["\x64\x6f\x6d\141\x69\156\x4e\141\155\145" => $site->getDomainName()]), "\155\x65\x74\150\x6f\144" => "\120\x4f\123\x54", "\141\x74\x74\162" => ["\151\x64" => "\156\x6f\x64\145\x6a\163\55\163\x65\164\164\151\x6e\x67\x73\x2d\146\x6f\162\x6d"]]); goto af015; b400d: return $form; goto d191a; d191a: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto A7d88; B02c5: return $form; goto Aea0d; A7d88: $form = $this->createForm("\101\160\x70\134\106\x6f\x72\155\134\123\x69\x74\x65\120\x68\160\x53\145\164\164\151\156\x67\x73\x54\171\160\145", $phpSettings, ["\141\143\164\151\x6f\156" => $this->generateUrl("\x63\154\x70\x5f\x73\151\x74\145\137\x73\145\164\164\151\x6e\x67\163", ["\144\157\x6d\x61\x69\x6e\116\x61\x6d\x65" => $site->getDomainName()]), "\x6d\x65\x74\150\x6f\x64" => "\x50\x4f\123\x54", "\x61\x74\x74\x72" => []]); goto D71f1; D71f1: $form->add("\x73\165\142\x6d\x69\x74", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\x6c\x61\163\x73" => "\x62\x74\x6e\40\142\164\156\x2d\142\154\165\x65\40\142\x74\x6e\x2d\154\147"], "\154\x61\x62\145\154" => "\x53\141\166\145"]); goto B02c5; Aea0d: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto e5402; e5402: $form = $this->createForm("\101\x70\x70\x5c\106\x6f\162\155\x5c\x53\151\x74\x65\x50\x79\x74\150\x6f\156\123\145\x74\164\x69\x6e\147\x73\x54\x79\160\x65", $pythonSettings, ["\x61\x63\x74\x69\x6f\x6e" => $this->generateUrl("\143\154\160\137\163\x69\x74\x65\x5f\x73\145\x74\x74\151\x6e\147\163", ["\x64\x6f\155\141\151\156\x4e\x61\x6d\145" => $site->getDomainName()]), "\x6d\x65\x74\x68\157\144" => "\120\x4f\123\x54", "\141\x74\x74\162" => []]); goto Ea5ad; D7573: return $form; goto e06ca; Ea5ad: $form->add("\163\x75\142\155\x69\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\154\141\x73\x73" => "\142\164\156\x20\142\164\x6e\x2d\x62\154\x75\145\x20\x62\x74\x6e\55\154\147"], "\154\x61\142\145\154" => "\123\141\166\145"]); goto D7573; e06ca: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto F6e7f; ed7e2: return $form; goto A2bad; D8143: $form->add("\163\x75\x62\155\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\143\154\x61\163\x73" => "\x62\164\156\40\142\164\x6e\x2d\142\154\x75\145\x20\x62\164\156\x2d\x6c\x67", "\144\x69\x73\x61\x62\154\145\x64" => "\144\x69\x73\x61\x62\154\x65\144"], "\x6c\141\142\145\154" => "\x44\145\x6c\145\164\145\x20\x53\151\x74\x65"]); goto ed7e2; F6e7f: $form = $this->createForm("\x41\x70\160\134\106\157\x72\x6d\x5c\123\151\164\145\104\x65\x6c\145\x74\x65\124\x79\x70\x65", $data, ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\x65\x5f\163\145\164\x74\x69\x6e\x67\163", ["\144\157\x6d\x61\x69\x6e\x4e\x61\155\145" => $site->getDomainName()]), "\x6d\x65\x74\x68\157\x64" => "\x50\x4f\123\x54", "\141\164\164\x72" => []]); goto D8143; A2bad: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto E6398; Cc023: try { goto bdc33; B99de: $session = $request->getSession(); goto f7b77; b3ed3: return $response; goto Ade52; A16e0: if (!(false === is_null($siteEntity))) { goto d56a8; } goto f6c5a; E4f32: $siteEntity->setRootDirectory($rootDirectory); goto d8b8c; d8b8c: $this->siteEntityManager->updateEntity($siteEntity); goto C60cc; fc904: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\145\x5f\163\145\x74\164\x69\x6e\147\x73", ["\x64\157\155\x61\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto b3ed3; f6c5a: $rootDirectory = rtrim($form->get("\162\x6f\x6f\x74\104\x69\x72\x65\143\x74\x6f\162\171")->getData(), "\x2f"); goto e2ecb; f7b77: $domainName = $site->getDomainName(); goto f9947; b6882: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto F5622; C60cc: $siteUpdater = $this->getSiteUpdater($site); goto E2301; E2301: $siteUpdater->domainSettings(); goto ccb3f; e2ecb: $site->setRootDirectory($rootDirectory); goto E4f32; b402d: d56a8: goto fc904; f9947: $siteEntity = $this->getSiteEntity($domainName); goto A16e0; ccb3f: $eventData = ["\x73\151\x74\145" => $domainName, "\x72\157\157\x74\x44\x69\x72\145\x63\164\157\x72\171" => $rootDirectory]; goto b6882; F5622: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\163", $this->translator->trans("\x52\157\x6f\x74\x20\x44\151\162\x65\143\x74\157\x72\x79\40\x68\141\163\x20\x62\x65\145\x6e\40\x73\141\x76\145\x64\56")); goto b402d; bdc33: $user = $this->getUser(); goto B99de; Ade52: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\x72", $this->translator->trans("\x41\156\x20\145\162\162\157\x72\40\x68\141\163\40\157\143\143\165\162\162\145\144\x2c\x20\x65\x72\x72\x6f\162\40\x6d\x65\x73\163\x61\147\x65\x3a\x20\x25\x65\162\x72\x6f\x72\115\x65\x73\163\x61\x67\x65\x25", ["\x25\x65\162\x72\157\x72\115\x65\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto c041b; b21bb: goto a01b2; goto Bf0cf; E6398: if (true === $form->isValid()) { goto f54ec; } goto E4659; c041b: a01b2: goto c97fa; Bf0cf: f54ec: goto Cc023; E4659: $this->formErrors = $this->getErrorMessages($form); goto b21bb; c97fa: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto D8a96; b2e94: goto Bfd96; goto E1a96; Fb6ea: Bfd96: goto A6006; E1a96: c1073: goto a8bd9; F0701: $this->formErrors = $this->getErrorMessages($form); goto b2e94; D8a96: if (true === $form->isValid()) { goto c1073; } goto F0701; a8bd9: try { goto D9dd1; C952a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\145\x5f\163\145\x74\x74\151\156\x67\163", ["\144\157\155\141\x69\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto c5541; ab8f3: $siteEntity->setSshKeys($sshKeys); goto b9b29; c5541: return $response; goto e72d7; Ffa2b: $siteUser = $site->getUser(); goto f76b0; E1109: if (!(false === empty($password))) { goto de79e; } goto f2771; f76b0: $sshKeys = trim($form->get("\x73\163\x68\x4b\145\171\x73")->getData()); goto A85b2; b6a74: aab17: goto C952a; D8f34: $siteEntity = $this->getSiteEntity($domainName); goto f7145; Cfce9: $session = $request->getSession(); goto E389b; a626f: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto E1109; A85b2: $password = trim($form->get("\x70\141\163\x73\x77\x6f\162\x64")->getData()); goto ab8f3; A06eb: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\163", $this->translator->trans("\123\x69\164\x65\40\125\163\145\162\40\123\x65\x74\x74\151\x6e\147\163\x20\x68\141\x76\x65\40\x62\x65\x65\156\40\163\141\166\145\144\56")); goto b6a74; d4075: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto A06eb; D9dd1: $user = $this->getUser(); goto Cfce9; f7145: if (!(false === is_null($siteEntity))) { goto aab17; } goto Ffa2b; e98e4: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x73\163\x68\113\145\171\x73" => $sshKeys]; goto d4075; b9b29: $this->siteEntityManager->updateEntity($siteEntity); goto B9504; E389b: $domainName = $site->getDomainName(); goto D8f34; B9504: $siteUpdater = $this->getSiteUpdater($site); goto a626f; f2771: $siteUpdater->changeUserPassword($siteUser, $password); goto fab8c; fab8c: de79e: goto e98e4; e72d7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\101\156\40\145\x72\162\157\x72\x20\x68\x61\x73\40\157\143\143\165\x72\x72\145\x64\54\40\x65\162\x72\157\162\40\155\145\x73\163\141\x67\x65\x3a\x20\x25\x65\162\162\157\x72\x4d\145\163\x73\x61\147\x65\45", ["\x25\x65\x72\x72\x6f\162\x4d\x65\163\163\x61\x67\x65\x25" => $e->getMessage()])); } goto Fb6ea; A6006: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto f73ed; F2273: goto F9585; goto fbf64; E83c5: try { goto C8198; C8198: $user = $this->getUser(); goto dea1f; Beaa5: $siteEntity->setPageSpeedSettings($settings); goto Bff67; a2ce4: $isEnabled = $form->get("\x69\x73\x45\x6e\x61\x62\154\x65\144")->getData(); goto Da3f7; F98aa: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto B3a96; C1206: $siteUpdater->updateNginxVhostWithRollback(); goto Ee0b9; F5cd2: $siteEntity = $this->getSiteEntity($domainName); goto a6c05; B3a96: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\x73", $this->translator->trans("\x50\x61\147\x65\x20\123\x70\x65\x65\144\x20\123\x65\164\164\151\x6e\x67\163\40\x68\x61\x76\145\40\x62\145\145\x6e\40\163\x61\166\145\x64\x2e")); goto febc5; dea1f: $session = $request->getSession(); goto Efa7b; Ee0b9: $siteUpdater->purgePageSpeedCache(); goto E3449; a074f: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\x65\137\163\x65\x74\164\151\x6e\x67\163", ["\144\x6f\x6d\141\x69\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto Fa1cf; febc5: b8efd: goto a074f; E3449: $siteEntity->setPageSpeedEnabled($isEnabled); goto Beaa5; a6c05: if (!(false === is_null($siteEntity))) { goto b8efd; } goto a2ce4; E4dcb: $siteUpdater = $this->getSiteUpdater($site); goto C1206; Bff67: $this->siteEntityManager->updateEntity($siteEntity); goto f8923; Da3f7: $settings = trim($form->get("\x73\145\x74\x74\151\x6e\x67\163")->getData()); goto C0917; C0917: $site->setPageSpeedEnabled($isEnabled); goto Da0e7; Fa1cf: return $response; goto A7134; Da0e7: $site->setPageSpeedSettings($settings); goto E4dcb; f8923: $eventData = ["\163\151\164\x65" => $domainName, "\x70\x61\x67\145\x53\x70\x65\x65\x64\x45\x6e\141\x62\x6c\x65\x64" => $isEnabled, "\160\141\x67\145\x53\160\145\x65\x64\123\145\x74\164\x69\156\x67\x73" => $settings]; goto F98aa; Efa7b: $domainName = $site->getDomainName(); goto F5cd2; A7134: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\141\x6e\147\145\x72", $this->translator->trans("\x50\141\x67\x65\x53\x70\x65\145\x64\x20\x53\145\164\x74\151\156\x67\40\141\x72\145\x20\156\x6f\164\x20\x76\x61\x6c\x69\x64\54\x20\145\x72\162\x6f\162\40\155\x65\163\x73\x61\147\145\72\x20\x25\x65\x72\x72\x6f\162\115\145\163\x73\x61\x67\145\x25", ["\x25\x65\162\162\157\x72\x4d\145\163\x73\141\147\145\x25" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\x20\145\162\x72\157\x72\40\x68\x61\163\40\x6f\x63\x63\x75\162\162\x65\144\x2c\x20\x65\162\x72\x6f\x72\40\155\145\x73\163\141\x67\145\72\40\x25\x65\162\x72\x6f\x72\x4d\145\163\x73\x61\x67\145\45", ["\x25\x65\162\x72\157\162\115\145\163\x73\141\147\145\45" => $e->getMessage()])); } goto f41d8; f73ed: if (true === $form->isValid()) { goto e5ca7; } goto E9065; fbf64: e5ca7: goto E83c5; f41d8: F9585: goto Cd9a1; E9065: $this->formErrors = $this->getErrorMessages($form); goto F2273; Cd9a1: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto B4af5; f3b13: try { goto c9ef7; ba89c: $siteDeleter->delete(); goto cbe7e; a96be: $session = $request->getSession(); goto Be8e3; c9ef7: $user = $this->getUser(); goto a96be; Fc21f: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto ab109; A884e: D597f: goto edccf; b8d72: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x74\171\x70\145" => $site->getType()]; goto Fc21f; Db62e: return $response; goto D19c9; ab109: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\163", $this->translator->trans("\123\x69\x74\145\x20\150\x61\163\40\142\145\145\x6e\x20\144\x65\x6c\145\164\145\x64\x2e")); goto A884e; db9a7: if (!(false === is_null($siteEntity))) { goto D597f; } goto dba8f; cbe7e: $this->siteEntityManager->deleteEntity($siteEntity); goto b8d72; dba8f: $siteDeleter = $this->getSiteDeleter($site); goto ba89c; Be8e3: $domainName = $site->getDomainName(); goto fa9a4; edccf: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\x74\x65\163")); goto Db62e; fa9a4: $siteEntity = $this->getSiteEntity($domainName); goto db9a7; D19c9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\x65\x72\162\157\162\40\x68\x61\163\x20\157\143\143\165\x72\162\x65\144\x2c\x20\145\162\162\x6f\162\x20\155\x65\163\163\x61\147\145\72\40\45\145\x72\162\157\x72\115\x65\163\163\x61\147\x65\x25", ["\45\145\162\x72\157\x72\115\x65\163\x73\x61\x67\x65\45" => $e->getMessage()])); } goto A4b09; C2bb4: de038: goto f3b13; d64da: goto D279b; goto C2bb4; B4af5: if (true === $form->isValid()) { goto de038; } goto c8264; A4b09: D279b: goto E5a3d; c8264: $this->formErrors = $this->getErrorMessages($form); goto d64da; E5a3d: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto Aaa7f; baef9: try { goto Acdcc; b5089: $siteUpdater->nodejsSettings(); goto Cf6da; Bbd44: if (!(true === $hasNodejsVersionChanged)) { goto C684e; } goto Cb072; Ff255: B6217: goto Ede8e; c8159: if (!(false === is_null($siteEntity))) { goto B6217; } goto C1091; b43a7: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto A05cb; a14d8: $siteEntity = $this->getSiteEntity($domainName); goto c8159; A05cb: $siteUpdater = $this->getSiteUpdater($site); goto Bbd44; E6fc0: C684e: goto b5089; b53dc: $domainName = $site->getDomainName(); goto a14d8; Ccf7d: $eventData = ["\163\x69\x74\x65" => $domainName, "\156\x6f\x64\145\x6a\163\x56\145\162\163\x69\x6f\156" => $nodejsVersion, "\x70\157\x72\x74" => $nodejsSettings->getPort()]; goto A68c9; Ede8e: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\x65\x5f\163\145\164\164\x69\156\147\x73", ["\x64\x6f\155\141\151\156\116\141\x6d\145" => $site->getDomainName()])); goto a44ac; bec5d: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\163", $this->translator->trans("\116\157\144\x65\56\x6a\x73\x20\123\x65\x74\164\151\156\x67\163\40\150\x61\166\x65\40\x62\x65\x65\x6e\x20\x73\141\x76\x65\x64\56")); goto Ff255; Acdcc: $user = $this->getUser(); goto D6497; D6497: $session = $request->getSession(); goto b53dc; Cf6da: $this->siteEntityManager->updateEntity($siteEntity); goto Ccf7d; Cb072: $siteUpdater->installNodejsVersion(); goto E6fc0; aedf7: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto b43a7; a44ac: return $response; goto d7d07; A68c9: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto bec5d; C1091: $nodejsSettings = $form->getData(); goto aedf7; d7d07: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\x72", $this->translator->trans("\x41\x6e\x20\145\x72\x72\157\x72\40\x68\141\x73\x20\x6f\x63\x63\165\x72\x72\x65\x64\54\x20\x65\x72\x72\157\162\x20\155\145\x73\163\x61\147\145\72\40\x25\x65\162\162\x6f\162\x4d\145\163\163\141\147\x65\45", ["\45\x65\x72\162\x6f\162\115\145\163\163\141\x67\145\45" => $e->getMessage()])); } goto e3e5d; Bbe17: C9493: goto baef9; Aaa7f: if (true === $form->isValid()) { goto C9493; } goto ab8a2; e3e5d: Ac9ae: goto defe1; ab8a2: $this->formErrors = $this->getErrorMessages($form); goto Df1b9; Df1b9: goto Ac9ae; goto Bbe17; defe1: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto C9f52; Fbd14: try { goto c34ba; d9c26: $siteUpdater->pythonSettings(); goto f003f; Ff430: $siteUpdater->writePythonVersionFile(); goto d9c26; ed366: return $response; goto b3c3d; fca51: if (!(false === is_null($siteEntity))) { goto Fc252; } goto E830c; E830c: $pythonSettings = $form->getData(); goto d524b; B5589: $siteEntity = $this->getSiteEntity($domainName); goto fca51; B046d: $session = $request->getSession(); goto C7fbe; a37eb: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\x65\x5f\163\x65\164\x74\x69\156\x67\x73", ["\x64\157\x6d\x61\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto ed366; d524b: $pythonVersion = $pythonSettings->getPythonVersion(); goto a8c3e; Be17b: $eventData = ["\163\x69\164\x65" => $domainName, "\x70\171\164\150\157\x6e\126\x65\x72\163\x69\x6f\156" => $pythonVersion, "\x70\157\x72\164" => $pythonSettings->getPort()]; goto Ae622; c34ba: $user = $this->getUser(); goto B046d; f003f: $this->siteEntityManager->updateEntity($siteEntity); goto Be17b; Ae622: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto Bd533; C93b3: Fc252: goto a37eb; Bd533: $session->getFlashBag()->set("\163\165\x63\143\x65\163\163", $this->translator->trans("\x50\x79\164\150\x6f\x6e\40\x53\x65\x74\x74\x69\x6e\147\163\40\x68\x61\x76\x65\x20\x62\x65\x65\x6e\x20\163\x61\166\x65\144\56")); goto C93b3; C7fbe: $domainName = $site->getDomainName(); goto B5589; a8c3e: $siteUpdater = $this->getSiteUpdater($site); goto Ff430; b3c3d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\x41\x6e\x20\145\162\x72\x6f\x72\x20\150\141\x73\x20\157\x63\143\x75\162\162\145\x64\54\40\x65\162\162\x6f\x72\40\x6d\x65\x73\163\141\x67\145\72\x20\45\x65\162\x72\157\x72\x4d\145\x73\x73\x61\x67\x65\x25", ["\x25\x65\x72\x72\x6f\x72\x4d\145\163\x73\x61\x67\145\45" => $e->getMessage()])); } goto C7b9c; Cfa0d: c81da: goto Fbd14; C7b9c: b6b8a: goto A7350; C9f52: if (true === $form->isValid()) { goto c81da; } goto F84d7; a8013: goto b6b8a; goto Cfa0d; F84d7: $this->formErrors = $this->getErrorMessages($form); goto a8013; A7350: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto Ffd82; D2150: b21ae: goto a131e; d8864: goto E5282; goto D2150; Fc16e: E5282: goto F42dc; Ffd82: if (true === $form->isValid()) { goto b21ae; } goto f7316; f7316: $this->formErrors = $this->getErrorMessages($form); goto d8864; a131e: try { goto D3aeb; A244d: $eventData = ["\163\151\164\145" => $domainName, "\x72\x65\x76\145\x72\x73\145\120\x72\157\170\x79\x55\162\154" => $reverseProxyUrl]; goto b20a4; B5ce5: $domainName = $site->getDomainName(); goto E2d79; Ca418: return $response; goto cecbb; b20a4: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto eb649; B9a59: $this->siteEntityManager->updateEntity($siteEntity); goto A244d; A46bc: $reverseProxyUrl = $form->get("\162\145\x76\x65\x72\x73\x65\120\x72\x6f\x78\171\125\162\x6c")->getData(); goto Cdf12; feee5: $session = $request->getSession(); goto B5ce5; eb649: $session->getFlashBag()->set("\163\x75\x63\143\145\x73\x73", $this->translator->trans("\122\145\166\x65\x72\x73\x65\x20\120\162\x6f\x78\171\x20\x53\x65\x74\164\151\x6e\147\163\x20\150\x61\166\145\x20\142\145\x65\x6e\40\x73\x61\166\145\144\x2e")); goto d991b; Cdf12: $site->setReverseProxyUrl($reverseProxyUrl); goto e4b1f; d991b: Ca694: goto A110e; E2d79: $siteEntity = $this->getSiteEntity($domainName); goto B4e05; A110e: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\x65\137\163\x65\164\164\151\x6e\147\163", ["\x64\x6f\x6d\x61\x69\x6e\116\141\x6d\145" => $site->getDomainName()])); goto Ca418; D3aeb: $user = $this->getUser(); goto feee5; d4657: $siteUpdater->updateNginxVhostWithRollback(); goto B9a59; d3077: $siteUpdater = $this->getSiteUpdater($site); goto d4657; e4b1f: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto d3077; B4e05: if (!(false === is_null($siteEntity))) { goto Ca694; } goto A46bc; cecbb: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\x72", $this->translator->trans("\x41\156\40\145\x72\162\157\x72\40\150\141\x73\40\157\143\x63\165\x72\162\x65\144\54\40\x65\162\x72\157\162\x20\x6d\x65\163\x73\x61\x67\145\72\40\45\x65\162\162\x6f\162\115\x65\x73\163\x61\x67\x65\x25", ["\x25\145\x72\x72\157\x72\x4d\x65\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } goto Fc16e; F42dc: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto d1293; Be0e7: try { goto b8a45; b8a45: $user = $this->getUser(); goto a6fb8; f5f13: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto C7714; bf12b: $siteEntity = $this->getSiteEntity($domainName); goto Ee5c3; Ba6b1: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\x65\x5f\x73\145\164\164\x69\156\x67\163", ["\144\157\155\x61\x69\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto A2c84; A2c84: return $response; goto b935b; bf85e: $phpSettings = $form->getData(); goto A4a5b; b7a8e: f3bc2: goto fb54a; A4a5b: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto c4d20; d78bf: $eventData = ["\x73\x69\x74\145" => $domainName, "\160\x68\160\x56\145\x72\x73\x69\157\x6e" => $phpSettings->getPhpVersion(), "\x6d\145\155\x6f\162\171\137\154\x69\155\151\x74" => $phpSettings->getMemoryLimit(), "\155\141\170\x5f\145\x78\145\143\165\164\x69\157\156\137\164\151\155\145" => $phpSettings->getMaxExecutionTime(), "\155\x61\x78\x5f\x69\x6e\x70\165\x74\137\x74\x69\x6d\145" => $phpSettings->getMaxInputTime(), "\x6d\141\170\137\151\x6e\x70\x75\x74\x5f\166\x61\162\x73" => $phpSettings->getMaxInputVars(), "\x70\157\x73\164\x5f\155\x61\170\x5f\x73\x69\x7a\x65" => $phpSettings->getPostMaxSize(), "\x75\160\154\x6f\x61\x64\137\x6d\x61\170\137\x66\151\x6c\145\163\151\x7a\x65" => $phpSettings->getUploadMaxFileSize()]; goto f5f13; Eb764: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto b7a8e; eb082: $this->siteEntityManager->updateEntity($siteEntity); goto d78bf; Ee5c3: if (!(false === is_null($siteEntity))) { goto ee84c; } goto bf85e; fb54a: $siteUpdater->phpSettings(); goto eb082; e76f0: $domainName = $site->getDomainName(); goto bf12b; a6fb8: $session = $request->getSession(); goto e76f0; c4d20: $siteUpdater = $this->getSiteUpdater($site); goto d5892; C7714: $session->getFlashBag()->set("\163\x75\x63\x63\145\163\163", $this->translator->trans("\x50\x48\x50\40\x53\145\x74\x74\x69\156\147\x73\40\x68\x61\166\x65\x20\x62\145\145\156\x20\163\141\166\x65\144\56")); goto e9418; e9418: ee84c: goto Ba6b1; d5892: if (!(true === $hasPhpVersionChanged)) { goto f3bc2; } goto Eb764; b935b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\x72", $this->translator->trans("\101\156\x20\145\x72\x72\157\162\x20\150\x61\163\40\157\143\x63\165\162\162\x65\x64\54\x20\145\x72\162\x6f\x72\40\x6d\145\163\x73\141\147\x65\72\40\x25\145\162\x72\x6f\x72\115\x65\163\163\141\x67\145\x25", ["\45\x65\x72\x72\157\162\x4d\x65\x73\x73\x61\x67\145\45" => $e->getMessage()])); } goto De0e2; De0e2: F35b7: goto F9215; F24b3: cbf66: goto Be0e7; B97d7: $this->formErrors = $this->getErrorMessages($form); goto Ffd84; Ffd84: goto F35b7; goto F24b3; d1293: if (true === $form->isValid()) { goto cbf66; } goto B97d7; F9215: } private function getSite(Request $request) : ?Site { goto E279c; B5b22: $site->setCertificates($siteEntity->getCertificates()); goto A5220; ea744: $site->setBlockedIps($siteEntity->getBlockedIps()); goto Ee03a; b7618: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto D4755; B1335: $siteDatabases = $this->getSiteDatabases($siteEntity); goto C1dee; d4dfc: $site->setBlockedBots($siteEntity->getBlockedBots()); goto ea744; Af6ad: $site->setRegistrableDomain($registrableDomain); goto F4986; B4abf: $domainName = $request->get("\144\x6f\x6d\141\151\x6e\x4e\141\155\145"); goto F751f; E1041: if (!(false === is_null($site))) { goto c4e5c; } goto A0a8c; F751f: $siteEntity = $this->getSiteEntity($domainName); goto C191e; E279c: $user = $this->getUser(); goto B4abf; f3d71: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto A4922; bd475: goto d575c; goto c0cd4; A4922: $site = new NodejsSite(); goto Ecedb; Ecedb: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto bd475; c0cd4: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto d575c; case SiteEntity::TYPE_PHP: goto B695e; bf7ec: goto d575c; goto E92ee; b724d: $site->setPhpSettings($siteEntity->getPhpSettings()); goto ee7fb; B695e: $site = new PhpSite(); goto b724d; ee7fb: $site->setVarnishCache($siteEntity->getVarnishCache()); goto bf7ec; E92ee: case SiteEntity::TYPE_PYTHON: goto Dffc4; Dffc4: $site = new PythonSite(); goto ee0c0; Da408: goto d575c; goto c01df; ee0c0: $site->setPythonSettings($siteEntity->getPythonSettings()); goto Da408; c01df: case SiteEntity::TYPE_REVERSE_PROXY: goto D1526; D1526: $site = new ReverseProxySite(); goto Ef7ac; Ae69b: goto d575c; goto A465a; Ef7ac: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto Ae69b; A465a: } goto ad564; ad564: ee632: goto A0df2; a23a9: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Ee8a6; Aa110: $site->setCertificate($siteEntity->getCertificate()); goto B5b22; A5220: $site->setCronJobs($siteEntity->getCronJobs()); goto d4caf; Ee03a: $site->setDatabases($siteDatabases); goto Aa110; a89ef: $siteType = $siteEntity->getType(); goto f3d71; c35f2: $site->setRootDirectory($siteEntity->getRootDirectory()); goto De566; A0df2: d575c: goto E1041; bd533: return null; goto Bcc03; Bcc03: C74eb: goto a89ef; Ed79b: $site->setSshUsers($siteEntity->getSshUsers()); goto Aa7c8; C5b81: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto d5672; d5672: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto b7618; b981e: if (!(false === is_null($siteEntity))) { goto a8786; } goto F921a; F921a: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto C74eb; } goto bd533; Aa7c8: $site->setSshKeys($siteEntity->getSshKeys()); goto C5b81; Baeac: $site->setDomainName($siteEntity->getDomainName()); goto Af6ad; d4caf: $site->setFtpUsers($siteEntity->getFtpUsers()); goto Ed79b; A0a8c: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto a23a9; D4755: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto bb823; De566: $site->setBasicAuth($siteEntity->getBasicAuth()); goto d4dfc; F4986: $site->setSubdomain($subdomain); goto c35f2; F2e09: return $site; goto A9160; C3f5f: a8786: goto F2e09; b2733: $subdomain = false === empty($subdomain) ? $subdomain : null; goto B1335; C1dee: $site->setUser($siteEntity->getUser()); goto Baeac; C191e: $site = null; goto b981e; Ee8a6: $subdomain = $resolvedDomainName->subDomain()->toString(); goto b2733; bb823: c4e5c: goto C3f5f; A9160: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto ad7fe; d1dc1: foreach ($databaseEntities as $databaseEntity) { goto F4b08; ab944: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto f9ca7; } goto b7cbd; F4b08: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto ab944; b7cbd: $siteDatabases->add($databaseEntity); goto Fcfcd; A6f5b: d317b: goto bd4ca; Fcfcd: f9ca7: goto A6f5b; bd4ca: } goto F9c5c; ad7fe: $siteDatabases = new ArrayCollection(); goto d0190; a7365: $databaseEntities = $siteEntity->getDatabases(); goto d1dc1; F0e7b: return $siteDatabases; goto ac7c9; F9c5c: F9677: goto F0e7b; d0190: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto a7365; ac7c9: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto a1d14; Eedde: return $siteUpdater; goto Ebcba; d7e68: ecc51: goto E8aa7; ab58d: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto ace4b; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto ace4b; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto ace4b; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto ace4b; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto ace4b; } goto d7e68; c6bcb: $siteType = $site->getType(); goto ab58d; a1d14: $siteUpdater = null; goto c6bcb; E8aa7: ace4b: goto Eedde; Ebcba: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto b2c5a; Eaea3: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto e7b88; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto e7b88; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto e7b88; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto e7b88; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto e7b88; } goto afeae; b2c5a: $siteDeleter = null; goto A468e; afeae: c2a82: goto e9b1e; A468e: $siteType = $site->getType(); goto Eaea3; e9b1e: e7b88: goto A5ee1; A5ee1: return $siteDeleter; goto Ce1b6; Ce1b6: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
