<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\150\x74\164\160\x73\72\57\x2f\144\x33\x71\156\144\x35\64\161\70\147\142\63\152\x65\x2e\143\x6c\x6f\x75\144\146\162\x6f\x6e\x74\56\156\x65\x74\x2f"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto c0daa; db3fb: $this->databaseServerManager = $databaseServerManager; goto b2314; c0daa: $this->configManager = $configManager; goto db3fb; A2d74: $this->twig = $twig; goto Cae20; b2314: $this->userManager = $userManager; goto b9517; b9517: $this->cachePool = $cachePool; goto A2d74; Cae20: } public function onKernelRequest(RequestEvent $event) : void { goto e8359; e8359: if (!(false === $event->isMainRequest())) { goto Adca7; } goto fc182; Da3d7: Adca7: goto Abdf0; Abdf0: $this->initialize($event); goto a8a15; fc182: return; goto Da3d7; a8a15: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto f328d; F0247: $this->initialize($event); goto Ee982; Ac84a: if (!$command instanceof Command) { goto e56bb; } goto F0247; Ee982: e56bb: goto F528e; f328d: $command = $event->getCommand(); goto Ac84a; F528e: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto fb9a1; e00b1: $this->setCloudPanelVersion(); goto af17d; fb9a1: $this->setTimezone(); goto d357c; A59d7: $this->setDatabaseServer($event); goto cde98; af17d: $this->setCloudPanelReleaseChannel(); goto A7bcb; cde98: $this->setEnvironment($event); goto f4ca8; d357c: $this->setInstanceUid(); goto e00b1; A7bcb: $this->setLetsEncryptPrivateKey(); goto A59d7; f4ca8: } private function setTimezone() : void { goto c3c66; B516b: f6ccc: goto e78f6; C27e6: if (!(true === is_null($timezone))) { goto f6ccc; } goto A420d; c3c66: $timezone = $this->configManager->get("\164\151\x6d\145\x7a\x6f\x6e\x65"); goto C27e6; A420d: $this->configManager->set("\164\151\x6d\x65\x7a\x6f\156\x65", "\125\x54\x43"); goto B516b; e78f6: } private function setInstanceUid() : void { goto deba4; deba4: $instanceUid = $this->configManager->get("\151\156\x73\164\x61\x6e\143\x65\137\165\151\x64"); goto Eec5e; d02a4: $this->configManager->set("\151\156\x73\x74\x61\x6e\143\145\137\x75\x69\x64", $instanceUid); goto b6404; b6404: adc82: goto dfb9e; Ee5d1: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto d02a4; Eec5e: if (!(true === is_null($instanceUid))) { goto adc82; } goto Ee5d1; dfb9e: } private function setCloudPanelVersion() : void { goto B21b1; B21b1: $appVersion = $_ENV["\x41\120\x50\137\x56\x45\122\x53\111\117\x4e"] ?? null; goto c7750; c7750: if (!(false === is_null($appVersion))) { goto A66dc; } goto B43f0; B43f0: $this->configManager->set("\x61\x70\x70\x5f\x76\x65\x72\163\151\x6f\156", trim($appVersion)); goto C68f8; C68f8: A66dc: goto f385f; f385f: } private function setCloudPanelReleaseChannel() : void { goto B0af2; B0af2: $releaseChannel = $this->configManager->get("\x72\145\154\x65\x61\163\145\x5f\x63\150\141\156\x6e\145\154"); goto d83c1; d83c1: if (!(true === is_null($releaseChannel))) { goto D3627; } goto E3ca6; E3ca6: $this->configManager->set("\162\x65\154\145\141\x73\145\137\x63\x68\x61\156\156\x65\154", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto D29b8; D29b8: D3627: goto a4b20; a4b20: } private function setLetsEncryptPrivateKey() { goto E9e07; c1d62: $rsaKeyGenerator = new RsaKeyGenerator(); goto C90c1; A62e5: $this->configManager->set("\x6c\x65\x5f\160\x72\151\x76\141\164\x65\x5f\x6b\145\x79", $privateKey->getPEM()); goto D12da; C90c1: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto A62e5; cd8f4: if (!(0 < $numberOfUsers)) { goto F6a7b; } goto a0ec1; E9e07: $numberOfUsers = $this->userManager->countAll(); goto cd8f4; a0ec1: $letsEncryptPrivateKey = $this->configManager->get("\154\145\137\160\x72\151\166\141\x74\145\137\x6b\x65\171"); goto cb576; dac7c: F6a7b: goto d3df0; cb576: if (!(true === is_null($letsEncryptPrivateKey))) { goto A8fcd; } goto c1d62; D12da: A8fcd: goto dac7c; d3df0: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto e8cfa; c5380: $changeDatabaseUserPasswordCommand->setUserName("\162\157\157\164"); goto C6fe6; e8cfa: $numberOfUsers = $this->userManager->countAll(); goto b1ace; D61fb: B36d2: goto Ec45a; b2c67: $this->databaseServerManager->updateEntity($databaseServer); goto db826; f6640: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto Ca7de; } goto C41cb; a05d4: $databaseServer->setPassword($encryptedPassword); goto D01f8; ac49a: goto B36d2; goto b19fb; C41cb: if ("\144\x65\166" == $_ENV["\x41\120\x50\x5f\105\x4e\x56"]) { goto c52c4; } goto e9b79; Dd018: $databaseServer->setPassword(Crypto::encrypt("\162\157\x6f\164")); goto A08f6; D01f8: if (!("\144\x65\x76" != $_ENV["\101\120\120\x5f\x45\x4e\x56"])) { goto f38fe; } goto Da6df; d92b2: $databaseServer->setUserName("\162\157\157\x74"); goto Dd018; Ffe6e: $databaseServer->setIsActive(true); goto Abf31; Da65e: $databaseServer->setEngine($databaseConnection->getEngine()); goto Baea2; a42fa: $password = "\162\157\157\164"; goto D61fb; b19fb: c52c4: goto a42fa; Abf31: $databaseServer->setIsDefault(true); goto fac93; e9b79: $passwordGenerator = new PasswordGenerator(); goto e5dd3; Ec45a: $encryptedPassword = Crypto::encrypt($password); goto ba194; A05d6: f38fe: goto b2c67; db826: Ca7de: goto Fb5ea; fe29b: $databaseServer->setHost("\61\x32\x37\56\x30\56\60\56\61"); goto d92b2; e5dd3: $password = $passwordGenerator->generate(); goto ac49a; fd6bf: $tmpDatabaseServer->setPassword("\x72\x6f\x6f\x74"); goto c2b20; A9abb: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto Ad17b; fac93: $databaseConnection = new DatabaseConnection($databaseServer); goto Da65e; Ad17b: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto A05d6; d231f: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto c5380; b1ace: $databaseServers = $this->databaseServerManager->findAll(); goto f6640; Baea2: $databaseServer->setVersion($databaseConnection->getVersion()); goto a05d4; C6fe6: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto A9abb; Da6df: $tmpDatabaseServer = clone $databaseServer; goto fd6bf; ba194: $databaseServer = $this->databaseServerManager->createEntity(); goto fe29b; A08f6: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto Ffe6e; c2b20: $commandExecutor = new CommandExecutor(); goto d231f; Fb5ea: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto F7230; bbfb8: $ipv4PublicIp = ''; goto F2672; Ae7a6: $isDarkMode = false === is_null($request->cookies->get("\164\x68\145\x6d\145")) && "\144\x61\162\153" == $request->cookies->get("\x74\150\145\x6d\145") ? true : false; goto D9b8e; d8ab9: $host = $request->getHost(); goto Ae7a6; c9ee3: f1cbc: goto b8875; Ad9f2: $command->setInstance($instance); goto Ca4c1; ae85e: $this->twig->addGlobal("\x69\163\104\141\x72\153\115\157\144\145", $isDarkMode); goto dbc1c; D4ce8: if (!(false === is_null($instanceUid))) { goto e9a1d; } goto C532f; C532f: $instance->setUid($instanceUid); goto b64ae; Ba10b: $instance->setHostname($hostname); goto c4196; F2672: try { $ipv4PublicIp = $this->cachePool->get("\x69\x70\x76\x34\x5f\160\165\142\x6c\x69\x63\x5f\x69\x70", function (ItemInterface $item) { goto D177a; D96c4: $request = new Request("\x47\105\x54", self::IP_REQUEST_URL); goto Cf806; D177a: $item->expiresAfter(3600); goto B0124; B0124: $ipv4PublicIp = null; goto F6921; ddfdd: $responseStatusCode = $response->getStatusCode(); goto C46d4; ae7b9: $ipv4PublicIp = trim((string) $response->getBody()); goto B7eb0; B7eb0: Acb31: goto c4c29; F6921: $config = ["\x74\151\x6d\145\x6f\x75\x74" => 5, "\x76\x65\162\x69\x66\171" => false, "\x68\x65\141\x64\145\162\163" => ["\x55\x73\145\162\55\101\147\145\x6e\164" => "\103\x6c\x6f\165\144\x50\141\x6e\x65\x6c\x20\x76\62"]]; goto d0b22; c4c29: return $ipv4PublicIp; goto bc006; Cf806: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto ddfdd; C46d4: if (!(200 == $responseStatusCode)) { goto Acb31; } goto ae7b9; d0b22: $httpClient = new HttpClient($config); goto D96c4; bc006: }); } catch (\Exception $e) { } goto d0055; b4b78: $hostname = gethostname(); goto Ba10b; d6eda: C5a72: goto f46a2; f46a2: ade1e: goto e5ebd; D092c: $this->twig->addGlobal("\151\x6e\x73\164\x61\x6e\x63\145", $instance); goto ae85e; ee981: E7a81: goto b55a2; F15de: $environment = new CloudPanelEnvironment(); goto E417f; f4e03: $instance->setEnvironment($environment); goto b4b78; d0055: $instance->setIpv4PublicIp($ipv4PublicIp); goto ee981; F7230: $cloud = $this->configManager->get("\x63\154\157\165\x64"); goto F15de; D5c11: $request->attributes->set("\151\x73\x44\141\162\x6b\115\x6f\144\x65", $isDarkMode); goto D092c; Ca4c1: goto bc527; goto c9ee3; c4196: if ($event instanceof RequestEvent) { goto f1cbc; } goto a5f55; b8875: $request = $event->getRequest(); goto d8ab9; a5f55: $command = $event->getCommand(); goto Ad9f2; dbc1c: bc527: goto E6b22; b55a2: $request->attributes->set("\151\x6e\x73\164\x61\x6e\143\145", $instance); goto D5c11; b64ae: e9a1d: goto f4e03; B9d5f: if (!(true === empty($ipv4PublicIp))) { goto E7a81; } goto bbfb8; D9b8e: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto B9d5f; E417f: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto ce533; Fd6c8: $instance->setInstanceId($instanceId); goto b802e; Ce125: goto ade1e; goto F44a8; f5fd3: if (!("\144\145\166" == $_ENV["\101\x50\120\x5f\x45\116\126"])) { goto ca6f3; } goto D4ef0; b802e: $instance->setInstanceType("\x74\x33\56\x78\154\x61\162\147\x65"); goto ca62a; ce533: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto a8109; D4ef0: $instanceId = $_ENV["\x44\105\x56\x5f\x41\x57\123\x5f\111\116\x53\x54\x41\x4e\x43\x45\x5f\x49\104"] ?? ''; goto Ac2fd; Bf6bb: ca6f3: goto Ce125; Ac2fd: $region = $_ENV["\104\x45\126\x5f\101\127\x53\x5f\x52\105\107\x49\117\116"] ?? ''; goto Fd6c8; ca62a: $instance->setRegion($region); goto Bf6bb; a8109: $instance = new AwsInstance(); goto f5fd3; F44a8: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto F9e37; ad63b: if (!(false === is_null($token))) { goto E4714; } goto E4910; a24e8: $instance->setFloatingIp("\x31\62\67\56\60\x2e\60\x2e\61"); goto D7166; a9c24: $dropletId = $_ENV["\104\105\126\137\x44\x4f\x5f\x44\x52\117\x50\114\105\x54\137\111\x44"] ?? ''; goto bd0f0; F9e37: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto Abcda; E422b: $token = $this->configManager->get("\x64\157\137\x61\x63\x63\x65\x73\x73\137\164\x6f\153\x65\156"); goto ad63b; D7166: $instance->setIpv4PublicIp("\61\x32\67\56\x30\56\60\56\x31"); goto cdc06; Abcda: $doClient = new DoClient(); goto E422b; bd0f0: $region = $_ENV["\x44\105\x56\x5f\x44\x4f\137\x52\x45\x47\111\x4f\x4e"] ?? ''; goto D399d; D399d: $instance->setDropletId($dropletId); goto cdc4a; c8baa: goto ade1e; goto abaa6; cdc4a: $instance->setRegion($region); goto a24e8; fddf8: E4714: goto a4eaa; b4016: $doClient->setInstance($instance); goto f33bd; cdc06: Db34f: goto c8baa; f33bd: if (!("\144\145\166" == $_ENV["\101\x50\x50\x5f\x45\116\126"])) { goto Db34f; } goto a9c24; a4eaa: $instance = new DoInstance($doClient); goto b4016; E4910: $doClient->setToken($token); goto fddf8; abaa6: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto C1b0a; E522a: $instance = new GceInstance($gceClient); goto E38f5; ccd6a: $projectId = $_ENV["\x44\105\126\x5f\x47\103\105\x5f\120\x52\x4f\112\105\103\124\137\111\104"] ?? ''; goto F5da3; Cf357: if (!(false === is_null($serviceAccountKeys))) { goto Cd364; } goto cc021; D69f6: $instance->setIpv4PublicIp("\61\x32\67\56\60\56\60\x2e\x31"); goto E2e88; b7e3b: $instance->setInstanceName($instanceName); goto E211d; E72c1: $gceClient = new GceClient(); goto e01e9; Af6d7: if (!("\144\145\x76" == $_ENV["\101\x50\x50\137\x45\x4e\126"])) { goto A1240; } goto ccd6a; c545e: Cd364: goto E522a; C3a86: goto ade1e; goto B67b5; ebb1c: A1240: goto C3a86; C1ca4: $machineType = $_ENV["\104\x45\126\137\107\x43\x45\137\115\x41\103\110\111\116\105\x5f\x54\131\120\105"] ?? ''; goto Afb71; e01e9: $serviceAccountKeys = $this->configManager->get("\147\x63\145\x5f\x73\145\x72\x76\151\143\x65\137\141\143\143\157\165\x6e\x74\x5f\x6b\x65\171\x73"); goto Cf357; bf11e: $instanceName = $_ENV["\104\105\126\137\x47\103\x45\137\111\x4e\123\x54\101\x4e\x43\x45\137\x4e\101\x4d\105"] ?? ''; goto C1ca4; C2a8c: $gceClient->setAuthConfig($serviceAccountKeys); goto c545e; E38f5: $gceClient->setGceInstance($instance); goto Af6d7; Afb71: $zone = $_ENV["\104\x45\126\137\x47\x43\105\137\132\117\x4e\105"] ?? ''; goto D69f6; E2e88: $instance->setProjectId($projectId); goto f7216; cc021: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto C2a8c; E211d: $instance->setMachineType($machineType); goto Cf594; C1b0a: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto E72c1; F5da3: $instanceId = $_ENV["\104\105\126\x5f\x47\103\x45\137\x49\x4e\123\x54\x41\x4e\103\105\x5f\111\x44"] ?? ''; goto bf11e; Cf594: $instance->setZone($zone); goto ebb1c; f7216: $instance->setInstanceId($instanceId); goto b7e3b; B67b5: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto fd303; B0a64: goto ade1e; goto f7abf; fd303: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto F0e03; b96c4: $hetznerClient->setInstance($instance); goto E1d97; ea9ec: $instance->setIpv4PublicIp("\x31\62\x37\x2e\x30\56\x30\56\x31"); goto Fe297; E1d97: if (!("\144\145\166" == $_ENV["\101\x50\x50\137\105\x4e\x56"])) { goto Cfb66; } goto Ee60d; Fe297: $instance->setInstanceId($instanceId); goto E23ab; Ee60d: $instanceId = $_ENV["\104\105\126\137\x48\105\124\x5a\116\105\x52\x5f\x49\x4e\x53\124\x41\x4e\103\105\x5f\111\x44"] ?? ''; goto ea9ec; E23ab: Cfb66: goto B0a64; E7a9a: $apiToken = $this->configManager->get("\x68\x65\164\172\156\145\x72\137\x61\x70\x69\137\164\x6f\153\145\x6e"); goto df8b7; e71d6: E4918: goto D0233; F0e03: $hetznerClient = new HetznerClient(); goto E7a9a; E237f: $hetznerClient->setToken($apiToken); goto e71d6; df8b7: if (!(false === is_null($apiToken))) { goto E4918; } goto E237f; D0233: $instance = new HetznerInstance($hetznerClient); goto b96c4; f7abf: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto ccb8a; e65f4: B66f7: goto B6579; cc869: $instance = new VultrInstance($vultrClient); goto ffd71; B6579: goto ade1e; goto d2caf; ccb8a: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto F49a0; ffd71: $vultrClient->setVultrInstance($instance); goto Dd3e9; f4a16: $apiKey = $this->configManager->get("\x76\x75\x6c\164\162\x5f\141\x70\x69\137\x6b\145\171"); goto Ee84f; B929a: $instance->setIpv4PublicIp($ipv4PublicIp); goto ef58b; F49a0: $vultrClient = new VultrClient(); goto f4a16; D4dd2: C6203: goto cc869; a48c5: $ipv4PublicIp = $_ENV["\104\x45\x56\137\x56\x55\114\x54\122\x5f\x49\x50\x5f\x56\64\x5f\120\x55\102\114\x49\103"] ?? "\x31\62\67\x2e\60\56\x30\x2e\x31"; goto B929a; Dd3e9: if (!("\x64\145\166" == $_ENV["\101\x50\120\x5f\105\116\x56"])) { goto B66f7; } goto fa75c; fa75c: $instanceId = $_ENV["\104\x45\x56\137\x56\125\114\x54\122\x5f\x49\116\123\x54\101\116\x43\105\x5f\x49\x44"] ?? ''; goto a48c5; Ee84f: if (!(false === is_null($apiKey))) { goto C6203; } goto a507e; ef58b: $instance->setInstanceId($instanceId); goto e65f4; a507e: $vultrClient->setApiKey($apiKey); goto D4dd2; d2caf: default: $instance = new Instance(); goto ade1e; } goto d6eda; e5ebd: $instanceUid = $this->configManager->get("\151\x6e\163\x74\x61\156\143\x65\x5f\x75\151\x64"); goto D4ce8; E6b22: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\157\x6e\113\x65\x72\156\145\x6c\x52\x65\161\x75\x65\x73\x74", 25]], ConsoleEvents::COMMAND => [["\x6f\x6e\x43\x6f\156\x73\x6f\154\x65\x43\157\155\x6d\x61\156\x64", 25]]]; } }
