<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto B8c3b; A4917: $this->addProcessor($settingsProcessor); goto d386a; Fa56b: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto b42c5; dfd6b: $this->addProcessor($serverNameProcessor); goto bf1de; da600: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto Bf12b; b42c5: $certificateProcessor = new NginxCertificateProcessor(); goto a0c09; Bf12b: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto Fa56b; B8c3b: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto C3e95; e99cd: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto E3dbe; E3dbe: $redirectDomainProcessor = new RedirectDomainProcessor(); goto da600; a0c09: $settingsProcessor = new SettingsProcessor(); goto adb7e; Ff05c: $this->addProcessor($nginxErrorLogProcessor); goto d2b16; bf1de: $this->addProcessor($redirectServerNameProcessor); goto cc2a3; cc2a3: $this->addProcessor($redirectDomainProcessor); goto B761f; C3e95: $serverNameProcessor = new ServerNameProcessor(); goto e99cd; b8a64: $this->addProcessor($certificateProcessor); goto A4917; d2b16: $this->addProcessor($certificateKeyProcessor); goto b8a64; adb7e: $this->addProcessor($rootDirectoryProcessor); goto dfd6b; B761f: $this->addProcessor($nginxAccessLogProcessor); goto Ff05c; d386a: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto e4546; e4546: $processors = $this->getProcessors(); goto D8362; D8362: $placeholders = $this->getPlaceholders(); goto Cd456; Cd456: foreach ($placeholders as $placeholder) { goto c224d; E0bcd: $processor = $processors[$placeholder]; goto d6d5d; c224d: $hasProcessor = $this->hasProcessor($placeholder); goto c6875; B89e6: f9030: goto fd001; d6d5d: $processor->setSite($this->site); goto B05f4; da12f: Cb7a0: goto B89e6; B05f4: $this->content = $processor->process($this->content); goto e872e; c6875: if (!(true === $hasProcessor)) { goto Cb7a0; } goto E0bcd; e872e: $this->removePlaceholder($placeholder); goto da12f; fd001: } goto ef7fd; ef7fd: e733f: goto B704a; B704a: } public function removeEmptyPlaceholders() : void { goto c914a; c914a: $placeholders = $this->getPlaceholders(); goto C94df; C94df: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); A5779: } goto d5e2c; d5e2c: C421b: goto A4a33; A4a33: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto A597a; A597a: if (!(true === empty($this->placeholders))) { goto f2b25; } goto aee91; B7f00: F96bb: goto D96d3; Da5ba: $placeholders = $placeholders[0]; goto A98ae; ba210: return $this->placeholders; goto ebd15; E1abf: Dfdc7: goto B7f00; aee91: preg_match_all("\57\x5b\173\x7b\x5d\173\62\175\x28\x5b\134\x73\x61\55\x7a\x41\55\x5a\x30\55\x39\x5f\x5d\53\51\133\x7d\x7d\x5d\x7b\x32\175\x2f", $this->content, $placeholders); goto C4414; D96d3: f2b25: goto ba210; A98ae: foreach ($placeholders as $placeholder) { goto E8a52; c8f66: if (!(false === empty($placeholder))) { goto e36b1; } goto d09a2; Bd763: e36b1: goto F7d91; F7d91: f3a24: goto f5370; d09a2: $this->addPlaceholder($placeholder); goto Bd763; E8a52: $placeholder = trim($placeholder); goto c8f66; f5370: } goto E1abf; C4414: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto F96bb; } goto Da5ba; ebd15: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto d4946; d4946: if (!(true === isset($this->placeholders[$placeholder]))) { goto afc78; } goto ffdf2; ffdf2: unset($this->placeholders[$placeholder]); goto C7e2f; C7e2f: afc78: goto A0579; A0579: } }
