<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\x2f\x65\x74\x63\x2f\x6e\147\151\156\170\x2f\142\141\x73\x69\143\x2d\x61\x75\164\x68\x2f"; public const NGINX_VHOST_DIRECTORY = "\x2f\x65\164\x63\57\156\x67\x69\156\170\x2f\x73\x69\164\145\163\x2d\145\x6e\x61\142\154\145\144\x2f"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\57\x65\164\x63\x2f\156\147\x69\x6e\x78\x2f\163\163\154\55\x63\x65\x72\164\x69\x66\x69\143\x61\x74\145\x73\x2f"; public const CRON_DIRECTORY = "\x2f\145\164\143\x2f\x63\x72\157\x6e\x2e\144\x2f"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto ddb2c; Ea9a1: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto Dfb03; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto Dfb03; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto Dfb03; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto Dfb03; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto Dfb03; } goto D560e; E31fa: $vhostFileContent = $this->site->getVhostTemplate(); goto Ea9a1; D560e: c8010: goto Ade26; Ca6c3: $vhostTemplate->removeEmptyPlaceholders(); goto Aee82; f4429: $writeVhostFileCommand = new WriteFileCommand(); goto Bbcb9; Aee82: $vhostContent = $vhostTemplate->getContent(); goto f4429; ddb2c: $domainName = $this->site->getDomainName(); goto E31fa; Bbcb9: $writeVhostFileCommand->setFile($vhostFile); goto E054b; Be206: $this->commandExecutor->execute($writeVhostFileCommand); goto Cf2bd; E054b: $writeVhostFileCommand->setContent($vhostContent); goto Be206; Cb47f: $vhostTemplate->build(); goto Ca6c3; Ade26: Dfb03: goto e2541; e2541: $vhostTemplate->setContent($vhostFileContent); goto F9141; F9141: $vhostFile = sprintf("\x25\x73\x2f\x25\163\x2e\x63\x6f\x6e\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto Cb47f; Cf2bd: } public function updateNginxVhostWithRollback() : void { try { goto e903e; f85f1: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto eeee8; a45f9: $vhostContent = $vhostTemplate->getContent(); goto e8fbb; Aafd4: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto cf3d9; cd790: ffc5b: goto ad077; c4826: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto B069b; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto B069b; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto B069b; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto B069b; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto B069b; } goto E525b; A11e9: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto c4a10; cf3d9: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto a6fb5; e8fbb: $vhostBackupFile = sprintf("\x25\163\57\x25\163\x2e\143\x6f\156\146\x2e\x62\141\x6b", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto bc952; Bcd41: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto Cc4a3; e903e: $domainName = $this->site->getDomainName(); goto fb353; d1582: $writeVhostFileCommand->setFile($vhostFile); goto Befba; Cc7fe: $vhostFile = sprintf("\x25\163\x2f\x25\163\56\x63\157\156\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto ff20e; eeee8: $writeVhostFileCommand = new WriteFileCommand(); goto d1582; ded16: $vhostTemplate->setContent($vhostFileContent); goto Cc7fe; c4a10: $reloadNginxServiceCommand->setServiceName("\x6e\147\151\x6e\170"); goto F8fc4; bc952: $copyVhostBackupFileCommand = new CopyFileCommand(); goto F4df2; b61ce: $this->commandExecutor->execute($nginxConfigTestCommand); goto f7d6d; ad077: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto A8062; Dc8a4: $vhostTemplate->removeEmptyPlaceholders(); goto a45f9; E525b: ed5fd: goto D2a86; ff20e: $vhostTemplate->build(); goto Dc8a4; a6fb5: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto Bcd41; F4df2: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto f85f1; f7d6d: if (!("\144\x65\166" != $_ENV["\101\120\x50\x5f\105\x4e\126"])) { goto ffc5b; } goto A11e9; D2a86: B069b: goto ded16; fb353: $vhostFileContent = $this->site->getVhostTemplate(); goto c4826; Cc4a3: $this->commandExecutor->execute($writeVhostFileCommand); goto b61ce; F8fc4: $this->commandExecutor->execute($reloadNginxServiceCommand); goto cd790; Befba: $writeVhostFileCommand->setContent($vhostContent); goto Aafd4; A8062: } catch (\Exception $e) { goto D439b; E663d: $this->commandExecutor->execute($reloadNginxServiceCommand); goto d6477; cf1df: if (!(true === isset($nginxConfigTestCommand))) { goto D6ee3; } goto a7b39; D439b: $errorMessage = $e->getMessage(); goto cf1df; e574a: if (!(true === isset($reloadNginxServiceCommand))) { goto af4ff; } goto E663d; aec53: D6ee3: goto d4cbc; c3435: throw new InvalidVhostException($errorMessage); goto F73da; d4cbc: $restoreBackupFileCommand = new CopyFileCommand(); goto c20cc; f0050: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto deedc; d6477: af4ff: goto Dd039; c20cc: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto f0050; Dd039: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto c3435; deedc: $this->commandExecutor->execute($restoreBackupFileCommand); goto e574a; a7b39: $errorMessage = $nginxConfigTestCommand->getOutput(); goto aec53; F73da: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto a3d50; a87b7: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto Dcefd; f0be0: $createUserCommand = new CreateUserCommand(); goto B18f2; Dcefd: $sshDirectoryChmodCommand->setFileChmod(600); goto bfb80; af75a: $skeletonDirectory = realpath(dirname(__FILE__) . "\57\56\56\x2f\56\56\x2f\162\145\x73\x6f\165\162\x63\145\163\57\x65\164\143\x2f\163\x6b\x65\154\57\x73\x73\x68\55\x75\x73\145\x72\x2f"); goto f0be0; d7aa1: $sshDirectoryChmodCommand = new FindChmodCommand(); goto Bdd1f; b36ae: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto B3351; ddfdf: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto b36ae; Ecc02: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto Ae7fe; C0157: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto e1ffd; d0c04: foreach ($symlinkDirectories as $symlinkDirectory) { goto b9731; E3b88: $symlinkCommand = new CreateSymlinkCommand(); goto Ed543; b9731: $source = sprintf("\x2f\x68\157\x6d\x65\57\x25\163\x2f\45\163", $siteUser, $symlinkDirectory); goto Babd9; a011e: if (!("\144\145\166" != $_ENV["\x41\120\x50\x5f\x45\116\126"])) { goto cd128; } goto F67f3; D5955: $symlinkCommand->setSource($source); goto c4217; c4217: $symlinkCommand->setDestination($destination); goto a011e; Babd9: $destination = sprintf("\x2f\150\x6f\x6d\x65\57\45\x73\57\45\x73", $sshUserName, $symlinkDirectory); goto E3b88; F67f3: $this->commandExecutor->execute($symlinkCommand); goto f2824; Ed543: $symlinkCommand->setRunAsUser($sshUserName); goto D5955; d9299: F37e6: goto Abbf1; f2824: cd128: goto d9299; Abbf1: } goto Aa5e2; Caa6f: $siteUser = $site->getUser(); goto Dbace; ee20b: $symlinkDirectories = ["\x62\141\x63\153\x75\x70\163", "\150\164\144\x6f\143\163", "\x6c\x6f\x67\x73"]; goto d0c04; F5ce8: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto c41ce; Aa5e2: C2083: goto fa1d3; Ae7fe: $createUserCommand->setHomeDirectory($homeDirectory); goto e9aa0; e1ffd: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto F5ce8; Dbace: $sshUserName = $sshUserEntity->getUserName(); goto e6139; D88ad: $createUserCommand->setGroup($siteUser); goto fe0df; C8122: $this->commandExecutor->execute($createUserCommand); goto ee20b; c41ce: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto ddfdf; B42bb: $createUserCommand->setPassword($sshUserPassword); goto D88ad; Bdd1f: $sshDirectoryChmodCommand->setFile($sshDirectory); goto a87b7; fa1d3: $sshDirectory = sprintf("\57\x68\x6f\155\145\57\45\x73\x2f\56\163\x73\150", $sshUserName); goto d7aa1; a3d50: $site = $sshUserEntity->getSite(); goto Caa6f; e6139: $sshUserPassword = $sshUserEntity->getPassword(); goto Bf84a; B18f2: $createUserCommand->setUserName($sshUserName); goto B42bb; Bf84a: $homeDirectory = sprintf("\x2f\x68\x6f\155\x65\57\x25\x73", $sshUserName); goto af75a; bfb80: $siteUserHomeDirectory = sprintf("\57\150\157\x6d\145\x2f\45\x73", $siteUser); goto C0157; fe0df: $createUserCommand->setShell("\57\142\x69\x6e\57\x62\x61\x73\150"); goto Ecc02; e9aa0: $createUserCommand->createHomeDirectory(true); goto C8122; B3351: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto Aa980; F359e: $createUserCommand->createHomeDirectory(false); goto Feeea; Ce806: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto Aa84b; F68a4: $createUserCommand->setUserName($ftpUserName); goto de18d; de18d: $createUserCommand->setPassword($ftpUserPassword); goto D3315; Cc0a2: $createUserCommand->setGroups(["\x66\164\160\x2d\x75\163\145\x72"]); goto Bd035; Aa980: $site = $ftpUserEntity->getSite(); goto f82b4; Bd035: $createUserCommand->setShell("\x2f\x62\x69\156\x2f\146\141\x6c\x73\x65"); goto fd8ac; f3e2f: $ftpUserName = $ftpUserEntity->getUserName(); goto A7c1e; Aa84b: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto Ee583; f3289: $createUserCommand = new CreateUserCommand(); goto F68a4; Ee583: $this->commandExecutor->execute($createUserCommand); goto Bdc52; a1f00: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto B110c; Bdc52: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto Ef7bb; Cdfff: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto f3289; Feeea: $siteUserHomeDirectory = sprintf("\x2f\150\x6f\x6d\x65\57\45\163", $siteUser); goto a1f00; B110c: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto Ce806; f82b4: $siteUser = $site->getUser(); goto f3e2f; fd8ac: $createUserCommand->setHomeDirectory($homeDirectory); goto F359e; A7c1e: $ftpUserPassword = $ftpUserEntity->getPassword(); goto Cdfff; D3315: $createUserCommand->setGroup($siteUser); goto Cc0a2; Ef7bb: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto A1a50; B0ceb: $deleteUserCommand->setUserName($userName); goto d7acf; b0a53: $this->commandExecutor->execute($deleteUserCommand); goto ac6ba; d7acf: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto b0a53; A1a50: $deleteUserCommand = new DeleteUserCommand(); goto B0ceb; ac6ba: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto A1601; a7c41: B2e99: goto Fdc5a; ec977: $certificate .= sprintf("\x25\163\45\x73", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto a7c41; Fdc5a: $writePrivateKeyFileCommand = new WriteFileCommand(); goto dc861; b996b: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto B2e99; } goto ec977; A1601: $domainName = $this->site->getDomainName(); goto d1b9d; f4554: $writeCertificateFileCommand->setFile($certificateFile); goto cec71; d1b9d: $privateKeyFile = sprintf("\x25\163\x2f\45\x73\56\153\145\171", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\57"), $domainName); goto bd855; Bb3d9: $this->reloadService("\156\147\x69\156\170"); goto a3862; A4a27: $this->commandExecutor->execute($writeCertificateFileCommand); goto Bb3d9; dc861: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto bb41a; cec71: $writeCertificateFileCommand->setContent($certificate); goto f4490; A373d: $writeCertificateFileCommand = new WriteFileCommand(); goto f4554; bb41a: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto A373d; f4490: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto A4a27; bd855: $certificateFile = sprintf("\45\163\x2f\45\163\x2e\143\x72\x74", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto C623b; C623b: $certificate = $certificateEntity->getCertificate(); goto b996b; a3862: } public function deleteLetsEncryptChallengeDirectory() : void { goto d2878; d2878: $rootDirectory = $this->getRootDirectory(); goto be16a; f97e8: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto Cab25; Cab25: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto d9607; d9607: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto f5546; be16a: $acemeChallengeDirectory = sprintf("\x25\163\57\56\167\x65\x6c\x6c\x2d\153\x6e\157\167\x6e\x2f\x61\x63\x6d\x65\55\143\150\x61\x6c\x6c\x65\156\147\x65\57", rtrim($rootDirectory, "\57")); goto f97e8; f5546: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto Fb122; Bf2b8: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto Afd00; Def10: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto D5c25; d4815: $basicAuthFileContent = sprintf("\x25\163\x3a\x25\x73", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto abc6d; abc6d: $writeBasicAuthFileCommand = new WriteFileCommand(); goto Def10; D5c25: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto Bf2b8; Fb122: $basicAuthFile = sprintf("\x25\x73\57\45\163", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\x2f"), $this->site->getDomainName()); goto d4815; Afd00: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto Edba9; D5fdf: f374e: goto c559f; ff644: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto a001e; d84d8: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto a9aab; e2a41: if (!count($challenges)) { goto D38b4; } goto A93ed; A93ed: foreach ($challenges as $challenge) { goto eff82; E7eb6: $challengeWriteFileCommand->setContent($verificationContent); goto cef05; F4d06: a87fb: goto a91da; eff82: $token = $challenge["\x74\157\153\145\156"] ?? null; goto b5b05; ca57b: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto a87fb; } goto ef3f2; cef05: $this->commandExecutor->execute($challengeWriteFileCommand); goto F4d06; Be59b: $challengeWriteFileCommand->setFile($challengeFile); goto E7eb6; a91da: A25bb: goto F8c9e; ef3f2: $challengeFile = sprintf("\x25\163\x2f\45\x73", rtrim($acemeChallengeDirectory, "\57"), $token); goto d4b5a; d4b5a: $challengeWriteFileCommand = new WriteFileCommand(); goto Be59b; b5b05: $verificationContent = $challenge["\x76\x65\x72\151\146\x69\x63\141\x74\x69\x6f\156\103\x6f\x6e\164\145\156\164"] ?? null; goto ca57b; F8c9e: } goto D5fdf; B24f4: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto d84d8; e4807: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto dba24; f2150: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto eaae2; a0c3f: $wellKnownDirectory = sprintf("\x25\163\57\56\167\x65\x6c\x6c\x2d\x6b\x6e\157\167\156\x2f", rtrim($rootDirectory, "\57")); goto daf23; a9aab: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto e4807; A98f9: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto f2150; F6d35: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto ff644; a001e: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto Cb126; Cb126: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto B24f4; dba24: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto e996b; c559f: D38b4: goto ff776; Fe0f2: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto A98f9; Edba9: $siteUser = $this->site->getUser(); goto B616b; f0e22: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto F6d35; daf23: $acemeChallengeDirectory = sprintf("\45\163\x2f\56\167\x65\x6c\154\55\153\x6e\x6f\x77\156\x2f\x61\143\155\x65\x2d\143\x68\x61\154\154\x65\156\x67\145\57", rtrim($rootDirectory, "\57")); goto Fe0f2; eaae2: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto e2a41; B616b: $rootDirectory = $this->getRootDirectory(); goto a0c3f; ff776: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto f0e22; e996b: } public function updateUserCrontab() : void { goto aa963; B59df: $this->commandExecutor->execute($writeCrontabFileCommand); goto B18fb; Dcccf: $crontabEntries = ["\115\101\x49\x4c\x54\117\x3d\x22\42"]; goto B1903; D9b85: C280f: goto Ba503; aa963: $siteUser = $this->site->getUser(); goto Ac3b0; A8972: if (!count($cronJobs)) { goto C280f; } goto f73fb; f73fb: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); Fac6c: } goto Ef32c; c528f: $writeCrontabFileCommand->setFile($crontabFile); goto afbe4; afbe4: $writeCrontabFileCommand->setContent($crontabContent); goto B59df; Ef32c: a174c: goto D9b85; Ba503: $crontabContent = implode(PHP_EOL, $crontabEntries); goto db426; Ac3b0: $crontabFile = sprintf("\45\x73\x2f\x25\x73", rtrim(self::CRON_DIRECTORY, "\x2f"), $siteUser); goto Dcccf; B1903: $cronJobs = $this->site->getCronJobs(); goto A8972; db426: $writeCrontabFileCommand = new WriteFileCommand(); goto c528f; B18fb: } public function purgePageSpeedCache() : void { goto a5887; a5887: $siteUser = $this->site->getUser(); goto ad533; ad533: $cacheDirectory = sprintf("\57\150\x6f\155\145\57\45\x73\57\x74\155\x70\x2f\160\141\147\145\163\x70\x65\145\x64\x5f\143\141\x63\x68\x65", $siteUser); goto db204; d687b: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto e7c75; e7c75: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto ed88d; db204: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto d687b; ed88d: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto Debbf; B7132: e09db: goto Fc171; E0762: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto bff40; Bccf1: $this->commandExecutor->execute($readLinkCommand); goto e87df; e87df: $readLinkPath = $readLinkCommand->getOutput(); goto e8834; bff40: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto bfe3f; bfe3f: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto b9685; Debbf: $authorizedKeysFile = sprintf("\57\150\157\x6d\145\57\45\x73\57\x2e\x73\163\x68\x2f\141\165\164\x68\x6f\162\x69\172\x65\x64\x5f\x6b\x65\171\x73", $userName); goto A0e00; A0e00: $readLinkCommand = new ReadLinkCommand(); goto dc1c0; b9685: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto B7132; dc1c0: $readLinkCommand->setFile($authorizedKeysFile); goto Bccf1; e8834: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto e09db; } goto E0762; Fc171: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto f73eb; A2047: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto A3ca1; e2e15: $changeUserHomeDirectoryCommand->setUserName($userName); goto D2bd3; f73eb: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto e2e15; D2bd3: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto A2047; A3ca1: } public function changeUserPassword(string $userName, string $password) : void { goto c334e; Df3fd: $this->commandExecutor->execute($changeUserPasswordCommand); goto deffb; da41e: $changeUserPasswordCommand->setUserName($userName); goto d6d34; d6d34: $changeUserPasswordCommand->setPassword($password); goto Df3fd; c334e: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto da41e; deffb: } protected function getRootDirectory() : string { goto ef85c; F2eff: return $rootDirectory; goto D7b28; ef85c: $siteUser = $this->site->getUser(); goto D6a83; D6a83: $rootDirectory = $this->site->getRootDirectory(); goto A888a; A888a: $rootDirectory = sprintf("\57\150\157\x6d\x65\x2f\45\163\57\x68\164\x64\157\143\x73\x2f\45\163", $siteUser, $rootDirectory); goto F2eff; D7b28: } public function reloadNginxService() : void { $this->reloadService("\x6e\x67\151\156\170"); } public function reloadService($serviceName) { goto b43e9; d7aae: ddb71: goto a143e; C4911: $reloadServiceCommand->setServiceName($serviceName); goto fc1bb; fc282: $reloadServiceCommand = new ServiceReloadCommand(); goto C4911; b43e9: if (!("\144\145\166" != $_ENV["\x41\120\x50\x5f\105\116\126"])) { goto ddb71; } goto fc282; fc1bb: $this->commandExecutor->execute($reloadServiceCommand); goto d7aae; a143e: } }
